<?php

if (!function_exists('send_notification_FCM')) {
    function send_notification_FCM($notification_id, $title, $message, $id, $type)
    {

        $accesstoken = env('FCM_KEY');

        $URL = 'https://fcm.googleapis.com/fcm/send';


        $post_data = '{
                "to" : "' . $notification_id . '",
                "data" : {
                  "body" : "",
                  "title" : "' . $title . '",
                  "type" : "' . $type . '",
                  "id" : "' . $id . '",
                  "message" : "' . $message . '",
                },
                "notification" : {
                     "body" : "' . $message . '",
                     "title" : "' . $title . '",
                      "type" : "' . $type . '",
                     "id" : "' . $id . '",
                     "message" : "' . $message . '",
                    "icon" : "new",
                    "sound" : "default"
                    },

              }';
        //  print_r($post_data);die;

        $crl = curl_init();

        $headr = array();
        $headr[] = 'Content-type: application/json';
        $headr[] = 'Authorization: ' . $accesstoken;
        curl_setopt($crl, CURLOPT_SSL_VERIFYPEER, false);

        curl_setopt($crl, CURLOPT_URL, $URL);
        curl_setopt($crl, CURLOPT_HTTPHEADER, $headr);

        curl_setopt($crl, CURLOPT_POST, true);
        curl_setopt($crl, CURLOPT_POSTFIELDS, $post_data);
        curl_setopt($crl, CURLOPT_RETURNTRANSFER, true);

        $rest = curl_exec($crl);

        if ($rest === false) {
            // throw new Exception('Curl error: ' . curl_error($crl));
            //print_r('Curl error: ' . curl_error($crl));
            $result_noti = 0;
        } else {

            $result_noti = 1;
        }

        //curl_close($crl);
        // print_r($result_noti);die;
        return $result_noti;
    }
}

function send_FCM($to, $body, $title)
{
    // $firebaseToken = 'dRNkdtTiQnuDIoGzdncwpx:APA91bGrnpWnagzYkD3t8q3YlG4HyWZhbM_l2BnXvV4OJxRV345IR1wxERiTS0g-MhUHPPl4xV1yErpbvZ2m-Gn_rPKh2xMcyYJWZbqoV16meDgNadSyUHsWs7wfVZGa0xK_UCDr3FFo';
    $SERVER_API_KEY = 'AAAARhqbVCE:APA91bHG2tsbyuZCXbMedpOXX33C9dqifIayJJHGxEqUHW_E3pRn5eFGB36tfcYeApvni2ZStvAxuOrB8bTjAKzHH53gQ8cLfCAqVjhZLp4-BJWMgCKxJ0QKLtxOg2PrXQpiEVFlKj2L';

    $dataString = array(
        'to' => $to,
        "title" => $title,
        "body" => $body,
    );
    // print_r($dataString);
    // die;
    $headers = [
        'Authorization: key=' . $SERVER_API_KEY,
        'Content-Type: application/json',
    ];
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($dataString));

    $response = curl_exec($ch);
    if ($response === false) {
        // throw new Exception('Curl error: ' . curl_error($crl));
        //print_r('Curl error: ' . curl_error($crl));
        $result_noti = 0;
    } else {

        $result_noti = 1;
    }

    return $result_noti;
}

function sendNotificationFireBase($to_device_token,$message_title,$message_body)
    {
        // $from_Server_key = "AAAAuJ6UB2k:APA91bHgUwfj_ZNvjjdK63dClypGb3ovSUu6Z5cOrVRIOQ5xlXTZ6lKY5J8lrNaWYWpd3DlGJ5rhbx3b7V5V_QvPnavRUulFBhd02oBz8_9nfBcrrc26opV2Xztt6z5ag6jdBORqYR9J"; 
         $from_Server_key = env('FCM_KEY'); 
        // $to = User::whereNotNull('device_token')->pluck('device_token')->first();
        // dd($firebaseToken);
        $msg = array
              (
                'body'  => $message_body,
                'title' => $message_title,
                'receiver' => 'erw',
                'sound' => 'mySound'/*Default sound*/
              );

        $fields = array
                (
                    'to'        => $to_device_token,
                    'notification'  => $msg
                );

        $headers = array
                (
                    'Authorization: key=' . $from_Server_key,
                    'Content-Type: application/json'
                );
        //#Send Reponse To FireBase Server 
        $ch = curl_init();
        curl_setopt( $ch,CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send' );
        curl_setopt( $ch,CURLOPT_POST, true );
        curl_setopt( $ch,CURLOPT_HTTPHEADER, $headers );
        curl_setopt( $ch,CURLOPT_RETURNTRANSFER, true );
        curl_setopt( $ch,CURLOPT_SSL_VERIFYPEER, false );
        curl_setopt( $ch,CURLOPT_POSTFIELDS, json_encode( $fields ) );
        $result = curl_exec($ch );
        // dd($result);
        curl_close( $ch );
    }
