<?php

namespace App\Http\Controllers\Api\Resturant;

use App\Http\Controllers\Controller;
use App\Models\backend\Restuarant;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\backend\Order;

class ResturantordersController extends Controller
{
    public function resturant_pendingOrders()
    {
        $rest_id=Auth::user()->restaurant_id;
        $data = Order::with('orderDetail.food')->where('restaurant_id',$rest_id)->where('order_status','pending')->get();
        // $data = Restuarant::where(['status'=>1])->get();
        return sendResponse($data,'');
    }

    public function resturant_acceptedOrders()
    {
        $rest_id=Auth::user()->restaurant_id;
        $data = Order::where('restaurant_id',$rest_id)->where('order_status','accepted')->get();
        return sendResponse($data,'');
    }

    public function resturant_dispatchedOrders()
    {
        $rest_id=Auth::user()->restaurant_id;
        $data = Order::with('orderDetail.food')->where('restaurant_id',$rest_id)->where('order_status','shipping')->get();
        return sendResponse($data,'');
    }

    public function acceptOrder(Request $request)
    {
        $order=Order::find($request->order_id);
        $order->order_status='Accepted';
        $order->save();

        $rest = Restuarant::find($order->restaurant_id);
            //   return $rest;
            $lat = $rest->latitude;

            $lon = $rest->longitude;

            $riders = DB::table("delivery_man_current_location")
                ->select(
                    "delivery_man_current_location.user_id",
                    DB::raw("6371 * acos(cos(radians(" . $lat . "))
                    * cos(radians(delivery_man_current_location.lat))
                    * cos(radians(delivery_man_current_location.lang) - radians(" . $lon . "))
                    + sin(radians(" . $lat . "))
                    * sin(radians(delivery_man_current_location.lat))) AS distance")
                )
                ->groupBy("delivery_man_current_location.location_id")
                ->get();

            if ($riders) {

                foreach ($riders as $k => $r) {
                    $data[] = array(
                        'user_id' => $r->user_id,
                        'order_id' => $orderCreate->id,
                    );
                }
                DB::table('order_request_to_delivery_man')->insert($data);
            }


        // $order=Order::where('id',$request->id)->update(['order_status'=>$request->status]);
        return $this->sendResponse($order,"Order Accepted!");
    }
}
