<?php

namespace App\Http\Controllers\backend;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\backend\BusinessSetting;

class BusinesssettingController extends Controller
{
    public function index()
    {
        $list = BusinessSetting::groupBy('code')->get();
    return view('backend.pages.businessSetting.index',compact('list'));
    }
    public function create()
    {
        return view('backend.pages.businessSetting.create');
    }

    public function store(Request $request)
    {
        BusinessSetting::create([
            'key'=>$request->key,
            'value'=>$request->value
        ]);
        return redirect()->route('backend.business.list')->with('success', 'Business setting added');
    }
    public function edit($id)
    {
        $b = BusinessSetting::find($id);
        $business = BusinessSetting::where('code',$b->code)->get();
        // dd($business);
        $list = BusinessSetting::groupBy('code')->get();
        // pr($id);
        return view('backend.pages.businessSetting.edit2',compact('business','list'));
    }
    public function update(Request $request)
    {
        // dd($request->all());
        // dd($request->all());
        // $data = $request->except('_token');
        // if($request->key=='delivery_charges')
        // {
            // dd(json_encode(['amount'=>(float)$request->value]));
            foreach($request->id as $rkey => $rrow)
            {

                BusinessSetting::where('id',$rrow)->update([
                    'key'=>$request->key[$rkey],
                    'value'=>$request->value[$rkey]]);
            }
        // }
        // else{
            // dd('testing2');
            // BusinessSetting::where('id',$id)->update([
            //     'key'=>$request->key,
            //     'value'=>$request->value
            // ]);
        // }
        
        return redirect()->route('backend.business.list')->with('success', 'Business setting updated');
    }
    public function delete($id)
    {
        $dele = BusinessSetting::find($id);
        $dele->delete();
        return redirect()->route('backend.business.list')->with('success', 'Business setting deleted');
    }


}
