<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\backend\Status;
use Illuminate\Http\Request;

class OrderstatusController extends Controller
{
    public function index()
    {
        $order_statuses = Status::all();
        // dd($order_statuses);
        return view('backend.pages.orderStatus.index',compact('order_statuses'));
    }
    public function create()
    {
        return view('backend.pages.orderStatus.create');
    }
    public function store(Request $request)
    {
        Status::create([
            // 'status_id' => $request->status_id,
            'status'=>$request->status,
            'priority'=>$request->priority
        ]);
        // $obj = new OrderStatus();
        // $obj->status = $request->status;
        // // $obj->status_id = $request->status_id;
        // $obj->priority = $request->priority;
        // $obj->save();

            return redirect()->route('backend.orderstatus.list')->with('success','Status Added Successfully');
    }
    public function edit($id)
    {

        $orderstatus = Status::where('status_id',$id)->first();
        return view('backend.pages.orderStatus.edit',compact('orderstatus'));

    }
    public function update(Request $request,$id)
    {

             Status::where('status_id',$id)->update([
            'status'=>$request->status,
            'priority'=>$request->priority
        ]);

        return redirect()->route('backend.orderstatus.list')->with('success','record updated successfully');
    }
    public function delete($id)
    {
            $delete = Status::where('status_id',$id);
            $delete->delete();
            return redirect()->route('backend.orderstatus.list')->with('success','record deleted successfully');


    }
    public function validateOrderStatus(Request $request)
    {
        $this->validate($request, [
            'order_id' => 'required',
            'status_id' => 'required'
            // 'email' => 'required|email'
        ]);
    }
}
