<?php

namespace App\Models\backend;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\backend\Food;
class FoodCategory extends Model
{
    use HasFactory;
    protected $table ="food_categories";
    protected $guarded = [];


    public function foods()
    {

        return $this->hasMany(Food::class, 'category_id');
    }



// public function children()
// {
//     return $this->hasMany('App\Models\backend\FoodCategory', 'parent_id');
// }

// public function parent()
// {
//     return $this->belongsTo('App\Models\backend\FoodCategory', 'parent_id');
// }

// public function getRoot()
// {
//     $cur = $this;
//     while ($cur->parent) {
//         $cur = $cur->parent;
//     }
//     return $cur;
// }

    public function children()
    {
        return $this->hasMany(self::class, 'parent_id');
    }

    /**
     * This will give model's Children, Children's Children and so on until last node.
     * @return HasMany
     */
    public function childrenRecursive()
    {
        return $this->children()->with('childrenRecursive');
    }

}
