<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>{{env('APP_NAME')}}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <!-- App css -->
        <link href="{{asset('back')}}/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/app-modern.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="{{asset('back')}}/assets/css/app-modern-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>

    <body class="loading authentication-bg" data-layout-config='{"darkMode":false}'>

        <div class="account-pages pt-2 pt-sm-5 pb-4 pb-sm-5">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-xxl-4 col-lg-5">
                        <div class="card">
                            <!-- Logo -->
                            <div class="card-header pt-4 pb-4 text-center bg-primary">
                                <!-- <a href="index.html">
                                    <span><img src="assets/images/logo.png" alt="" height="18"></span>
                                </a> -->
                                <h3 style="color:white"> {{env('APP_NAME')}}</h3>
                            </div>

                            <div class="card-body p-4">
                                
                                <div class="text-center m-auto">
                                    <img src="{{asset('back')}}/assets/images/mail_sent.svg" alt="mail sent image" height="64" />
                                    <h4 class="text-dark-50 text-center mt-4 fw-bold">Success</h4>
                                    <p class="text-muted mb-4">
                                        Password has been updated Successfully. 
                                    </p>
                                </div>

                                <!-- <form action="index.html">
                                    <div class="mb-0 text-center">
                                        <button class="btn btn-primary" type="submit"><i class="mdi mdi-home me-1"></i> Back to Home</button>
                                    </div>
                                </form> -->

                            </div> <!-- end card-body-->
                        </div>
                        <!-- end card-->
                        
                    </div> <!-- end col -->
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end page -->

        <!-- <footer class="footer footer-alt">
            2018 - 2021 © Hyper - Coderthemes.com
        </footer> -->

        <!-- bundle -->
        <script src="{{asset('back')}}/assets/js/vendor.min.js"></script>
        <script src="{{asset('back')}}/assets/js/app.min.js"></script>
        
    </body>
</html>