<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>{{env('APP_NAME')}}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <!-- App css -->
        <link href="{{asset('back')}}/assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/app-modern.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="{{asset('back')}}/assets/css/app-modern-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>

    <body class="loading" data-layout="detached" data-layout-config='{"leftSidebarCondensed":false,"darkMode":false, "showRightSidebarOnStart": true}'>


        <!-- end Topbar -->

        <!-- Start Content-->
        <div class="container-fluid">

            <!-- Begin page -->
            <div class="wrapper">


                <!-- Left Sidebar End -->

                <div class="content-page">
                    <div class="content">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <!-- <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Pages</a></li>
                                            <li class="breadcrumb-item active">FAQ</li>
                                        </ol>
                                    </div> -->
                                    <h3 class="page-title">{{env('APP_NAME')}}</h3>
                                    <h3 class="page-title">City Eats Ltd Courier Terms and Conditions</h3>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->


                        <div class="row">
                            <div class="col-sm-12">
                                <div class="">
                                    <!-- <h3 class="">City Eats Ltd Courier Terms and Conditions</h3> -->
                                    <h5> Engagement and Relationship:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers engaged by City Eats Ltd are considered independent contractors and not employees.</li>
                                            <li> Couriers are responsible for their own taxes, insurance, and other legal obligations.
                                            </li>
                                        </ul>
                                        </p>

                                    <h5> Acceptance of Orders:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers have the discretion to accept or decline delivery orders based on their availability and capacity.</li>
                                            <li> Couriers must confirm their availability accurately to avoid any delays or service disruptions.
                                            </li>
                                        </ul>
                                        </p>

                                         <h5> Delivery Standards:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li>Couriers are expected to deliver orders promptly and within the designated timeframe.</li>
                                            <li> Couriers must ensure that orders are delivered in the condition they were received from the restaurant.
                                            </li>
                                        </ul>
                                        </p>


                                     <h5> Personal Conduct:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers must maintain a professional and courteous demeanor while interacting with customers, restaurants, and City Eats Ltd staff.</li>
                                            <li> Couriers should adhere to all traffic laws and regulations while performing deliveries.
                                            </li>
                                        </ul>
                                        </p>
                                        

                                        

                                         <h5> Equipment and Attire:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers must use their own mode of transportation, such as bicycles, motorbikes, or cars, for delivery.</li>
                                            <li>Couriers are required to wear the provided City Eats Ltd uniform or wear clothing that presents a neat and professional appearance.
                                            </li>
                                        </ul>
                                        </p>    


                                           <h5> Safety and Security:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers are responsible for their own safety and security while on duty.</li>
                                            <li>Couriers should report any safety concerns, accidents, or incidents to City Eats Ltd promptly.

                                            </li>
                                        </ul>
                                        </p>    


                                         <h5> Order Accuracy:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers must verify that the items in the delivery order match the items listed on the order details.</li>
                                            <li>Couriers should handle orders carefully to avoid spillage or damage during transportation.

                                            </li>
                                        </ul>
                                        </p>    



                                         <h5> Communication:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers must have a functioning smartphone with the City Eats Ltd app to receive delivery instructions and updates.</li>
                                            <li>Couriers are expected to communicate promptly with City Eats Ltd regarding any issues or delays.
                                            </li>
                                        </ul>
                                        </p>    


                                         <h5> Payment and Compensation:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li> Couriers will receive compensation based on completed deliveries as outlined in the agreed-upon payment structure.</li>
                                            <li>Payment will be made on a regular schedule as defined by City Eats Ltd.

                                            </li>
                                        </ul>
                                        </p>    


                                         <h5> Confidentiality:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li>Couriers should maintain the confidentiality of any proprietary or sensitive information they may come across during their engagement.</li>
                                            
                                        </ul>
                                        </p> 


                                        <h5> Termination:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li>City Eats Ltd reserves the right to terminate the engagement of a courier for reasons including but not limited to breaches of conduct, failure to meet delivery standards, or violation of the terms and conditions.</li>
                                            
                                        </ul>
                                        </p>   

                                         <h5> Modification of Terms:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li>City Eats Ltd may modify these terms and conditions at its discretion, with prior notice to couriers.</li>
                                            
                                        </ul>
                                        </p>   
                                         <h5> Governing Law:</h5>
                                    <p class="text-muted mt-3"> 
                                        <ul> 
                                            <li>These terms and conditions are governed by the laws of the jurisdiction where City Eats Ltd operates.</li>
                                            
                                        </ul>
                                        </p> 
                                         <p class=" mt-3"> 
                                            By continuing to work as a courier for City Eats Ltd, you acknowledge that you have read, understood, and agreed to these terms and conditions.
                                         </p>   

                                </div>
                            </div><!-- end col -->
                        </div><!-- end row -->

                        

                    </div> <!-- End Content -->

                    <!-- Footer Start -->
                    <footer class="footer">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-md-6">
                                    <script>document.write(new Date().getFullYear())</script> ©  -  {{env('APP_NAME')}}
                                </div>
                                <!-- <div class="col-md-6">
                                    <div class="text-md-end footer-links d-none d-md-block">
                                        <a href="javascript: void(0);">About</a>
                                        <a href="javascript: void(0);">Support</a>
                                        <a href="javascript: void(0);">Contact Us</a>
                                    </div>
                                </div> -->
                            </div>
                        </div>
                    </footer>
                    <!-- end Footer -->

                </div> <!-- content-page -->

            </div> <!-- end wrapper-->
        </div>
        <!-- END Container -->


       

     
        <!-- /End-bar -->


        <!-- bundle -->
       <script src="{{asset('back')}}/assets/js/vendor.min.js"></script>
        <script src="{{asset('back')}}/assets/js/app.min.js"></script>

    </body>
</html>
