@extends('backend.layouts.main')
@section('content')
{{-- <form>
    <div class="row g-2">
        <div class="mb-3 col-md-6">
            <label for="inputEmail4" class="form-label">Email</label>
            <input type="email" class="form-control" id="inputEmail4" placeholder="Email">
        </div>
        <div class="mb-3 col-md-6">
            <label for="inputPassword4" class="form-label">Password</label>
            <input type="password" class="form-control" id="inputPassword4" placeholder="Password">
        </div>
    </div>

    <div class="mb-3">
        <label for="inputAddress" class="form-label">Address</label>
        <input type="text" class="form-control" id="inputAddress" placeholder="1234 Main St">
    </div>

    <div class="mb-3">
        <label for="inputAddress2" class="form-label">Address 2</label>
        <input type="text" class="form-control" id="inputAddress2" placeholder="Apartment, studio, or floor">
    </div>

    <div class="row g-2">
        <div class="mb-3 col-md-6">
            <label for="inputCity" class="form-label">City</label>
            <input type="text" class="form-control" id="inputCity">
        </div>
        <div class="mb-3 col-md-4">
            <label for="inputState" class="form-label">State</label>
            <select id="inputState" class="form-select">
                <option>Choose</option>
                <option>Option 1</option>
                <option>Option 2</option>
                <option>Option 3</option>
            </select>
        </div>
        <div class="mb-3 col-md-2">
            <label for="inputZip" class="form-label">Zip</label>
            <input type="text" class="form-control" id="inputZip">
        </div>
    </div>

    <div class="mb-2">
        <div class="form-check">
            <input type="checkbox" class="form-check-input" id="customCheck11">
            <label class="form-check-label" for="customCheck11">Check this custom checkbox</label>
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Sign in</button>
</form> --}}
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <!-- <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                        <li class="breadcrumb-item active">Form Elements</li>
                    </ol>
                </div> -->
                <h4 class="page-title">Food Category</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <!-- <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul>  -->
                    <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.foodcat.store')}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="row g-2">
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Category Name</label>
                                        <input type="text" name="name"class="form-control" id="" >
                                        @if ($errors->has('name'))
                                        <span class="text-danger">{{ $errors->first('name') }}</span>
                                        @endif
                                    </div>
                                    <div class="mb-3 col-md-6">
                                        <label for="inputPassword4" class="form-label">Image</label>
                                        <input type="file" name="image" class="form-control" id="" >
                                        @if ($errors->has('image'))
                                        <span class="text-danger">{{ $errors->first('image') }}</span>
                                        @endif
                                    </div>

                                </div>
                                <div class="row g-2">
                                    <!-- <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Food</label>
                                        <select name="parent_id" id="inputState" class="form-select">
                                            <option>Choose</option>
                                            <option value="1">Food 1</option>
                                            <option value="2">Food 2</option>
                                            <option value="3">Food 3</option>
                                        </select>
                                        if ($errors->has('parent_id'))
                                        <span class="text-danger"> $errors->first('parent_id') </span>
                                        endif
                                    </div> -->
                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status</label>
                                        <select name="status" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            <option value="1">Active</option>
                                            <option value="0">De-Active</option>
                                        </select>
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif

                                    </div>

                                </div>
                                {{-- <div class="mb-2">
                                    <div class="form-check">
                                        <input type="checkbox" class="form-check-input" id="customCheck11">
                                        <label class="form-check-label" for="customCheck11">Check this custom checkbox</label>
                                    </div>
                                </div> --}}

                                <button type="submit" class="btn btn-primary">Add</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
