@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <!-- <div class="col-sm-4">
                                <a href=" route('restuarants.create') " class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Restuarant</a>
                            </div> -->
                            <!-- <div class="col-sm-8">
                                <div class="text-sm-end">
                                    <button type="button" class="btn btn-success mb-2 me-1"><i
                                            class="mdi mdi-cog-outline"></i></button>
                                    <button type="button" class="btn btn-light mb-2 me-1">Import</button>
                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                </div>
                            </div> -->
                            <!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" >
                                <thead class="table-light">
                                    <tr>
                                        
                                        <th class="all">Order ID</th>
                                        <th>User Name</th>
                                        <!-- <th>User Contact</th> -->
                                        <th>Amount</th>
                                        <th>Status</th>
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody id="table-body">
                                    <?php $i = 2; ?>
                                    @foreach ($orders as $rest)
                                    @if(is_null($rest->assignedDeliveryMan))
                                        <tr>
                                            
                                            <td>
                                                {{ $rest->id }}
                                            </td>
                                                <td>
                                                    {{ $rest->user->name }}
                                                </td>
                                               <td>
                                                {{ $rest->order_amount }}
                                               </td>
                                            <td>

                                               
                                                <span class="badge bg-primary"> {{$rest->order_status}}</span>
                                            </td>
                                            
                                            <td class="table-action">
                                                <!-- <a href="javascript:void(0);" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a> -->
                                                <a href="{{ route('not_assign_order_edit', $rest->id) }}" class="action-icon"> <i
                                                        class="mdi mdi-square-edit-outline"></i></a>
                                                        <!-- <form id="del_event" action=" route('restuarants.destroy', $rest->id) " method="post"style="display: inline;">
                                                            !! method_field('delete') !!
                                                             csrf_field() 
                                             <button class=" action-icon " style="border: none;" onclick="return confirm('Are you sure want to delete selected record !')" type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                     </form> -->
                                                {{-- <a href="{{ route('restuarants.destroy', $rest->id) }}" class="action-icon"> --}}
                                                    {{-- <i class="mdi mdi-delete"></i></a> --}}
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    @endif    
                                    @endforeach
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
@endsection
@push('custom-scripts')
<script>

$(document).ready(function () {
    setInterval(function () {
        // location.reload(true);
        var table_data='';
        $.ajax({
                    type: "GET",
                    url: "{{route('get_all_order_assigned_to_driver_for_ajax')}}",
                    // data: myusername,
                    cache: false,
                    success: function(data){
                        $.each(data.orders, function(k, v) {
                            if(v.assigned_delivery_man)
                            {}
                            else
                            {

                            
                            var url = '{{ route("not_assign_order_edit", ":id") }}';
                            url = url.replace(':id', v.id);
                            table_data+=`<tr>
                                            
                                            <td>`+v.id+ `</td>
                                                <td> `+v.user.name+` </td>
                                               <td>`+v.order_amount+`</td>
                                            <td><span class="badge bg-primary">`+v.order_status+`</span></td>
                                            
                                            <td class="table-action">
                                                <a href="`+url+`" class="action-icon"> <i
                                                        class="mdi mdi-square-edit-outline"></i></a>
                                            </td>
                                            </td>

                                        </tr>`;
                            }
                        });

                        $("#table-body").empty();
                        $("#table-body").append(table_data);
                        console.log('trigger');
                    },
                    error: function()
                    {

                    }
                    });
      }, 10000);
    });

    </script>

    @endpush()
