@extends('backend.layouts.main')
@section('content')
{{-- <form>
    <div class="row g-2">
        <div class="mb-3 col-md-6">
            <label for="inputEmail4" class="form-label">Email</label>
            <input type="email" class="form-control" id="inputEmail4" placeholder="Email">
        </div>
        <div class="mb-3 col-md-6">
            <label for="inputPassword4" class="form-label">Password</label>
            <input type="password" class="form-control" id="inputPassword4" placeholder="Password">
        </div>
    </div>

    <div class="mb-3">
        <label for="inputAddress" class="form-label">Address</label>
        <input type="text" class="form-control" id="inputAddress" placeholder="1234 Main St">
    </div>

    <div class="mb-3">
        <label for="inputAddress2" class="form-label">Address 2</label>
        <input type="text" class="form-control" id="inputAddress2" placeholder="Apartment, studio, or floor">
    </div>

    <div class="row g-2">
        <div class="mb-3 col-md-6">
            <label for="inputCity" class="form-label">City</label>
            <input type="text" class="form-control" id="inputCity">
        </div>
        <div class="mb-3 col-md-4">
            <label for="inputState" class="form-label">State</label>
            <select id="inputState" class="form-select">
                <option>Choose</option>
                <option>Option 1</option>
                <option>Option 2</option>
                <option>Option 3</option>
            </select>
        </div>
        <div class="mb-3 col-md-2">
            <label for="inputZip" class="form-label">Zip</label>
            <input type="text" class="form-control" id="inputZip">
        </div>
    </div>

    <div class="mb-2">
        <div class="form-check">
            <input type="checkbox" class="form-check-input" id="customCheck11">
            <label class="form-check-label" for="customCheck11">Check this custom checkbox</label>
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Sign in</button>
</form> --}}
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                        <li class="breadcrumb-item active">Form Elements</li>
                    </ol>
                </div>
                <h4 class="page-title">Add Order Status</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.orderstatus.store')}}" method="post" enctype="multipart/form-data">
                                @csrf
                                {{-- <div class="row g-2">
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label"></label>
                                        <input type="text" name="name"class="form-control" id="" placeholder="Zone Name">
                                        @if ($errors->has('name'))
                                        <span class="text-danger">{{ $errors->first('name') }}</span>
                                        @endif
                                    </div>

                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coordinates</label>
                                        <input type="text" name="coordinates"class="form-control" id="" placeholder="Coordinates">
                                        @if ($errors->has('coordinates'))
                                        <span class="text-danger">{{ $errors->first('coordinates') }}</span>
                                        @endif
                                    </div>

                                </div> --}}
                                <div class="row g-2">
                                    {{-- <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status ID</label>
                                        <select name="status_id"  class="form-select">
                                            <option>Choose Status</option>
                                            <option value="1">In Progress</option>
                                            <option value="2">Pending</option>
                                            <option value="3">Pompleted</option>
                                        </select>
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div> --}}
                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status</label>
                                        {{-- <select name="status" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            <option value="pending">Pending</option>
                                            <option value="confirm by restaurant">Confirm by restaurant</option>
                                            <option value="pickup by rider">Pickup by rider</option>
                                        </select> --}}
                                        <input type="text" name="status" class="form-control" placeholder="Status">
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>
                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Priority</label>
                                        {{-- <select name="priority" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            <option value="1">Urgent</option>
                                            <option value="2">Emergency</option>
                                            <option value="3">Normal</option>
                                        </select> --}}
                                        <input type="text" name="priority" class="form-control" placeholder="Priority">
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Add Status</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
