@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-sm-4">
                                                <a href="{{route('backend.orderstatus.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Order Status</a>
                                            </div>
                                            <div class="col-sm-8">
                                                <div class="text-sm-end">
                                                    <button type="button" class="btn btn-success mb-2 me-1"><i class="mdi mdi-cog-outline"></i></button>
                                                    <button type="button" class="btn btn-light mb-2 me-1">Import</button>
                                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                                </div>
                                            </div><!-- end col-->
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        <th class="all" style="width: 20px;">
                                                            <div class="form-check">
                                                                <input type="checkbox" class="form-check-input" id="customCheck1">
                                                                <label class="form-check-label" for="customCheck1">&nbsp;</label>
                                                            </div>
                                                        </th>
                                                        <th>Status ID</th>
                                                        <th class="all">Order Statuses</th>
                                                        {{-- <th>Coordinates</th>
                                                        <th>Resturant wise topic</th>
                                                        <th>Customer wise topic</th>
                                                        <th>Delivery man wise topic</th> --}}
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=2;?>
                                                    @foreach ($order_statuses as $status)
                                                    <tr>
                                                        <td>
                                                            <div class="form-check">
                                                                <input type="checkbox" class="form-check-input" id="customCheck13">
                                                                <label class="form-check-label" for="customCheck13">&nbsp;</label>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            {{$status->id}}
                                                        </td>
                                                        <td>
                                                            {{$status->status}}
                                                        </td>

                                                        {{-- <td>
                                                            @if ($item->status == 1)
                                                            <span class="badge bg-success">Operational Zone</span>
                                                            @elseif ($zone->status == 0)
                                                            <span class="badge badge bg-danger">Non Operational</span>

                                                            @endif

                                                        </td> --}}
                                                        <td class="table-action">
                                                            <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                                            <a href="{{route('backend.orderstatus.edit',$status->id)}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                            <a href="{{route('backend.orderstatus.delete',$status->id)}}" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                                                        </td>


                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach

                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
