<!DOCTYPE html>
<html lang="en">
<head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
    <style>
        body {
            margin-top: 20px;
            background: grey;
        }

        .card-footer-btn {
            display: flex;
            align-items: center;
            border-top-left-radius: 0 !important;
            border-top-right-radius: 0 !important;
        }

        .text-uppercase-bold-sm {
            text-transform: uppercase !important;
            font-weight: 500 !important;
            letter-spacing: 2px !important;
            font-size: .85rem !important;
        }

        .hover-lift-light {
            transition: box-shadow .25s ease, transform .25s ease, color .25s ease, background-color .15s ease-in;
        }

        .justify-content-center {
            justify-content: center !important;
        }

        .btn-group-lg > .btn, .btn-lg {
            padding: 0.8rem 1.85rem;
            font-size: 1.1rem;
            border-radius: 0.3rem;
        }

        .btn-dark {
            color: #fff;
            background-color: #1e2e50;
            border-color: #1e2e50;
        }

        .card {
            position: relative;
            display: flex;
            flex-direction: column;
            min-width: 0;
            word-wrap: break-word;
            background-color: #fff;
            background-clip: border-box;
           
            border: 1px  solid red;
            border-radius: 0.25rem;
            box-shadow: 0 20px 27px 0 rgb(0 0 0 / 5%);
        }

        .p-5 {
            padding: 3rem !important;
        }

        .card-body {
            flex: 1 1 auto;
            padding: 1.5rem 1.5rem;
        }

        tbody, td, tfoot, th, thead, tr {
            border-color: inherit;
            border-style: solid;
            border-width: 0;
        }

        .table td, .table th {
            border-bottom: 0;
            border-top: 1px solid #edf2f9;
        }

        .table > :not(caption) > * > * {
            padding: 1rem 1rem;
            background-color: var(--bs-table-bg);
            border-bottom-width: 1px;
            box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
        }

        .px-0 {
            padding-right: 0 !important;
            padding-left: 0 !important;
        }

        .table thead th, tbody td, tbody th {
            vertical-align: middle;
        }

        tbody, td, tfoot, th, thead, tr {
            border-color: inherit;
            border-style: solid;
            border-width: 0;
        }

        .mt-5 {
            margin-top: 3rem !important;
        }

        .icon-circle[class*=text-] [fill]:not([fill=none]), .icon-circle[class*=text-] svg:not([fill=none]), .svg-icon[class*=text-] [fill]:not([fill=none]), .svg-icon[class*=text-] svg:not([fill=none]) {
            fill: currentColor !important;
        }

        .svg-icon > svg {
            width: 1.45rem;
            height: 1.45rem;
        }
    </style>
</head>
<body>

<div class="container mt-6 mb-7" >
    <div class="row justify-content-center">
        <div class="col-lg-12 col-xl-12" style="boder:1px solid red;">
            <div class="card">
                <div class="card-body p-5">
                    <div class="">
                        <div class="row">

                            <div class="col-md-12" style="boder:1px solid red;">
                                <div class="row">
                                    <div class="col-md-2">
                                        <img src="{{asset('back')}}{{env('LOGO')}}" width="100px">
                                    </div>
                                    <div class="col-md-8">
                                        <div class="text-muted mb-1" style="text-transform:uppercase"><strong>
                                            {{env('APP_NAME')}}
                                            </strong>
                                            <br/>
                                            Slagion Here <br/>
                                            Board Bazar PTCL Training Center, Tel:0344-822222,092-232343
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {{-- <div class="col-md-4 text-md-end">
                                <div class="text-muted mb-2"><strong>Order </strong><br>
                                    Order Date  :<br>
                                    Delivery :  <br> Prepared By  : Rest Name
                                </div>
                            </div> --}}
                        </div>
                    </div>
                    {{-- <hr> --}}
                    <h5 class="text-center">Ledger Report</h5>
                    <!-- <h5 class="text-center">  To</h5> -->
                    {{-- <hr>
                    <div class="mt-4 py-4">
                        <div class="row">
                            <div class="col-md-6">
                                                                <div class="text-muted mb-2"></div>
                                <strong>
                                    Order
                                </strong>
                               
                                <br> Rest :cell
                            </div>
                            <div class="col-md-6 text-md-end">
                                <strong>
                                    Restaurant Name
                                </strong>
                                <br>
                                Rest. Cell 092-2323222
                            </div>
                        </div>
                    </div> --}}
                     @if($report_type=='Restaurant')   
                            <div class="mt-4 py-4">
                                <div class="row">
                                    
                                    <div class="col-md-6 text-md-end">
                                        <strong>
                                            Restaurant Deatils  
                                        </strong>
                                        <br>
                                        

                                        
                                        {{$rest_data->name}} / 
                                        {{$rest_data->phone}} /
                                        {{$rest_data->email}}
                                        
                                    </div>
                                </div>
                            </div>
                    @else
                    <div class="mt-4 py-4">
                                <div class="row">
                                    
                                    <div class="col-md-6 text-md-end">
                                        <strong>
                                            Delivery Man Deatils
                                        </strong>
                                        <br>
                                        {{$delivery_man_data->name}}
                                        {{$delivery_man_data->contact_number}}
                                        {{$delivery_man_data->email}}
                                    </div>
                                </div>
                            </div>
                    @endif

                    <table class="table border-bottom border-gray-200 mt-3">
                        <thead>
                        <tr>
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm px-0">Sr.</th>
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">Date</th>
                            <!-- <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">Transection Type</th> -->
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">Payment ID | Order ID</th>
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">Note</th>
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <!-- <tr>
                                <td class="px-0" colspan="4">Opening</td>
                                
                               
                                <td class="text-end px-0"> $previous_balance </td>
                            </tr> -->
                        @php
                         $subTotal=$previous_balance;
                        @endphp
                        @if($ledger_record)
                        @foreach($ledger_record as $key=>$row)
                          @php
                                $subTotal+= $row->amount;
                            
                            @endphp
                        <tr>
                            <td class="px-0">{{$key + 1}}</td>
                            <td class="text-end px-0">{{ $row->ledger_date }}</td>
                            <!-- <td class="text-end px-0">{{ $row->type }}</td> -->
                            <td class="text-end px-0">{{ $row->receipt_id  }} |  {{ $row->order_id  }}  </td>
                            <td class="text-end px-0">{{ $row->note  }}   </td>
                            <td class="text-end px-0">{{ abs($row->amount) }}</td>
                        </tr>
                        @endforeach
                            @endif
                        </tbody>
                        <tr>
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm px-0 text-right" colspan="4">
                                Total :  &nbsp;&nbsp;
                            </th>
                            
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">
                                {{abs($subTotal)}} 
                            </th>
                        </tr>
                    </table>

                    <div class="mt-5">
                        <div class="row">
                            <div class="col-3">
                                <aside>
                                <button id="printButton"  class="btn btn-defualt border"> Print </button>
                                </aside>

                            </div>
                        </div>
                        
                    </div>
                </div>
                <!-- <div style="padding-block-start: 20px"></div> -->
                <div style="padding: 10px">
                    
                    <p class="">Printed By {{auth()->user()->name}} On : {{ now()->format('F j, Y g:i a') }}</p>
                
                </div>
            </div>
        </div>
    </div>
</div>
s
</body>
<script type="text/javascript">
    {{--  window.print();  --}}

        document.getElementById('printButton').addEventListener('click', function() {
            window.print();
        });
   
</script>
</html>