@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-md-4">
                                                <h3>Reviews</h3>
                                            </div>
                                           
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        
                                                        <th class="all">Feedback For</th>
                                                        <th class="all">Star</th>
                                                        <th>Remarks</th>
                                                        <th>Customer</th>
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=2;?>
                                                    @foreach ($reviews as $review)
                                                    
                                                    <tr>
                                                        <td>@if($review->restaurant)
                                                            {{$review->restaurant->name}}
                                                            @else
                                                            {{'Restaurnat Not Found'}}
                                                            @endif
                                                        </td>
                                                        <td>
                                                            {{$review->review_star}} Star
                                                        </td>
                                                        <td>
                                                            {{$review->review_remarks}}
                                                        </td>
                                                        <td>
                                                            {{$review->user->name ?? 'N/A'}}
                                                        </td>
                                                        <td class="table-action">
                                                            {{-- <a href="{{ route('backend.reviews.show', $review->id) }}" class="action-icon"> <i class="mdi mdi-eye"></i></a> --}}
                                                            {{-- <a href="{{ route('backend.reviews.delete', $review->id) }}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a> --}}
                                                            <a href="{{ route('backend.reviews.delete', $review->id) }}" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                                                        </td>


                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
