@extends('backend.layouts.main')
@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                
                <h4 class="page-title">Slider Image</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.settings.update',$setting->id)}}" method="post" enctype="multipart/form-data">
                                @csrf
                              
                               <div class="row g-2">
                                    <div class="mb-3 col-md-2">
                                        <label for="" class="form-label">Position</label>
                                        <input type="number" value="{{$setting->position}}" name="position"class="form-control" id="" placeholder="e.g 1,2,3">
                                        @if ($errors->has('position'))
                                        <span class="text-danger">{{ $errors->first('position') }}</span>
                                        @endif
                                    </div>

                                     <div class="mb-3 col-md-6">
                                            <label for="inputPassword4" class="form-label">image (max: 840 *300)</label>
                                            <input type="file" name="slider_image" class="form-control" 
                                                placeholder="Phone">
                                                <br/>
                                                <a href="{{asset($setting->slider_image)}}"> 
                                                    <img src="{{asset($setting->slider_image)}}" width="80px" height="80px">
                                                </a>

                                            @if ($errors->has('slider_image'))
                                                <span class="text-danger">{{ $errors->first('slider_image') }}</span>
                                            @endif
                                        </div>

                                   

                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
