@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-sm-4">
                                                <a href="{{route('backend.settings.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Image</a>
                                            </div>
                                            
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        
                                                        <th>#</th>
                                                        <th>image</th>
                                                        <th>Position</th>
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=1;?>
                                                    @foreach ($list as $item)
                                                    <tr>
                                                        
                                                        <td>
                                                            {{$i}}
                                                        </td>
                                                        <td>
                                                            <a href="{{asset($item->slider_image)}}"> show Image </a>
                                                        </td>

                                                         <td>
                                                            {{$item->position}}
                                                        </td>
                                                        <td class="table-action">
                                                            
                                                            <a href="{{route('backend.settings.edit',$item->id)}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                            
                                                             <form id="del_event"  action="{{route('backend.settings.delete',$item->id)}}"

                                                                    method="post"style="display: inline;">
                                                                    @csrf
                                                                    <button class=" action-icon detele-button" style="border: none;"
                                                                        type="submit"><i class="mdi mdi-delete"></i></button>
                                                                </form>    


                                                            <!-- <a href="" class="action-icon"> <i class="mdi mdi-delete"></i></a> -->
                                                        </td>


                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach

                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
