@extends('backend.layouts.main')

@section('content')
<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body mt-5">
                    <h4 class="header-title">User Details</h4>
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <div class="row g-2">
                                <div class="mb-3 col-md-6">
                                    <label for="name" class="form-label">Name:</label>
                                    <p>{{ $user->name }}</p>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="email" class="form-label">Email:</label>
                                    <p>{{ $user->email }}</p>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="contact_number" class="form-label">Phone:</label>
                                    <p>{{ $user->contact_number }}</p>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="user_type_id" class="form-label">User Type:</label>
                                    <p>{{ $user->userType->name }}</p>
                                </div>
                                <div class="mb-3 col-md-6">
                                    <label for="status" class="form-label">Status:</label>
                                    <p>{{ $user->status == 1 ? 'Active' : 'De-active' }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
