@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="{{ route('backend.zone.create') }}" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Zone</a>
                            </div>
                            
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        
                                        <th class="all">Zone Name</th>
                                        {{-- <th>Coordinates</th>
                                                        <th>Resturant wise topic</th>
                                                        <th>Customer wise topic</th>
                                                        <th>Delivery man wise topic</th> --}}
                                        <th>Status</th>
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 2; ?>
                                    @foreach ($zones as $zone)
                                        <tr>
                                            
                                            <td>
                                                {{ $zone->name }}
                                            </td>
                                            {{-- <td>
                                                            {{$zone->coordinates}}
                                                        </td> --}}

                                            {{-- <td>
                                                            {{$zone->restaurant_wise_topic}}
                                                        </td> --}}
                                            {{-- <td>
                                                            {{$zone->customer_wise_topic}}
                                                        </td>
                                                        <td>
                                                            {{$zone->deliveryman_wise_topic}}
                                                        </td> --}}

                                            <td>
                                                @if ($zone->status == 1)
                                                    <span class="badge bg-success">Operational Zone</span>
                                                @elseif ($zone->status == 0)
                                                    <span class="badge badge bg-danger">Non Operational</span>
                                                @endif

                                            </td>
                                            <td class="table-action">
                                                <!-- <a href="javascript:void(0);" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a> -->
                                                <a href="{{ route('backend.zone.edit', $zone->id) }}" class="action-icon">
                                                    <i class="mdi mdi-square-edit-outline"></i></a>

                                               <!--  <form id="del_event"  action="route('backend.zone.delete', $zone->id) "
                                                                    method="post"style="display: inline;">
                                                                    
                                                                   
                                                                    <button class=" action-icon detele-button" style="border: none;"
                                                                       
                                                                        type="submit"><i class="mdi mdi-delete"></i></button>
                                                                </form>     -->    

                                                



                                            </td>


                                        </tr>
                                        <?php $i++; ?>
                                    @endforeach
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
@endsection
