<!-- Font Awesome -->
<link
  href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"
  rel="stylesheet"
/>
<!-- Google Fonts -->
<link
  href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap"
  rel="stylesheet"
/>
<!-- MDB -->
<link
  href="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/6.1.0/mdb.min.css"
  rel="stylesheet"
/>
<section class="vh-100" style="background-color: #eee;">
    <div class="container h-100">
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-lg-12 col-xl-11">
          <div class="card text-black" style="border-radius: 25px;">
            <div class="card-body p-md-5">
              <div class="row justify-content-center">
                <div class="col-md-10 col-lg-6 col-xl-5 order-2 order-lg-1" >
                  <p class="text-center h1 fw-bold mb-5 mx-1 mx-md-4 mt-4"> Rider Sign up </p>
                  <form action="{{ route('deliverymans.store') }}" method="POST">
                    @csrf
                    <div class="form-group">
                        <label for="exampleFormControlSelect1">Name</label>
                        <input type="text" name="name" id="form3Example1c" class="form-control" />
                    </div>
                    <div class="form-group">
                        <label for="exampleFormControlSelect1">Email</label>
                        <input type="email" name="email" id="form3Example3c" class="form-control" />
                      </div>
                      <div class="form-group">
                        <label for="exampleFormControlSelect1">Password</label>
                        <input type="password" name="password" id="form3Example4c" class="form-control" />
                      </div>
                      <div class="form-group">
                        <label for="exampleFormControlSelect1">Confirm Password</label>
                        <input type="password" name="confirm_password" id="form3Example4cd" class="form-control" />
                      </div>
                      <div class="form-group">
                        <label for="exampleFormControlSelect1">Zone</label>
                            <select id="inputState" class="form-select" name="zone_id">
                                <option>Choose</option>
                                <option value="1">Zone 1</option>
                                <option value="1">Zone 2</option>
                                <option value="1">Zone 3</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="exampleFormControlSelect1">Identity Type</label>
                            <select id="inputState" class="form-select" name="identity_type">
                                <option>Choose</option>
                                <option value="1234">Passport</option>
                                <option value="1234">NIC</option>
                            </select>
                      </div>
                      <div class="form-group">
                        <label for="exampleFormControlSelect1">Identity Number</label>
                            <input type="text" class="form-control" required name="identity_number" id="name"
                            placeholder="Name">
                      </div>
                      <div class="form-group">
                        <label for="exampleFormControlSelect1">Type</label>
                            <select id="inputState" class="form-select" name="type">
                                <option>Choose</option>
                                <option value="1">Resturant</option>
                                <option value="2">Zone Wise</option>
                            </select>
                      </div>



                    <div class="d-flex justify-content-center mt-3 ">
                      <button  type="submit" class="btn btn-primary btn-lg">Register</button>
                      {{-- <button type="submit" class="btn btn-primary">Register</button> --}}
                    </div>

                  </form>

                </div>
                <div class="col-md-8 col-lg-5 col-xl-6 d-flex align-items-center order-1 order-lg-2"
                >

                  <img src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-registration/draw1.webp"
                    class="img-fluid" alt="Sample image">

                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  <!-- MDB -->
<script
type="text/javascript"
src="https://cdnjs.cloudflare.com/ajax/libs/mdb-ui-kit/6.1.0/mdb.min.js"
></script>
