
<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Delivery Man Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="<?php echo e(route('deliverymans.update',$user->id)); ?>" method="POST">
                                    <?php echo method_field('PUT'); ?>
                                    <?php echo csrf_field(); ?>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="<?php echo e($user->name); ?>" required name="name"
                                                id="name" >
                                                <?php if($errors->has('name')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                                <?php endif; ?>
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Contact <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" value="<?php echo e($user->contact_number); ?>" class="form-control" required name="contact_number"
                                                id="contact" >
                                                <?php if($errors->has('contact_number')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('contact_number')); ?></span>
                                                <?php endif; ?>
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="inputEmail4" class="form-label">Email (<?php echo e($user->email); ?>) </label>
                                            <input  type="email" name="email" class="form-control" 
                                                id="inputEmail4" >
                                                <?php if($errors->has('email')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-1">
                                            <label for="inputState" class="form-label">Status <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="status" required>
                                                
                                                <option value="1" <?php if($user->status==1): ?> <?php echo e('selected'); ?> <?php endif; ?>>Active</option>
                                                <option value="0" <?php if($user->status==0): ?> <?php echo e('selected'); ?> <?php endif; ?>>De-Active</option>
                                               
                                            </select>
                                            <?php if($errors->has('status')): ?>
                                                    <span class="text-danger"><?php echo e($errors->first('status')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-1">
                                            <label for="inputState" class="form-label">Verified <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="verified" required>
                                                
                                                <option value="1">Yes</option>
                                                <option value="0">No</option>
                                               
                                            </select>
                                            <?php if($errors->has('verified')): ?>
                                                    <span class="text-danger"><?php echo e($errors->first('verified')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                    </div>
                                     <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Password</label>
                                            <input  type="password" name="password" class="form-control" 
                                                 >
                                                 <?php if($errors->has('password')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Confirm Password </label>
                                            <input type="password" name="password_confirmation" class="form-control"
                                                id="inputPassword4">
                                                <?php if($errors->has('password_confirmation')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('password_confirmation')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                    </div>
                                    <div class="row g-2">

                                        <div class="mb-3 col-md-3">
                                            <input type="hidden" name="delivery_men_details_id" value="<?php if($ddata): ?> <?php echo e($ddata->id); ?> <?php endif; ?>">
                                            <label for="inputState" class="form-label">Zone <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="zone_id" required>
                                                <option>Choose</option>
                                                <?php $__currentLoopData = $zones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($zone->id); ?>" <?php if($ddata && $ddata->zone_id==$zone->id): ?> <?php echo e('selected'); ?> <?php endif; ?>><?php echo e($zone->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php if($errors->has('zone_id')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('zone_id')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Identity Type</label>
                                            <select id="inputState" class="form-select" name="identity_type">
                                                <option>Choose</option>
                                                <option value="passport" <?php if($ddata && $ddata->identity_type=='passport'): ?> <?php echo e('selected'); ?> <?php endif; ?>>Passport</option>
                                                <option value="NIC" <?php if($ddata && $ddata->identity_type=='NIC'): ?> <?php echo e('selected'); ?> <?php endif; ?>>NIC</option>

                                            </select>
                                            <?php if($errors->has('identity_type')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('identity_type')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Passport/NIC</label>
                                            <input type="text" class="form-control" name="identity_number" value="<?php if($ddata ): ?> <?php echo e($ddata->identity_number); ?> <?php endif; ?>"    id="name">
                                                <?php if($errors->has('identity_number')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('identity_number')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Type</label>
                                            <select id="inputState" class="form-select" name="type">
                                                <option>Choose</option>
                                                <option value="1" <?php if($ddata && $ddata->type==1): ?> <?php echo e('selected'); ?> <?php endif; ?>>Resturant Wise </option>
                                                <option value="2" <?php if($ddata && $ddata->type==2): ?> <?php echo e('selected'); ?> <?php endif; ?>>Zone Wise</option>

                                            </select>
                                            <?php if($errors->has('type')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('type')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                    </div>



                                    <button type="submit" class="btn btn-primary">Register</button>
                                </form>
                            </div> <!-- end preview-->
                        </div> <!-- end tab-content-->

                    </div> <!-- end card-body -->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/deliveryman/edit.blade.php ENDPATH**/ ?>