
<?php $__env->startSection('content'); ?>
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                        <li class="breadcrumb-item"><a href="javascript: void(0);">Forms</a></li>
                        <li class="breadcrumb-item active">Form Elements</li>
                    </ol>
                </div>
                <h4 class="page-title">Edit Food Category</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="<?php echo e(route('backend.foodcat.update',$editfoodcategory->id)); ?>" method="post" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="id" value="<?php echo e($editfoodcategory->id); ?>">
                                <div class="row g-2">
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Food Name</label>
                                        <input type="text" name="name"class="form-control" value="<?php echo e($editfoodcategory->name); ?>" placeholder="Food Name">
                                        <?php if($errors->has('name')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="mb-3 col-md-6">
                                        <label for="inputPassword4" class="form-label">Image</label>
                                        <input type="file" name="image" class="form-control" id="" placeholder="upload image">
                                        <img src="<?php echo e(asset('storage/foodcategory/'.$editfoodcategory->image)); ?>" alt="" height="40" width="50" />
                                        <?php if($errors->has('image')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('image')); ?></span>
                                        <?php endif; ?>
                                    </div>

                                </div>
                                
                                    
                                    

                                    <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status</label>
                                        <select name="status" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            <option value="1" <?php if($editfoodcategory->status): ?> <?php echo e('selected'); ?> <?php endif; ?>>Active</option>
                                            <option value="0" <?php if($editfoodcategory->status==0): ?> <?php echo e('selected'); ?> <?php endif; ?>>De-Active</option>
                                        </select>
                                        <?php if($errors->has('status')): ?>
                                        <span class="text-danger"><?php echo e($errors->first('status')); ?></span>
                                        <?php endif; ?>

                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/foodcategory/edit.blade.php ENDPATH**/ ?>