
<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>




<?php $__env->startSection('content'); ?>
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Payment  Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="<?php echo e(route('receipt.update', $record->id)); ?>" method="POST" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?>

                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Date <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" class="form-control" value="<?php echo e($record->receipt_date); ?>" required name="payment_date"
                                                value="<?php echo e(old('payment_date')); ?>" id="name" readonly >

                                            <?php if($errors->has('payment_date')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('payment_date')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    <div class="mb-3 col-md-3">
                                        <label for="inputPassword4" class="form-label">Payed For<span
                                                class="text-danger">*</span></label>
                                        
                                            <select name="Payed_for" class="form-control Payed_for change_filed"> 
                                                <option value="Restaurant" <?php if($record->payment_for=='Restaurant'): ?> <?php echo e('selected'); ?><?php endif; ?>> Restaurant</option>
                                                <option value="Delivery Man" <?php if($record->payment_for=='Delivery Man'): ?> <?php echo e('selected'); ?><?php endif; ?>> Delivery Man</option>
                                                <option value="General Expense" <?php if($record->payment_for=='General Expense'): ?> <?php echo e('selected'); ?><?php endif; ?>> General Expense</option>
                                                
                                            </select>
                                        <?php if($errors->has('Payed_for')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('Payed_for')); ?></span>
                                        <?php endif; ?>
                                    </div>

                                    <div class="mb-3 col-md-6 restaurant_section">
                                        <label for="inputState" class="form-label">Restaurant <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select restaurant change_filed" name="restaurant" required >
                                            <!-- <option>Choose</option> -->
                                            <?php if($zones->isNotEmpty()): ?>
                                            <option value="">Select  Restaurant</option>
                                                    <?php $__currentLoopData = $zones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($zone->id); ?>" <?php if($record->restaurant_id==$zone->id): ?> <?php echo e('selected'); ?><?php endif; ?>><?php echo e($zone->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                            <option value="">Not Found</option>
                                            <?php endif; ?>

                                        </select>
                                        <?php if($errors->has('restaurant')): ?>
                                            <span class="text-danger"><?php echo e($errors->first('restaurant')); ?></span>
                                        <?php endif; ?>
                                    </div>

                                    <div class="mb-3 col-md-6 deliveryman_section" style="display:none;">
                                        <label for="inputState" class="form-label">Delivery Man <span
                                                class="text-danger">*</span></label>
                                        <select id="inputState" class="form-select deliveryman change_filed" name="deliveryman" >
                                            <!-- <option>Choose</option> -->
                                            <?php if($delivery_man->isNotEmpty()): ?>
                                            <option value="">Select Delivery Man</option>
                                                    <?php $__currentLoopData = $delivery_man; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($zone->id); ?>"  <?php if($record->user_id==$zone->id): ?> <?php echo e('selected'); ?><?php endif; ?> ><?php echo e($zone->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                            <option value="">Not Found</option>
                                            <?php endif; ?>

                                        </select>
                                    </div>

                                    
                                        
                                        
                                       
                                        
                                            
                                    <div class="row ">
                                        
                                        
                                            <div class="mb-3 col-md-3">
                                                <label for="nem" class="form-label">Amount/Balance <span
                                                        class="text-danger">*</span></label>
                                                <input type="number" step="any" class="form-control payment_amount" required name="payment_amount"
                                                    value="<?php echo e($record->total_paid_amount); ?>" >
    
                                                <?php if($errors->has('payment_amount')): ?>
                                                    <span class="text-danger"><?php echo e($errors->first('payment_amount')); ?></span>
                                                <?php endif; ?>
                                            </div>

                                        
                                    </div>

                                    <div class="row ">
                                       
                                            <div class="mb-3 col-md-12">
                                                <label for="nem" class="form-label">Note </label>
                                                <input type="text"  class="form-control" name="note"
                                                    value="<?php echo e($record->note); ?>" id="note" >
    
                                                <?php if($errors->has('note')): ?>
                                                    <span class="text-danger"><?php echo e($errors->first('note')); ?></span>
                                                <?php endif; ?>
                                            </div>

                                        
                                    </div>
                                    

                                    
                            </div>
                            
                            
                            <button type="submit" class="btn btn-primary">Update</button>
                        </form>
                    </div>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('custom-scripts'); ?>
    <script>
        // var balance=0;
        $('.change_filed').change(function(){
            change();
        });
        var first_time_load=1;
        var receipt_amount='<?php echo e($record->total_paid_amount); ?>';
        function change() {
            
            var type=$('.Payed_for').val();
            var dl=$('.deliveryman').val();
            var res=$('.restaurant').val();
            if(type =='Restaurant')
            {
                $('.deliveryman').removeAttr('required');
                $('.restaurant').attr('required','required');

                $('.deliveryman_section').hide();
                $('.restaurant_section').show();
            }
            else if(type =='Delivery Man')
            {
                $('.deliveryman').attr('required','required');
                $('.restaurant').removeAttr('required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').show();

            }
            else
            {
                $('.deliveryman').removeAttr('required','required');
                $('.restaurant').removeAttr('required','required');

                $('.restaurant_section').hide();
                $('.deliveryman_section').hide();

            }

            if(type !='General Expense')
            {
                if((type =='Delivery Man'  && dl) || (type =='Restaurant' &&  res))
                {

                    if(first_time_load == 0)
                    {

                        $.ajax({
                            url: "<?php echo e(route('get_balance_where')); ?>",
                            type: "GET",
                            data: {
                                type: type,
                                del_id:dl ,
                                res_id: res,
                                receipt_id: '<?php echo e($record->id); ?>'
                            },
                            success: function(data) {
                                console.log(data);
                                var new_balance=0;
                                if(data.receipt_amount && data.receipt_amount>0)
                                new_balance=data.receipt_amount-receipt_amount;
                                $('.payment_amount').val(new_balance);
                                // balance=$data.balance;
                                // message('success','Restaurant Change Successfully')
                            }
                        });
                    }
                    first_time_load=0;
            }
            }
            else
            {

            }
        }
        change();
        // $('.payment_amount').val('<?php echo e($record->total_paid_amount); ?>');
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/receipt/edit.blade.php ENDPATH**/ ?>