
<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body mt-5">
                        <h4 class="header-title">Edit Customer</h4>
                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="<?php echo e(route('customers.update', $user->id)); ?>" method="POST"
                                    enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?> <!-- Use PUT method for updating existing resource -->

                                    <div class="row g-2">
                                        <div class="mb-3 col-md-6">
                                            <label for="name" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" required name="name"
                                                value="<?php echo e(old('name', $user->name)); ?>" id="name">
                                            <?php if($errors->has('name')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" name="email" class="form-control" required
                                                value="<?php echo e(old('email', $user->email)); ?>" id="inputEmail4">
                                            <?php if($errors->has('email')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="" class="form-label">Phone<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" name="contact_number" class="form-control" id=""
                                                value="<?php echo e(old('contact_number', $user->contact_number)); ?>">
                                            <?php if($errors->has('contact_number')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('contact_number')); ?></span>
                                            <?php endif; ?>
                                        </div>

                                        
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Status<span
                                                    class="text-danger">*</span></label>

                                            <select name="status" class="form-control">
                                                <option value="1" <?php echo e($user->status == 1 ? 'selected' : ''); ?>>Active
                                                </option>
                                                <option value="0" <?php echo e($user->status == 0 ? 'selected' : ''); ?>>De-active
                                                </option>
                                            </select>
                                            <?php if($errors->has('status')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('status')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </form>
                            </div>
                        </div>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->
            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/users/edit.blade.php ENDPATH**/ ?>