
<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>




<?php $__env->startSection('content'); ?>
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body mt-5">
                        <h4 class="header-title">Add Customer </h4>
                        <div class="tab-content ">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="<?php echo e(route('customers.store')); ?>" method="POST" enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-6">
                                            <label for="nem" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" required name="name"
                                                value="<?php echo e(old('name')); ?>" id="name">

                                            <?php if($errors->has('name')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" name="email" class="form-control" required
                                                value="<?php echo e(old('email')); ?>" id="inputEmail4">
                                            <?php if($errors->has('email')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputPassword4" class="form-label">Phone<span
                                                    class="text-danger">*</span></label>
                                            <input type="number" name="contact_number" class="form-control"
                                                id="inputPassword4" value="<?php echo e(old('contact_number')); ?>" required>
                                            <?php if($errors->has('contact_number')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('contact_number')); ?></span>
                                            <?php endif; ?>
                                        </div>

                                        
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Status<span
                                                    class="text-danger">*</span></label>

                                            <select name="status" class="form-control">
                                                <option value="1"> Active</option>
                                                <option value="0"> De-active</option>

                                            </select>
                                            <?php if($errors->has('status')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('status')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label>Password</label>
                                            <input type="password" class="form-control" name="password" required />
                                            <?php if($errors->has('password')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label>Retype password</label>
                                            <input id="password-confirm" type="password" class="form-control"
                                                name="password_confirmation" required autocomplete="new-password" />

                                            <?php if($errors->has('password')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                                            <?php endif; ?>
                                        </div>

                                    </div>
                                    <button type="submit" class="btn btn-primary">Register</button>
                                </form>
                            </div>
                        </div>


                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/users/create.blade.php ENDPATH**/ ?>