 <head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.3/dist/jquery.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
    <style>
        body {
            margin-top: 20px;
            background: grey;
        }


        .card-footer-btn {
            display: flex;
            align-items: center;
            border-top-left-radius: 0 !important;
            border-top-right-radius: 0 !important;
        }

        .text-uppercase-bold-sm {
            text-transform: uppercase !important;
            font-weight: 500 !important;
            letter-spacing: 2px !important;
            font-size: .85rem !important;
        }

        .hover-lift-light {
            transition: box-shadow .25s ease, transform .25s ease, color .25s ease, background-color .15s ease-in;
        }

        .justify-content-center {
            justify-content: center !important;
        }

        .btn-group-lg > .btn, .btn-lg {
            padding: 0.8rem 1.85rem;
            font-size: 1.1rem;
            border-radius: 0.3rem;
        }

        .btn-dark {
            color: #fff;
            background-color: #1e2e50;
            border-color: #1e2e50;
        }

        .card {
            position: relative;
            display: flex;
            flex-direction: column;
            min-width: 0;
            word-wrap: break-word;
            background-color: #fff;
            background-clip: border-box;
           
            border: 1px  solid red;
            border-radius: 0.25rem;
            box-shadow: 0 20px 27px 0 rgb(0 0 0 / 5%);
        }

        .p-5 {
            padding: 3rem !important;
        }

        .card-body {
            flex: 1 1 auto;
            padding: 1.5rem 1.5rem;
        }

        tbody, td, tfoot, th, thead, tr {
            border-color: inherit;
            border-style: solid;
            border-width: 0;
        }

        .table td, .table th {
            border-bottom: 0;
            border-top: 1px solid #edf2f9;
        }

        .table > :not(caption) > * > * {
            padding: 1rem 1rem;
            background-color: var(--bs-table-bg);
            border-bottom-width: 1px;
            box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
        }

        .px-0 {
            padding-right: 0 !important;
            padding-left: 0 !important;
        }

        .table thead th, tbody td, tbody th {
            vertical-align: middle;
        }

        tbody, td, tfoot, th, thead, tr {
            border-color: inherit;
            border-style: solid;
            border-width: 0;
        }

        .mt-5 {
            margin-top: 3rem !important;
        }

        .icon-circle[class*=text-] [fill]:not([fill=none]), .icon-circle[class*=text-] svg:not([fill=none]), .svg-icon[class*=text-] [fill]:not([fill=none]), .svg-icon[class*=text-] svg:not([fill=none]) {
            fill: currentColor !important;
        }

        .svg-icon > svg {
            width: 1.45rem;
            height: 1.45rem;
        }

        @media  print {
    .printButton {
        display: block !important; /* Ensure the button is displayed */
    }
}



    </style>
</head> 
 

<div class="container mt-6 mb-7" >
    <div class="row justify-content-center">
        <div class="col-lg-12 col-xl-12" >
            <div class="card">
                <div class="card-body p-5">
                    <div class="pt-1 mt-1 c_header"  >
                        <div class="row">

                            <div class="col-md-7" style="boder:1px solid red;">
                                <div class="row">
                                    <div class="col-md-3">
                                        <img src="<?php echo e(asset('app/restaurant/1681140230391.png')); ?>" width="100px">
                                    </div>
                                    <div class="col-md-8">
                                        <div class="text-muted mb-2"><strong>
                                            Food panda.<br>
                                            Order lists<br></strong>
                                            Resturant #16-17-18 2nd floor Hassan Tower (Near Hafeez center)
                                            <br>Board Bazar PTCL Training Center, Tel:0344-822222,092-232343
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 text-md-end">
                                <div class="text-muted mb-2"><strong>Order </strong><br>
                                    Order Date  :<br>
                                    Delivery :  <br> Prepared By  : Rest Name
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <h2 class="text-center">Single Order Detail</h2>
                    <hr>
                   <div class="mt-4 py-4">
                        <div class="row">
                            <div class="col-md-12  left" >
                             <div class="text-muted mb-2"></div>
                                <strong>
                                    Order summery
                                </strong>

                               
                                <table class="table border-bottom border-gray-200 mt-3">
                        <thead>
                        <tr>
                            <th scope="col" class="">Sr.</th>
                            <th scope="col" class=" text-end">Amount</th>
                            <th scope="col" class=" text-end">Coupon Discount</th>
                            <th scope="col" class=" text-end">payment status</th>
                            <th scope="col" class="text-end">order status</th>
                            <th scope="col" class="text-end">payment method</th>
                            
                            <th scope="col" class="text-end">picking status</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                        <td>#</td>
                        <?php  $total=0;
                        $total=$order->order_amount-$order->coupon_discount_amount;  ?>
                        <td><?php echo e($order->order_amount); ?></td>
                        <td><?php echo e($order->coupon_discount_amount); ?></td>
                        <td><?php echo e($order->payment_status); ?></td>
                        <td><?php echo e($order->order_status); ?></td>
                        <td><?php echo e($order->payment_method); ?></td>
                        <td><?php echo e($order->rider_picking_status); ?></td>
                        
                        </tr>
                        </tbody>
                    </table>
                            </div>
                            
                        </div>
                    </div>
                         <div class="row">

                            <div class="col-md-7" >
                                <div class="row">
                                    <div class="col-md-3">
                                        
                                    </div>
                                    <div class="col-md-8">
                                        <div class="text-muted mb-2"><strong>
                                            Restaurant :<?php echo e($order->restaurant->name); ?><br></strong>
                                            Email: <?php echo e($order->restaurant->restaurant_email); ?><br>
                                           Contact: <?php echo e($order->restaurant->contact_number); ?> <br>
                                           Add: <br><?php echo e($order->restaurant->latitude); ?>,<?php echo e($order->restaurant->longitude); ?> Add:<?php echo e($order->restaurant->address); ?>

                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4 text-md-end">
                                <div class="text-muted mb-2"><strong>User </strong><br>
                                    Name  :<br><?php echo e($order->user->name); ?>

                                    Email :<?php echo e($order->user->email); ?>  <br> Contact  : <?php echo e($order->user->contact_number); ?>

                                </div>
                            </div>
                        </div>
                    
                    

                    <div class="mt-5">
                        <div class="d-flex justify-content-end">
                            <p class="text-muted me-3">Subtotal:</p>
                            <span><?php echo e($total); ?></span>
                        </div>

                        <div class="d-flex justify-content-end">
                            <p class="text-muted me-3">Discount:</p>
                            <span><?php echo e($order->coupon_discount_amount); ?></span>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-6">
                                <h5 class="me-3">Restaurant Remarks:</h5>
                            </div>
                            <div class="col-3">
                            </div>
                            <div class="col-3">
                                <h5 class="me-3">Total:<?php echo e($total); ?></h5>
                            </div>
                            <div class="col-3">
                                <aside>
                                <button class="printButton" id="printButton"  class="btn btn-defualt border"> Print </button>
                                </aside>

                            </div>
                        </div>
                        <div class="d-flex justify-content-start mt-3">

                        </div>
                    </div>
                </div>
                <div style="padding-block-start: 20px"></div>
                <div  style="padding: 10px"  >
                    <ul>
                        <li>'Content here, content here', making it look like readable English</li>
                        <li>P'Content here, content here', making it look like readable Englishs.
                        </li>
                        <li>'Content here, content here', making it look like readable English.
                        </li>
                    </ul><hr>
                    <h5 class="text-center">Printed On : <?php echo e(now()->format('F j, Y g:i a')); ?></h5>
                </div>

            </div>
        </div>
    </div>
</div>
</body>

</html><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/reports/order/single_order_detail.blade.php ENDPATH**/ ?>