<!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8" />
        <title><?php echo e(env('APP_NAME')); ?></title>
        <?php echo $__env->make('backend.include.head', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


    </head>

    <body class="loading" data-layout="topnav" data-layout-config='{"layoutBoxed":false,"darkMode":false,"showRightSidebarOnStart": false}'>
        <!-- Begin page -->
        <div class="wrapper">

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->
            <?php echo $__env->make('backend.include.topnav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="content-page">
                <div class="content">

                    <!-- end Topbar -->
                    <?php echo $__env->make('backend.include.topnav_second', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>



                    <?php echo $__env->yieldContent('content'); ?>

                </div>
                <!-- content -->

                <?php echo $__env->make('backend.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->
        <?php echo $__env->make('backend.include.rightbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


        <div class="rightbar-overlay"></div>
        <!-- /End-bar -->
        <?php echo $__env->make('backend.include.scripts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        
<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase.js"></script>
<!-- Firebase App is always required and must be first -->
<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase-app.js"></script>

<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase-auth.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase-firestore.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase-messaging.js"></script>
<script src="https://www.gstatic.com/firebasejs/5.5.9/firebase-functions.js"></script>

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
<script>
   var run_token_code="<?php echo e(auth()->user()->fcm_token); ?>";
// Your web app's Firebase configuration
var firebaseConfig = { 
    apiKey: "AIzaSyBmS6EMUTGiVIE0TjMMCclO7c01afaInPI",
    authDomain: "citeats-d2605.firebaseapp.com",
    databaseURL: "https://citeats-d2605-default-rtdb.firebaseio.com",
    projectId: "citeats-d2605",
        storageBucket: "citeats-d2605.appspot.com",
        messagingSenderId: "792934483817",
        appId: "1:792934483817:web:b3360c6a6fd9275c519ff8",
        measurementId: "G-F3HKX0Z5KX"
};
// Initialize Firebase
firebase.initializeApp(firebaseConfig);
//firebase.analytics();
const messaging = firebase.messaging();
    messaging
.requestPermission()
.then(function () {
//MsgElem.innerHTML = "Notification permission granted." 
    console.log("Notification permission granted.");
     // get the token in the form of promise
    return messaging.getToken()
                })
.then(function(token) {
 // print the token on the HTML page     
  // console.log(token);
  

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                $.ajax({
                    url: '<?php echo e(route("save-token")); ?>',
                    type: 'POST',
                    data: {
                        token: token
                    },
                    dataType: 'JSON',
                    success: function (response) {
                        // alert('Token saved successfully.');
                    },
                    error: function (err) {
                        console.log('User Chat Token Error'+ err);
                    },
                }); 
  
  
            })
            .catch(function (err) {
                console.log("Unable to get permission to notify.", err);
            });

            messaging.onMessage(function(payload) {
                // console.log(payload);
                console.log(payload.notification);

                var notify;
                notify = new Notification(payload.notification.title,{
                    body: payload.notification.body,
                    // icon: payload.notification.icon,
                    tag: "Dummy"
                });
                // console.log(payload.notification);
                // $('#show_message').val(payload.notification.body);
                var ss=payload.notification.title.split("#");
                console.log(ss);
                var notify_html=` <a href="#" class="dropdown-item notify-item">
                                                <div class="notify-icon bg-primary">
                                                    <i class="mdi mdi-comment-account-outline"></i>
                                                </div>
                                                <p class="notify-details">`+payload.notification.body+`
                                                    <small class="text-muted">`+payload.notification.title+`</small>
                                                </p>
                                            </a>`;
                                            $("#notificat_area").prepend(notify_html);
                                            message('warning',payload.notification.body+' <br/>'+payload.notification.title);
            });



            self.addEventListener('notificationclick', function(event) {       
                event.notification.close();
            });
        </script>

    </body>
</html>
<?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/layouts/main.blade.php ENDPATH**/ ?>