

<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <!-- Start Content-->
    <div class="container-fluid">

        
        <?php if(Auth::user()->userType->name == 'admin'): ?>
            <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                   
                    <h4 class="page-title"> 
                    Statistics
                    </h4>
                    

                </div>
            </div>
        </div>
        <!-- end page title -->
        <div class="row">
                <div class="col-xl-12 col-lg-12">

                    <div class="row">
                        <div class="col-lg-3">
                            <div class="card widget-flat">
                                <div class="card-body">
                                    <div class="float-end">
                                        <i class="mdi mdi-account-multiple widget-icon"></i>
                                    </div>
                                    <h5 class="text-muted fw-normal mt-0" title="Number of Customers">Orders</h5>
                                    <h3 class="mt-3 mb-3"><?php echo e($orders['total']); ?></h3>
                                    <p class="mb-0 text-muted">
                                        <!-- <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 5.27%</span> -->
                                        <span class="text-nowrap">Total Orders</span>
                                    </p>
                                </div> <!-- end card-body-->
                            </div> <!-- end card-->
                        </div> <!-- end col-->

                        <div class="col-lg-3">
                            <div class="card widget-flat">
                                <div class="card-body">
                                    <div class="float-end">
                                        <i class="mdi mdi-cart-plus widget-icon bg-success-lighten text-success"></i>
                                    </div>
                                    <h5 class="text-muted fw-normal mt-0" title="Number of Orders">Orders</h5>
                                    <h3 class="mt-3 mb-3"><?php echo e($orders['pending']); ?></h3>
                                    <p class="mb-0 text-muted">
                                        <!-- <span class="text-danger me-2"><i class="mdi mdi-arrow-down-bold"></i> 1.08%</span> -->
                                        <span class="text-nowrap">Pending Orders</span>
                                    </p>
                                </div> <!-- end card-body-->
                            </div> <!-- end card-->
                        </div> <!-- end col-->
                   
                        <div class="col-lg-3">
                            <div class="card widget-flat">
                                <div class="card-body">
                                    <div class="float-end">
                                        <i class="mdi mdi-currency-usd widget-icon bg-success-lighten text-success"></i>
                                    </div>
                                    <h5 class="text-muted fw-normal mt-0" title="Average Revenue">Orders</h5>
                                    <h3 class="mt-3 mb-3"><?php echo e($orders['completed']); ?></h3>
                                    <p class="mb-0 text-muted">
                                        <!-- <span class="text-danger me-2"><i class="mdi mdi-arrow-down-bold"></i> 7.00%</span> -->
                                        <span class="text-nowrap">Completed Orders</span>
                                    </p>
                                </div> <!-- end card-body-->
                            </div> <!-- end card-->
                        </div> <!-- end col-->

                        <!-- <div class="col-lg-3">
                            <div class="card widget-flat">
                                <div class="card-body">
                                    <div class="float-end">
                                        <i class="mdi mdi-pulse widget-icon"></i>
                                    </div>
                                    <h5 class="text-muted fw-normal mt-0" title="Growth">Growth</h5>
                                    <h3 class="mt-3 mb-3">+ 30.56%</h3>
                                    <p class="mb-0 text-muted">
                                        <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 4.87%</span>
                                        <span class="text-nowrap">Since last month</span>
                                    </p>
                                </div> 
                            </div> 
                        </div>  -->
                    </div> 

                </div> <!-- end col -->

                
            </div>
        <div class="row">
                            <div class="col-12">
                                <div class="card widget-inline">
                                    <div class="card-body p-0">
                                        <div class="row g-0">
                                            <div class="col-sm-6 col-xl-3">
                                                <div class="card shadow-none m-0">
                                                    <div class="card-body text-center">
                                                        <i class="dripicons-briefcase text-muted" style="font-size: 24px;"></i>
                                                        <h3><span><?php echo e($orders['total_user']); ?></span></h3>
                                                        <p class="text-muted font-15 mb-0">Total User</p>
                                                    </div>
                                                </div>
                                            </div>
                
                                            <div class="col-sm-6 col-xl-3">
                                                <div class="card shadow-none m-0 border-start">
                                                    <div class="card-body text-center">
                                                        <i class="dripicons-checklist text-muted" style="font-size: 24px;"></i>
                                                        <h3><span><?php echo e($orders['customer_user']); ?></span></h3>
                                                        <p class="text-muted font-15 mb-0">Total Customer</p>
                                                    </div>
                                                </div>
                                            </div>
                
                                            <div class="col-sm-6 col-xl-3">
                                                <div class="card shadow-none m-0 border-start">
                                                    <div class="card-body text-center">
                                                        <i class="dripicons-user-group text-muted" style="font-size: 24px;"></i>
                                                        <h3><span><?php echo e($orders['rest_user']); ?></span></h3>
                                                        <p class="text-muted font-15 mb-0">Total Delivery Man</p>
                                                    </div>
                                                </div>
                                            </div>
                
                                            <div class="col-sm-6 col-xl-3">
                                                <div class="card shadow-none m-0 border-start">
                                                    <div class="card-body text-center">
                                                        <i class="dripicons-graph-line text-muted" style="font-size: 24px;"></i>
                                                        <h3><span><?php echo e($orders['rider_user']); ?></span> <i class="mdi mdi-arrow-up text-success"></i></h3>
                                                        <p class="text-muted font-15 mb-0">Total Restaurant User</p>
                                                    </div>
                                                </div>
                                            </div>
                
                                        </div> <!-- end row -->
                                    </div>
                                </div> <!-- end card-box-->
                            </div> <!-- end col-->
                        </div>
            
            <!-- end row -->

            


            <div class="row">
                <div class="col-xl-12 col-lg-12 order-lg-12 order-xl-1">
                    <div class="card">
                        <div class="card-body">
                            
                            <h4 class="header-title mt-2 mb-3">Recent Orders</h4>

                            <div class="table-responsive">
                        <table class="table table-centered table-nowrap table-hover mb-0">
                           
                            <tbody>
                               
                                <?php if($order): ?>
                                    <?php $__currentLoopData = $order; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $od =>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>


                                        
                                        <tr>
                                            <td>
                                                <h5 class="font-14 my-1 "><?php echo e($row->name); ?> , <?php echo e($row->email); ?>

                                                    <?php if($row->contact_number): ?> , <?php echo e($row->contact_number); ?><?php endif; ?>
                                                </h5>
                                                <span class="text-muted font-13"><?php echo e($row->created_at); ?></span>
                                            </td>
                                            
                                            <td>
                                                 <span class="text-muted font-13">Status</span><br/>
                                                <?php if($row->order_status=='completed'): ?>
                                                <span class="badge badge-success-lighten">Completed</span>
                                                <?php elseif($row->order_status=='pending'): ?>
                                                <span class="badge badge-danger-lighten">Pending</span>
                                                <?php endif; ?>
                                                <!-- <h5 class="font-14 my-1 fw-normal"><?php echo e($row->order_status); ?></h5> -->

                                                <!-- <span class="badge badge-danger-lighten">Outdated</span> -->
                                               
                                            </td>
                                            <td>
                                                <span class="text-muted font-13">Amount</span>
                                                <h5 class="font-14 my-1 fw-normal"><?php echo e($row->order_amount); ?></h5>
                                                
                                            </td>
                                            <td>
                                                <a href="<?php echo e(route('getOrderById',$row->id)); ?>" class="btn btn-success"> Show</a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                               
                               
                                

                            </tbody>
                        </table>
                    </div> 
                        </div> <!-- end card-body-->
                    </div> <!-- end card-->
                </div> <!-- end col-->

                

               
            </div>
            <!-- end row -->

    </div>
    <!-- container -->
<?php elseif(Auth::user()->userType->name == 'restaurant'): ?>
 <!-- start page title -->
 <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <form class="d-flex">
                            <div class="input-group">
                                <input type="text" class="form-control form-control-light" id="dash-daterange">
                                <span class="input-group-text bg-primary border-primary text-white">
                                    <i class="mdi mdi-calendar-range font-13"></i>
                                </span>
                            </div>
                            <a href="javascript: void(0);" class="btn btn-primary ms-2">
                                <i class="mdi mdi-autorenew"></i>
                            </a>
                            <a href="javascript: void(0);" class="btn btn-primary ms-1">
                                <i class="mdi mdi-filter-variant"></i>
                            </a>
                        </form>
                    </div>
                    <h4 class="page-title"> 
                    <?php if($dashboard_data->restuarant->isNotEmpty()): ?> <?php echo e($dashboard_data->restuarant[0]->name); ?> <?php else: ?> <?php echo e('Statistics'); ?> <?php endif; ?>
                    </h4>
                    

                </div>
            </div>
        </div>
        <!-- end page title -->
    <div class="row">
        <div class="col-xl-3 col-lg-6 order-lg-1">
            <div class="card">
                <div class="card-body">
                    <div class="dropdown float-end">
                        
                        
                    </div>
                    <h4 class="header-title">Total Sales</h4>

                    <div id="average-sales" class=" mb-4 mt-4" data-colors="#536de6,#10c469,#ff5b5b,#f9c851">
                    </div>


                    <div class="chart-widget-list">
                        
                       <!--  <p>
                            <i class="mdi mdi-square text-danger"></i> Affilliate
                            <span class="float-end">$135.18</span>
                        </p> -->
                        <p>
                            <i class="mdi mdi-square text-success"></i> Completed
                            <span class="float-end"><?php echo e($orders['completed']); ?></span>
                        </p>
                        <p class="mb-0">
                            <i class="mdi mdi-square text-warning"></i> Pending
                            <span class="float-end"><?php echo e($orders['pending']); ?></span>
                        </p>
                        <p>
                            <i class="mdi mdi-square text-primary"></i> Total
                            <span class="float-end"><?php echo e($orders['total']); ?></span>
                        </p>
                    </div>
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> 
        <div class="col-xl-8 col-lg-12 order-lg-2 order-xl-1">
            <div class="card">
                <div class="card-body">
                    <a href="#" class="btn btn-sm btn-link float-end">Recent Orders
                        
                    </a>
                    <h4 class="header-title mt-2 mb-3"><?php if($dashboard_data->restuarant->isNotEmpty()): ?> <?php echo e($dashboard_data->restuarant[0]->name); ?> <?php endif; ?> <small> </small></h4>

                    <div class="table-responsive">
                        <table class="table table-centered table-nowrap table-hover mb-0">
                           
                            <tbody>
                               
                                <?php if($order): ?>
                                    <?php $__currentLoopData = $order; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $od =>$row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>


                                        
                                        <tr>
                                            <td>
                                                <h5 class="font-14 my-1 "><?php echo e($row->name); ?> , <?php echo e($row->email); ?>

                                                    <?php if($row->contact_number): ?> , <?php echo e($row->contact_number); ?><?php endif; ?>
                                                </h5>
                                                <span class="text-muted font-13"><?php echo e($row->created_at); ?></span>
                                            </td>
                                            
                                            <td>
                                                 <span class="text-muted font-13">Status</span><br/>
                                                <?php if($row->order_status=='completed'): ?>
                                                <span class="badge badge-success-lighten">Completed</span>
                                                <?php elseif($row->order_status=='pending'): ?>
                                                <span class="badge badge-danger-lighten">Pending</span>
                                                <?php endif; ?>
                                                <!-- <h5 class="font-14 my-1 fw-normal"><?php echo e($row->order_status); ?></h5> -->

                                                <!-- <span class="badge badge-danger-lighten">Outdated</span> -->
                                               
                                            </td>
                                            <td>
                                                <span class="text-muted font-13">Amount</span>
                                                <h5 class="font-14 my-1 fw-normal"><?php echo e($row->order_amount); ?></h5>
                                                
                                            </td>
                                            <td>
                                                <a href="<?php echo e(route('getOrderById',$row->id)); ?>" class="btn btn-success"> Show</a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                               
                               
                                

                            </tbody>
                        </table>
                    </div> 
                    <!-- end table-responsive-->
                </div> <!-- end card-body-->
            </div> <!-- end card-->
        </div> <!-- end col-->

        

       <!--   <div class="col-xl-3 col-lg-6 order-lg-1">
            <div class="card">
                <div class="card-body">
                    <div class="dropdown float-end">
                        <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown"
                            aria-expanded="false">
                            <i class="mdi mdi-dots-vertical"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <a href="javascript:void(0);" class="dropdown-item">Sales Report</a>
                            <a href="javascript:void(0);" class="dropdown-item">Export Report</a>
                            <a href="javascript:void(0);" class="dropdown-item">Profit</a>
                            <a href="javascript:void(0);" class="dropdown-item">Action</a>
                        </div>
                    </div>
                    <h4 class="header-title">Total Sales</h4>

                    <div id="average-sales" class="apex-charts mb-4 mt-4" data-colors="#536de6,#10c469,#ff5b5b,#f9c851">
                    </div>


                    <div class="chart-widget-list">
                        <p>
                            <i class="mdi mdi-square text-primary"></i> Direct
                            <span class="float-end">$300.56</span>
                        </p>
                        <p>
                            <i class="mdi mdi-square text-danger"></i> Affilliate
                            <span class="float-end">$135.18</span>
                        </p>
                        <p>
                            <i class="mdi mdi-square text-success"></i> Sponsored
                            <span class="float-end">$48.96</span>
                        </p>
                        <p class="mb-0">
                            <i class="mdi mdi-square text-warning"></i> E-mail
                            <span class="float-end">$154.02</span>
                        </p>
                    </div>
                </div> 
            </div> 
        </div> 
 -->
        <!-- <div class="col-xl-3 col-lg-6 order-lg-1">
            <div class="card">
                <div class="card-body">
                    <div class="dropdown float-end">
                        <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown"
                            aria-expanded="false">
                            <i class="mdi mdi-dots-vertical"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <a href="javascript:void(0);" class="dropdown-item">Sales Report</a>
                            <a href="javascript:void(0);" class="dropdown-item">Export Report</a>
                            <a href="javascript:void(0);" class="dropdown-item">Profit</a>
                            <a href="javascript:void(0);" class="dropdown-item">Action</a>
                        </div>
                    </div>
                    <h4 class="header-title mb-2">Recent Activity</h4>

                    <div data-simplebar style="max-height: 424px;">
                        <div class="timeline-alt pb-0">
                            <div class="timeline-item">
                                <i class="mdi mdi-upload bg-info-lighten text-info timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-info fw-bold mb-1 d-block">You sold an item</a>
                                    <small>Paul Burgess just purchased “Hyper - Admin Dashboard”!</small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">5 minutes ago</small>
                                    </p>
                                </div>
                            </div>

                            <div class="timeline-item">
                                <i class="mdi mdi-airplane bg-primary-lighten text-primary timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-primary fw-bold mb-1 d-block">Product on the Bootstrap
                                        Market</a>
                                    <small>Dave Gamache added
                                        <span class="fw-bold">Admin Dashboard</span>
                                    </small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">30 minutes ago</small>
                                    </p>
                                </div>
                            </div>

                            <div class="timeline-item">
                                <i class="mdi mdi-microphone bg-info-lighten text-info timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-info fw-bold mb-1 d-block">Robert Delaney</a>
                                    <small>Send you message
                                        <span class="fw-bold">"Are you there?"</span>
                                    </small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">2 hours ago</small>
                                    </p>
                                </div>
                            </div>

                            <div class="timeline-item">
                                <i class="mdi mdi-upload bg-primary-lighten text-primary timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-primary fw-bold mb-1 d-block">Audrey Tobey</a>
                                    <small>Uploaded a photo
                                        <span class="fw-bold">"Error.jpg"</span>
                                    </small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">14 hours ago</small>
                                    </p>
                                </div>
                            </div>

                            <div class="timeline-item">
                                <i class="mdi mdi-upload bg-info-lighten text-info timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-info fw-bold mb-1 d-block">You sold an item</a>
                                    <small>Paul Burgess just purchased “Hyper - Admin Dashboard”!</small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">16 hours ago</small>
                                    </p>
                                </div>
                            </div>

                            <div class="timeline-item">
                                <i class="mdi mdi-airplane bg-primary-lighten text-primary timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-primary fw-bold mb-1 d-block">Product on the Bootstrap
                                        Market</a>
                                    <small>Dave Gamache added
                                        <span class="fw-bold">Admin Dashboard</span>
                                    </small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">22 hours ago</small>
                                    </p>
                                </div>
                            </div>

                            <div class="timeline-item">
                                <i class="mdi mdi-microphone bg-info-lighten text-info timeline-icon"></i>
                                <div class="timeline-item-info">
                                    <a href="#" class="text-info fw-bold mb-1 d-block">Robert Delaney</a>
                                    <small>Send you message
                                        <span class="fw-bold">"Are you there?"</span>
                                    </small>
                                    <p class="mb-0 pb-2">
                                        <small class="text-muted">2 days ago</small>
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div> 
                </div>
               
            </div>
            
        </div> -->
       
    </div>
<?php else: ?>
    <?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('plugin-scripts'); ?>

    <script type="text/javascript">
        $(document).ready(function() {
            $(document).on('click', '.status', function() {

                var status = 0;
                var id = $(this).data('id');
                console.log(id);

                if ($(this).prop("checked") == true)
                    status = 1;

                if ($(this).prop("checked") == false)
                    status = 0;

                $.ajax({
                    method: 'POST',
                    url: '<?php echo e(route('rest.status')); ?>',
                    data: {
                        id: id,
                        status: status,
                        _token: <?php echo json_encode(csrf_token(), 15, 512) ?>
                    },
                    success: function(data) {
                        alert('Status Update SuccessFully!');
                    },
                    error: function(err) {
                        alert(' Error Status !');
                    }
                });
            });
        });
            </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/dashboard.blade.php ENDPATH**/ ?>