
<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
<?php $__env->stopPush(); ?>




<?php $__env->startSection('content'); ?>
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="<?php echo e(route('deliverymans.create')); ?>" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add delivery Man</a>
                            </div>
                            
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th> #</th>
                                        <th class="all">Name</th>
                                        <th>Email</th>
                                        <th>Contact</th>
                                       
                                        
                                        
                                        <th>Verified</th>
                                        <th>Status</th>
                                        
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    <?php $__currentLoopData = $deliverymanDetail; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deliveryman): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            
                                            <td>
                                                <?php echo e($i); ?>

                                            </td>
                                            <td>
                                                <?php echo e($deliveryman->name); ?>

                                            </td>
                                            <td>
                                                <?php echo e($deliveryman->email); ?>

                                            </td>
                                            <td>
                                                <?php echo e($deliveryman->contact_number); ?>

                                            </td>

                                            <td>
                                                <?php if($deliveryman->verified): ?> 
                                                <span class="badge bg-success">Yes</span>
                                                <?php else: ?>
                                                
                                                <span class="badge bg-danger">No</span>
                                                <?php endif; ?> 
                                                
                                            </td>
                                            
                                          
                                            

                                            
                                            <td>
                                                <?php if($deliveryman->status==1): ?>
                                                    <span class="badge bg-success">Active</span>
                                                    <?php else: ?>
                                                    <span class="badge bg-danger">In-Active</span>
                                                    
                                                <?php endif; ?>



                                            </td>
                                            

                                            
                                            <td class="table-action">
                                                <a href="<?php echo e(route('deliverymans.show', $deliveryman->id)); ?>" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a>
                                                <a href="<?php echo e(route('deliverymans.edit', $deliveryman->id)); ?>"
                                                    class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                
                                                
                                                
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script>
    
    // load subject when page load ------------------------------------------------------------------------ 
$(document).ready(function()
{ 
    
 
     $('.detele-button').click(function(event) {
          var form =  $(this).closest("form");
          var name = $(this).data("name");
          event.preventDefault();
          swal({
              title: `Are you sure to delete?`,
              text: "If you delete this, it will be gone forever.",
              icon: "warning",
              buttons: true,
              dangerMode: true,
          })
          .then((willDelete) => {
            if (willDelete) {
              form.submit();
            }
          });
      });
});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/deliveryman/index.blade.php ENDPATH**/ ?>