<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RestaurantTiming extends Model
{
    use HasFactory;

    protected $fillable = [
        'day',
        'opening_time',
        'closing_time',
        'status',
        'restaurant_id',
    ];

    public function getStatusAttribute($value)
    {
        return $value == 1 ? 'on' : 'off';
    }

    // set status attribute
    public function setStatusAttribute($value)
    {
        $this->attributes['status'] = $value == 'on' ? 1 : 0;
    }
}
