-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Mar 03, 2023 at 07:50 PM
-- Server version: 5.7.36
-- PHP Version: 7.2.34

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `foodponda`
--

-- --------------------------------------------------------

--
-- Table structure for table `business_settings`
--

DROP TABLE IF EXISTS `business_settings`;
CREATE TABLE IF NOT EXISTS `business_settings` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `business_settings`
--

INSERT INTO `business_settings` (`id`, `key`, `value`, `created_at`, `updated_at`) VALUES
(1, 'cash_on_delivery', '{\"status\":\"1\"}', '2021-07-01 10:51:17', '2021-07-01 10:51:17'),
(2, 'stripe', '{\"status\":\"1\",\"api_key\":\"sk_test_4eC39HqLyjWDarjtT1zdp7dc\",\"published_key\":\"pk_test_TYooMQauvdEDq54NiTphI7jx\"}', '2021-05-10 22:57:02', '2021-09-08 06:28:06'),
(4, 'mail_config', '{\"name\":\"Efood multivendor\",\"host\":\"mail.6amtech.com\",\"driver\":\"smtp\",\"port\":\"587\",\"username\":\"info@6amtech.com\",\"email_id\":\"info@6amtech.com\",\"encryption\":\"tls\",\"password\":\"K@Yb.3+r1BVs\"}', NULL, '2021-07-01 09:24:07'),
(5, 'fcm_project_id', 'e-food-9e6e3', NULL, NULL),
(6, 'push_notification_key', 'AAAA9Gb8H_I:APA91bHgVLGopGJibQIPZHcLT8JJz_UbryesnRE6rz4rqs6McQyCZ2A9LcdnclZd_3CqdwPcaxaEUphO42OJB_-JdK0_JLopXCo8Ubl2ABMql_BCysLoCj4k-iIOYXd3_dYIvuB8cEee', NULL, NULL),
(7, 'order_pending_message', '{\"status\":1,\"message\":\"Your order is successfully placed\"}', NULL, NULL),
(8, 'order_confirmation_msg', '{\"status\":1,\"message\":\"Your order is confirmed\"}', NULL, NULL),
(9, 'order_processing_message', '{\"status\":1,\"message\":\"Your order is started for cooking\"}', NULL, NULL),
(10, 'out_for_delivery_message', '{\"status\":1,\"message\":\"Your food is ready for delivery\"}', NULL, NULL),
(11, 'order_delivered_message', '{\"status\":1,\"message\":\"Your order is delivered\"}', NULL, NULL),
(12, 'delivery_boy_assign_message', '{\"status\":1,\"message\":\"Your order has been assigned to a delivery man\"}', NULL, NULL),
(13, 'delivery_boy_start_message', '{\"status\":1,\"message\":\"Your order is picked up by delivery man\"}', NULL, NULL),
(14, 'delivery_boy_delivered_message', '{\"status\":1,\"message\":\"Order delivered successfully\"}', NULL, NULL),
(82, 'sdf', NULL, '2023-03-03 14:30:20', '2023-03-03 14:30:20');

-- --------------------------------------------------------

--
-- Table structure for table `complete_driver_details`
--

DROP TABLE IF EXISTS `complete_driver_details`;
CREATE TABLE IF NOT EXISTS `complete_driver_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vehicle_image` varchar(255) DEFAULT NULL,
  `vehicle_document` varchar(255) DEFAULT NULL,
  `make_by` varchar(50) DEFAULT NULL,
  `model` varchar(50) DEFAULT NULL,
  `year` varchar(50) DEFAULT NULL,
  `license` varchar(255) DEFAULT NULL,
  `vehicle_color` varchar(255) DEFAULT NULL,
  `front_image` varchar(255) DEFAULT NULL,
  `back_image` varchar(255) DEFAULT NULL,
  `issue_date` date DEFAULT NULL,
  `expiry_date` date DEFAULT NULL,
  `license_no` varchar(255) DEFAULT NULL,
  `issuing_state` varchar(255) DEFAULT NULL,
  `street_address` varchar(255) DEFAULT NULL,
  `building` varchar(255) DEFAULT NULL,
  `city_id` int(11) NOT NULL,
  `state_id` int(11) NOT NULL,
  `zip_code` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `delivery_men_details`
--

DROP TABLE IF EXISTS `delivery_men_details`;
CREATE TABLE IF NOT EXISTS `delivery_men_details` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `identity_number` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `identity_type` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `identity_image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zone_id` bigint(20) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `earning` tinyint(1) NOT NULL DEFAULT '1',
  `current_orders` int(11) NOT NULL DEFAULT '0',
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'zone_wise',
  `restaurant_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `delivery_men_details`
--

INSERT INTO `delivery_men_details` (`id`, `user_id`, `identity_number`, `identity_type`, `identity_image`, `zone_id`, `created_at`, `updated_at`, `active`, `earning`, `current_orders`, `type`, `restaurant_id`) VALUES
(4, 1, '12345678', 'driving_license', '[\"2021-08-22-6121555b38388.png\"]', 1, '2021-08-21 20:34:51', '2021-08-22 04:24:42', 1, 1, 0, 'zone_wise', NULL),
(14, 3, '12423434', '1234', NULL, 1, '2023-03-03 14:05:17', '2023-03-03 14:05:17', 1, 1, 0, '1', 1);

-- --------------------------------------------------------

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
CREATE TABLE IF NOT EXISTS `failed_jobs` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `foods`
--

DROP TABLE IF EXISTS `foods`;
CREATE TABLE IF NOT EXISTS `foods` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category_id` bigint(20) UNSIGNED DEFAULT NULL,
  `variations` text COLLATE utf8mb4_unicode_ci,
  `choice_options` text COLLATE utf8mb4_unicode_ci,
  `price` decimal(24,2) NOT NULL DEFAULT '0.00',
  `tax` decimal(24,2) NOT NULL DEFAULT '0.00',
  `tax_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `discount` decimal(24,2) NOT NULL DEFAULT '0.00',
  `discount_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `available_time_starts` time DEFAULT NULL,
  `available_time_ends` time DEFAULT NULL,
  `veg` tinyint(1) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `restaurant_id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `order_count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=158 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `foods`
--

INSERT INTO `foods` (`id`, `name`, `description`, `image`, `category_id`, `variations`, `choice_options`, `price`, `tax`, `tax_type`, `discount`, `discount_type`, `available_time_starts`, `available_time_ends`, `veg`, `status`, `restaurant_id`, `created_at`, `updated_at`, `order_count`) VALUES
(2, 'Hyderabadi Mutton Biriyani', 'Hyderabadi Biryani is characteristically distinct. The aroma, taste, tender meat, the Zaffran, everything gives it a distinguished appearance. ... Yoghurt makes the meat tender, lemon tangy, fried onions add a crispy sweet taste, and Hyderabadi spices make it hot.', '2021-08-21-612007ca5affc.png', 6, '[]', '[]', '150.00', '0.00', 'percent', '20.00', 'amount', '00:01:00', '23:59:00', 0, 1, 1, '2021-08-20 20:51:38', '2021-08-21 21:35:15', 0),
(3, 'Burger Combo', 'A combo Burger.', '2021-08-21-6120ad6b86273.png', 24, '[{\"type\":\"Small\",\"price\":80},{\"type\":\"Big\",\"price\":120}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Big\"]}]', '80.00', '0.00', 'percent', '0.00', 'percent', '00:01:00', '23:59:00', 0, 1, 4, '2021-08-21 08:38:19', '2021-08-21 08:54:22', 1),
(4, 'Crispy Burger', 'A Crispy chicken burger with delicious cheese.', '2021-08-21-6120b0748f79c.png', 25, '[{\"type\":\"S\",\"price\":180},{\"type\":\"M\",\"price\":210},{\"type\":\"L\",\"price\":240}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"S\",\"M\",\"L\"]}]', '180.00', '0.00', 'percent', '0.00', 'percent', '10:00:00', '23:59:00', 0, 1, 4, '2021-08-21 08:51:16', '2021-08-21 08:51:16', 0),
(5, 'Toll House Meal', 'Made better with some cookie baking tips and tricks I’ve learned over the years! What does that mean, exactly? Sure, you can go ahead and make the original Toll House chocolate chip cookie recipe and make some *pretty good* cookies.', '2021-08-21-6120b1f136c8d.png', 20, '[]', '[]', '40.00', '0.00', 'percent', '0.00', 'percent', '00:01:00', '23:56:00', 0, 1, 5, '2021-08-21 08:57:37', '2021-08-21 21:40:04', 0),
(6, 'Chicago Pizza', 'Chicago pizza, also commonly referred to as deep-dish pizza, gets its name from the city it was invented in. During early 1900.', '2021-08-21-6120bb67e9382.png', 17, '[{\"type\":\"8inches\",\"price\":150},{\"type\":\"12inches\",\"price\":200},{\"type\":\"16inches\",\"price\":250}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"8 inches\",\"12 inches\",\"16 inches\"]}]', '150.00', '0.00', 'percent', '10.00', 'amount', '11:00:00', '20:15:00', 0, 1, 14, '2021-08-21 09:37:59', '2021-08-21 09:37:59', 0),
(7, 'Baked Breaded Chicken', 'Baked Breaded Chicken is a mid-week dinner dream. Juicy, tender chicken, covered with a golden crunchy, delicious outer coating of bread crumbs.', '2021-08-21-6120c504a9cab.png', 18, '[{\"type\":\"2pcs\",\"price\":200},{\"type\":\"4pcs\",\"price\":350},{\"type\":\"6pcs\",\"price\":500}]', '[{\"name\":\"choice_2\",\"title\":\"Capacity\",\"options\":[\"2pcs\",\"4pcs\",\"6pcs\"]}]', '200.00', '0.00', 'percent', '10.00', 'percent', '11:17:00', '18:18:00', 0, 1, 14, '2021-08-21 10:19:00', '2021-08-21 10:19:00', 0),
(8, 'Chicken Tikka Masala', 'THIS FULL-FLAVORED DISH IS CREAMY AND SAVORY AT THE SAME TIME. THE RICHNESS OF THE CURRY PASTE IS BALANCED OUT PERFECTLY BY THE ZESTY GARLIC AND CREAMY YOGURT AND CREAM.', '2021-08-21-6120c8252fbe6.png', 13, '[]', '[]', '7.00', '0.00', 'percent', '0.00', 'percent', '02:00:00', '12:20:00', 0, 1, 12, '2021-08-21 10:32:21', '2021-08-21 10:32:21', 0),
(10, 'Lemon Pastry', 'The pastry is a dough of flour, water, and shortening (solid fats, including butter or lard) that may be savory.', '2021-08-21-6120c9b936fcc.png', 18, '[]', '[]', '110.00', '0.00', 'percent', '0.00', 'percent', '02:37:00', '18:37:00', 0, 1, 1, '2021-08-21 10:39:05', '2021-08-21 10:39:05', 0),
(11, 'Log Ice Cream', 'This ice cream Yule log recipe is a must for simple and tasty Christmas celebrations!', '2021-08-21-6120cb42cb674.png', 18, '[{\"type\":\"275ml\",\"price\":275},{\"type\":\"400ml\",\"price\":400},{\"type\":\"650ml\",\"price\":550}]', '[{\"name\":\"choice_2\",\"title\":\"Capacity\",\"options\":[\"275ml\",\"400ml\",\"650ml\"]}]', '275.00', '0.00', 'percent', '5.00', 'percent', '05:42:00', '19:42:00', 0, 1, 1, '2021-08-21 10:45:38', '2021-08-21 10:45:38', 0),
(12, 'Masala poori', 'GARLIC CHICKEN TIKKA PURI Chicken tikka and garlic mixed in a special paste with a puri.', '2021-08-21-6120cbd7cd675.png', 7, '[]', '[]', '2.00', '0.00', 'percent', '5.00', 'percent', '00:10:00', '23:30:00', 0, 1, 2, '2021-08-21 10:48:07', '2021-08-21 10:48:07', 0),
(13, 'Sliced Bread', 'Sliced bread is a loaf of bread that has been pre-sliced with a machine and packaged for convenience, as opposed to the consumer cutting it', '2021-08-21-6120cc4a897b1.png', 18, '[{\"type\":\"small\",\"price\":30},{\"type\":\"medium\",\"price\":40},{\"type\":\"large\",\"price\":49.97999999999999687361196265555918216705322265625}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\"medium\",\"large\"]}]', '30.00', '0.00', 'percent', '0.00', 'percent', '03:49:00', '16:49:00', 0, 1, 1, '2021-08-21 10:50:02', '2021-08-21 10:50:02', 0),
(14, 'CROISSANTS', 'Croissants are perfect just as they are, but if you’d like to dress them up a little bit, they can be spread with all sorts of yummy toppings.', '2021-08-21-6120ccf4496ea.png', 18, '[{\"type\":\"small\",\"price\":50},{\"type\":\"medium\",\"price\":70},{\"type\":\"large\",\"price\":90}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\" medium\",\" large\"]}]', '50.00', '0.00', 'percent', '5.00', 'percent', '00:02:00', '23:57:00', 0, 1, 1, '2021-08-21 10:52:52', '2021-08-21 21:36:24', 0),
(15, 'Pepperoni Pizza', 'Pepperoni is an American variety of salami, made from cured pork and beef seasoned with paprika or other chili pepper', '2021-08-21-6120cd73cd49c.png', 17, '[{\"type\":\"Small\",\"price\":399},{\"type\":\"Medium\",\"price\":435},{\"type\":\"Large\",\"price\":550}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Medium\",\"Large\"]}]', '399.00', '0.00', 'percent', '49.00', 'amount', '01:30:00', '09:30:00', 0, 1, 13, '2021-08-21 10:54:59', '2021-08-21 10:54:59', 0),
(16, 'Doughnut', 'A doughnut or donut is a type of leavened fried dough.It is popular in many countries and is prepared in various forms.', '2021-08-21-6120cda9b9b27.png', 18, '[{\"type\":\"small\",\"price\":60},{\"type\":\"meduim\",\"price\":80},{\"type\":\"large\",\"price\":100}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\" meduim\",\" large\"]}]', '60.00', '0.00', 'percent', '0.00', 'percent', '00:02:00', '23:57:00', 0, 1, 1, '2021-08-21 10:55:53', '2021-08-21 21:37:45', 0),
(17, 'Chocolate Sprinkle Donuts', 'Chocolate sprinkle donuts make the most fun breakfast treat and they’re easy to whip up since they’re baked instead of fried!', '2021-08-21-6120ce51dd6f2.png', 18, '[{\"type\":\"small\",\"price\":120},{\"type\":\"medium\",\"price\":170},{\"type\":\"large\",\"price\":220}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\"medium\",\"large\"]}]', '120.00', '0.00', 'percent', '0.00', 'percent', '02:58:00', '14:58:00', 0, 1, 1, '2021-08-21 10:58:41', '2021-08-21 10:58:41', 0),
(19, 'Chicken Coconut Soup', 'Known as Tom Kha Ghai, this coconut soup is one we are always craving. The creamy coconut paired with ginger and lime gives this soup it\'s unique and delicious flavor.', '2021-08-21-6120cf263b7e2.png', 19, '[]', '[]', '220.00', '0.00', 'percent', '5.00', 'percent', '00:01:00', '23:57:00', 0, 1, 1, '2021-08-21 11:02:14', '2021-08-21 21:37:13', 0),
(20, 'Samosa', 'Fried or baked pastry with a savory filling like spiced potatoes, onions, peas, chicken and other meats, or lentils.', '2021-08-21-6120cf63b006e.png', 18, '[]', '[]', '2.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '20:30:00', 0, 1, 1, '2021-08-21 11:03:15', '2021-08-21 11:03:15', 0),
(21, 'COCONUT CURRY NOODLE SOUP', 'This Thai inspired Coconut Curry Noodle Soup is loaded with vegetables and made with a creamy coconut red curry broth and pad Thai rice noodles', '2021-08-21-6120cfe8bbc1f.png', 19, '[]', '[]', '170.00', '0.00', 'percent', '0.00', 'percent', '06:04:00', '18:04:00', 0, 1, 1, '2021-08-21 11:05:28', '2021-08-21 11:05:28', 0),
(22, 'Cheese Pizza', 'It should be no shocker that a classic is the statistical favorite. Cheese pizza is one of the most popular choices', '2021-08-21-6120cff2202de.png', 17, '[{\"type\":\"Medium\",\"price\":299},{\"type\":\"Large\",\"price\":477}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Medium\",\"Large\"]}]', '299.00', '0.00', 'percent', '0.00', 'percent', '02:00:00', '08:00:00', 0, 1, 13, '2021-08-21 11:05:38', '2021-08-21 11:05:38', 0),
(23, 'Spicy Thai Basil Chicken', 'The sauce actually acts as a glaze as the chicken mixture cooks over high heat. The recipe works best if you chop or grind your own chicken and have all ingredients prepped before you start cooking.', '2021-08-21-6120d12310b48.png', 19, '[]', '[]', '250.00', '0.00', 'percent', '5.00', 'percent', '01:09:00', '19:09:00', 0, 1, 1, '2021-08-21 11:10:43', '2021-08-21 11:10:43', 0),
(24, 'Meat Pizza', 'If you’re looking for a pie with a bit more heft, a meat pizza is a perfect and popular choice.', '2021-08-21-6120d1396d3d8.png', 17, '[{\"type\":\"Small\",\"price\":310},{\"type\":\"Medium\",\"price\":400}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Medium\"]}]', '310.00', '0.00', 'percent', '11.00', 'percent', '03:30:00', '08:30:00', 0, 1, 13, '2021-08-21 11:11:05', '2021-08-21 11:11:05', 0),
(25, 'Vegan Tofu Tikka Masala', 'Non-dairy version of India\'s most popular curry. Our vegan version is full of robust tomato, toasted cumin, and bright lemon, and enriched with a touch of coconut cream.', '2021-08-21-6120d165c4bb5.png', 13, '[]', '[]', '20.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '13:25:00', 0, 1, 7, '2021-08-21 11:11:49', '2021-08-21 11:11:49', 0),
(26, 'BBQ Chicken Pizza', 'If you love BBQ chicken and you love pizza, why not put them together? This has long been a cult favorite of sports fans and college kids', '2021-08-21-6120d1f57eb77.png', 17, '[{\"type\":\"Small\",\"price\":210},{\"type\":\"Large\",\"price\":450}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Large\"]}]', '210.00', '0.00', 'percent', '39.00', 'amount', '02:15:00', '07:15:00', 0, 1, 13, '2021-08-21 11:14:13', '2021-08-21 11:14:13', 0),
(27, 'Indian Tofu Curry', 'A soy-based meat substitute seems like an ideal addition to Indian cuisine. Soybeans grow in many parts of India so it\'s not a problem of climate or terrain', '2021-08-21-6120d2a9b9ef3.png', 13, '[]', '[]', '1.00', '0.00', 'percent', '7.00', 'percent', '00:10:00', '13:25:00', 0, 1, 7, '2021-08-21 11:17:13', '2021-08-21 11:17:13', 0),
(28, 'FRIED RICE', 'This Chinese-inspired fried rice recipe is my absolute fave. It’s quick and easy to make, customizable with any of your favorite mix-ins, and so irresistibly delicious.', '2021-08-21-6120d2bbcd93d.png', 19, '[{\"type\":\"half\",\"price\":180},{\"type\":\"quater\",\"price\":240},{\"type\":\"full\",\"price\":350}]', '[{\"name\":\"choice_2\",\"title\":\"Capacity\",\"options\":[\"half\",\"quater\",\"full\"]}]', '240.00', '0.00', 'percent', '10.00', 'percent', '11:20:00', '20:16:00', 0, 1, 8, '2021-08-21 11:17:31', '2021-08-21 11:17:31', 0),
(29, 'THAI RED CURRY NOODLE SOUP', 'It’s so cozy, it’s so comforting, and it’s so fragrant with all the cilantro, basil and lime juice. Although I always add a little bit of extra lime juice to my bowl for that extra zesty kick!', '2021-08-21-6120d38c83375.png', 19, '[]', '[]', '90.00', '0.00', 'percent', '0.00', 'percent', '11:40:00', '21:20:00', 0, 1, 8, '2021-08-21 11:21:00', '2021-08-21 11:21:00', 0),
(30, 'BBQ Chicken Pizza', 'If you love BBQ chicken and you love pizza, why not put them together? This has long been a cult favorite of sports fans and college kids.', '2021-08-21-6120d392925d3.png', 17, '[{\"type\":\"Small\",\"price\":230},{\"type\":\"Medium\",\"price\":325},{\"type\":\"Large\",\"price\":470}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Medium\",\"Large\"]}]', '230.00', '0.00', 'percent', '0.00', 'percent', '10:30:00', '22:30:00', 0, 1, 14, '2021-08-21 11:21:06', '2021-08-21 11:21:06', 0),
(31, 'Pepperoni Pizza', 'Pepperoni is an American variety of salami, made from cured pork and beef seasoned with paprika or other chili pepper', '2021-08-21-6120d43bcc2ad.png', 17, '[{\"type\":\"Medium\",\"price\":360},{\"type\":\"Large\",\"price\":620}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Medium\",\"Large\"]}]', '360.00', '0.00', 'percent', '15.00', 'percent', '11:00:00', '19:00:00', 0, 1, 14, '2021-08-21 11:23:55', '2021-08-21 11:23:55', 0),
(32, 'Spicy Thai Green Papaya Salad', 'n a medium non-reactive mixing or salad bowl, combine the papayas, carrots, mint leaves and chopped cilantro.', '2021-08-21-6120d502c3fda.png', 19, '[]', '[]', '220.00', '0.00', 'percent', '10.00', 'percent', '12:26:00', '21:26:00', 0, 1, 8, '2021-08-21 11:27:14', '2021-08-21 11:27:14', 0),
(33, 'Margherita Pizza', 'Deceptively simple, the Margherita pizza is made with basil, fresh mozzarella, and tomatoes.', '2021-08-21-6120d55a3fc61.png', 17, '[{\"type\":\"Small\",\"price\":199},{\"type\":\"Medium\",\"price\":325}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Medium\"]}]', '199.00', '0.00', 'percent', '0.00', 'percent', '12:00:00', '22:00:00', 0, 1, 14, '2021-08-21 11:28:42', '2021-08-21 11:28:42', 0),
(34, 'Spicy Shrimp Soup', 'Spicy Shrimp Soup is a copycat recipe from our favorite Ecuadorian restaurant. Spicy, garlicky, and comforting, you will eat bowl after bowl of this easy soup recipe!', '2021-08-21-6120d5edc1f54.png', 19, '[{\"type\":\"small\",\"price\":250},{\"type\":\"medium\",\"price\":350},{\"type\":\"large\",\"price\":450}]', '[{\"name\":\"choice_2\",\"title\":\"Capacity\",\"options\":[\"small\",\"medium\",\"large\"]}]', '250.00', '0.00', 'percent', '10.00', 'percent', '04:30:00', '16:30:00', 0, 1, 11, '2021-08-21 11:31:09', '2021-08-21 11:31:09', 0),
(35, 'Thai Stir Fried Noodles', 'The popular Thai stir-fried noodles are straight from the streets of Thailand are made at home! While Pad Thai is sweeter and nuttier, balanced with a touch of sour and a wonderful chargrilled flavor which you can create at home!', '2021-08-21-6120d677c1c7b.png', 19, '[]', '[]', '120.00', '0.00', 'percent', '0.00', 'percent', '06:32:00', '20:32:00', 0, 1, 11, '2021-08-21 11:33:27', '2022-01-20 13:07:04', 2),
(36, 'Biryani', 'A mixed rice dish originating among the Muslims of the Indian subcontinent. It is made with Indian spices, rice, and meat usually that of chicken, goat, lamb, prawn, fish, and sometimes, in addition, eggs or vegetables such as potatoes in certain regional varieties.', '2021-08-21-6120d6ac5111e.png', 6, '[]', '[]', '75.00', '0.00', 'percent', '10.00', 'percent', '00:30:00', '13:00:00', 0, 1, 7, '2021-08-21 11:34:20', '2021-08-21 11:34:20', 0),
(37, 'Buffalo Pizza', 'This Buffalo chicken pizza recipe is A MUST for all Buffalo lovers', '2021-08-21-6120d6c510166.png', 17, '[{\"type\":\"Medium\",\"price\":280},{\"type\":\"Large\",\"price\":430}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Medium\",\"Large\"]}]', '280.00', '0.00', 'percent', '45.00', 'amount', '10:00:00', '18:00:00', 0, 1, 14, '2021-08-21 11:34:45', '2021-08-21 11:34:45', 0),
(38, 'Linguine Pasta', 'Long, thin, flat linguine noodles fall somewhere between the thickness of fettuccine and spaghetti', '2021-08-21-6120d74188e55.png', 16, '[]', '[]', '195.00', '0.00', 'percent', '0.00', 'percent', '15:00:00', '23:00:00', 0, 1, 14, '2021-08-21 11:36:49', '2021-08-21 11:36:49', 0),
(39, 'Cheese Pizza', 'Yearning for a cheesy delight? Then we have an easy cheese pizza recipe to add soul to your weekend binging!', '2021-08-21-6120d7be4e72b.png', 20, '[{\"type\":\"10inch\",\"price\":220},{\"type\":\"12inch\",\"price\":260},{\"type\":\"14inch\",\"price\":279.970000000000027284841053187847137451171875}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"10inch\",\"12inch\",\"14inch\"]}]', '220.00', '0.00', 'percent', '10.00', 'percent', '18:36:00', '21:36:00', 0, 1, 10, '2021-08-21 11:38:54', '2021-08-21 11:38:54', 0),
(40, 'Chole Kulche', 'One of the best Indian snacks cum breakfast options out there is Chole kulche! Originated from the Punjab region, this dish is loved all over the country and is now making its way in the west too.', '2021-08-21-6120d821bbef1.png', 20, '[]', '[]', '130.00', '0.00', 'percent', '0.00', 'percent', '18:40:00', '21:40:00', 0, 1, 10, '2021-08-21 11:40:33', '2021-08-21 11:40:33', 0),
(41, 'Fusilli Pasta', 'Fusilli gives any dish an unexpected twist with its spiral shape', '2021-08-21-6120d82e9a806.png', 16, '[]', '[]', '250.00', '0.00', 'percent', '20.00', 'percent', '10:00:00', '18:00:00', 0, 1, 14, '2021-08-21 11:40:46', '2021-08-21 11:40:46', 0),
(42, 'MASALA FISH FRY IN OIL', 'This Masala fish fry is made with an oil marinade. The masalas are mixed in oil and that I think is a game changer. The fish gets seasoned well and turns out super flavorful.', '2021-08-21-6120d8a6eed20.png', 20, '[]', '[]', '60.00', '0.00', 'percent', '0.00', 'percent', '18:42:00', '21:42:00', 0, 1, 10, '2021-08-21 11:42:46', '2021-08-21 11:42:46', 0),
(43, 'Steamed rice /chicken curry', 'Chicken drumsticks, basmati rice, brown vinegar, buttermilk, onions, ginger', '2021-08-21-6120d8af14e47.png', 13, '[]', '[]', '35.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '13:15:00', 0, 1, 7, '2021-08-21 11:42:55', '2021-08-21 11:42:55', 0),
(44, 'Penne Pasta', 'Penne is a classic pasta type and pantry staple.', '2021-08-21-6120d8f31563b.png', 16, '[]', '[]', '200.00', '0.00', 'percent', '0.00', 'percent', '11:00:00', '19:00:00', 0, 1, 14, '2021-08-21 11:44:03', '2021-08-21 11:44:03', 0),
(45, 'Fettuccine Pasta', 'Flat, ribbon-like shape of fettuccine makes it a sturdy pasta that can hold up to a variety of sauces', '2021-08-21-6120d9be15172.png', 16, '[]', '[]', '230.00', '0.00', 'percent', '30.00', 'amount', '10:00:00', '16:00:00', 0, 1, 14, '2021-08-21 11:47:26', '2021-08-21 12:52:25', 0),
(46, 'Supreme Pizza', 'When you can’t decide which toppings to get, it’s time for the supreme pizza.', '2021-08-21-6120db00b7352.png', 17, '[{\"type\":\"Medium\",\"price\":300},{\"type\":\"Large\",\"price\":499}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Medium\",\"Large\"]}]', '300.00', '0.00', 'percent', '33.00', 'amount', '03:00:00', '09:00:00', 0, 1, 13, '2021-08-21 11:52:48', '2021-08-21 11:52:48', 0),
(47, 'Hawaiian Pizza', 'Pineapple might not be the first thing that comes to mind when you think pizza.', '2021-08-21-6120dc06c58cc.png', 17, '[{\"type\":\"Small\",\"price\":229},{\"type\":\"Large\",\"price\":440}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Large\"]}]', '229.00', '0.00', 'percent', '9.00', 'percent', '01:00:00', '10:00:00', 0, 1, 13, '2021-08-21 11:57:10', '2021-08-21 11:57:10', 0),
(48, 'Paneer Tikka Masala', 'Paneer tikka masala is an Indian dish of marinated paneer cheese served in a spiced gravy. It is a vegetarian alternative to chicken tikka masala.', '2021-08-21-6120dcc6e012c.png', 13, '[]', '[]', '35.00', '0.00', 'percent', '5.00', 'percent', '00:15:00', '20:15:00', 0, 1, 1, '2021-08-21 12:00:22', '2021-08-21 12:00:22', 0),
(49, 'Fish Fry', 'we have shallow fried the fish slices to make it healthy and flavored it with tomato ketchup for an extra taste. You can make this as a side dish with your everyday meals.', '2021-08-21-6120de88ecdf4.png', 20, '[]', '[]', '60.00', '0.00', 'percent', '0.00', 'percent', '18:07:00', '21:07:00', 0, 1, 10, '2021-08-21 12:07:52', '2021-08-21 12:07:52', 0),
(50, 'BBQ chicken Noodles', 'BBQ chicken noodles is one of the most favorite noddles.', '2021-08-21-6120df191fc99.png', 14, '[]', '[]', '210.00', '0.00', 'percent', '0.00', 'percent', '17:00:00', '23:00:00', 0, 1, 10, '2021-08-21 12:10:17', '2021-08-21 12:10:17', 0),
(51, 'Chicken and Mushroom Noodles', 'Chicken and garlicky mushrooms pair perfectly and it\'s so yummy.', '2021-08-21-6120e08d98c2a.png', 14, '[]', '[]', '200.00', '0.00', 'percent', '19.00', 'percent', '18:00:00', '22:15:00', 0, 1, 10, '2021-08-21 12:16:29', '2021-08-21 12:16:29', 0),
(52, 'French Fries', 'French fries, chips, finger chips, or French-fried potatoes are batonnet or allumette-cut deep-fried potatoes, originating from either Belgium or France.', '2021-08-21-6120e0be5e830.png', 20, '[]', '[]', '50.00', '0.00', 'percent', '0.00', 'percent', '18:15:00', '21:15:00', 0, 1, 11, '2021-08-21 12:17:18', '2021-08-21 12:17:18', 0),
(53, 'Grilled BBQ Steak', 'Try our Grilled BBQ Steak for a sweet and spicy dish. Combine tangy BBQ sauce, orange marmalade and cinnamon to give our Grilled BBQ Steak some kick.', '2021-08-21-6120e14e324c6.png', 20, '[]', '[]', '180.00', '0.00', 'percent', '0.00', 'percent', '18:18:00', '21:18:00', 0, 1, 11, '2021-08-21 12:19:42', '2021-08-21 12:19:42', 0),
(54, 'Fry Noodles', 'Fried noodles are common throughout East Asia, Southeast Asia and South Asia.', '2021-08-21-6120e1a9b4dc6.png', 14, '[]', '[]', '225.00', '0.00', 'percent', '25.00', 'amount', '19:00:00', '22:00:00', 0, 1, 10, '2021-08-21 12:21:13', '2021-08-21 12:21:13', 0),
(55, 'Mushroom noodles', 'Mushroom Noodles recipe is made with the goodness of sliced mushrooms and fresh noodles which can be relished by many. It tastes best when had with tomato sauce or any other sauce.', '2021-08-21-6120e2b1507bb.png', 14, '[]', '[]', '270.00', '0.00', 'percent', '20.00', 'amount', '17:30:00', '22:30:00', 0, 1, 10, '2021-08-21 12:25:37', '2022-01-20 13:25:32', 1),
(56, 'Idli', 'Idli or idly are a type of savoury rice cake, originating from the Indian subcontinent, popular as breakfast foods in Southern India and in Sri Lanka.', '2021-08-21-6120e3a81ad40.png', 20, '[]', '[]', '30.00', '0.00', 'percent', '0.00', 'percent', '00:18:00', '23:56:00', 0, 1, 2, '2021-08-21 12:29:44', '2021-08-21 21:34:01', 0),
(57, 'Steak Kebabs', 'Steak Kebabs are the one of the tastiest summertime dinners! These are layered with juicy tender pieces of flavorful, marinated beef and colorful quartet of tender veggies. An exciting recipe the whole family can agree on!', '2021-08-21-6120e44ea58c5.png', 20, '[]', '[]', '160.00', '0.00', 'percent', '0.00', 'percent', '06:31:00', '17:31:00', 0, 1, 2, '2021-08-21 12:32:30', '2021-08-21 12:32:30', 0),
(58, 'Steak Kebabs', 'Steak Kebabs are the one of the tastiest summertime dinners! These are layered with juicy tender pieces of flavorful, marinated beef and colorful quartet of tender veggies. An exciting recipe the whole family can agree on!', '2021-08-21-6120e4523fa9d.png', 20, '[]', '[]', '160.00', '0.00', 'percent', '0.00', 'percent', '00:31:00', '23:35:00', 0, 1, 2, '2021-08-21 12:32:34', '2021-10-16 19:44:54', 1),
(59, 'FRIED RICE', 'This Chinese-inspired fried rice recipe is my absolute fave. It’s quick and easy to make, customizable with any of your favorite mix-ins, and so irresistibly delicious.', '2021-08-21-6120e4dcd5194.png', 20, '[{\"type\":\"half\",\"price\":120},{\"type\":\"quater\",\"price\":150},{\"type\":\"full\",\"price\":199.960000000000007958078640513122081756591796875}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"half\",\"quater\",\"full\"]}]', '120.00', '0.00', 'percent', '0.00', 'percent', '05:33:00', '18:33:00', 0, 1, 2, '2021-08-21 12:34:52', '2021-08-21 12:34:52', 0),
(60, 'Bihari kabab', 'A Pakistani BBQ delicacy, Bihari Kabab are thin strips of beef marinated in a spicy homemade masala and finished off with coal smoke.', '2021-08-21-6120e529c9361.png', 12, '[]', '[]', '25.00', '0.00', 'percent', '5.00', 'percent', '10:10:00', '22:30:00', 0, 1, 8, '2021-08-21 12:36:09', '2021-08-21 12:36:09', 0),
(61, 'Pepperoni Pizza', 'Pepperoni is an American variety of salami, made from cured pork and beef seasoned with paprika or other chili pepper', '2021-08-21-6120eb4af0745.png', 17, '[{\"type\":\"Small\",\"price\":310},{\"type\":\"Medium\",\"price\":425},{\"type\":\"Large\",\"price\":550}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\" Medium\",\" Large\"]}]', '310.00', '0.00', 'percent', '10.00', 'amount', '00:15:00', '23:45:00', 0, 1, 2, '2021-08-21 12:36:58', '2021-10-16 19:45:03', 1),
(62, 'Thai Fried Rice', 'An authentic recipe for Thai fried rice – just like you get in Thailand and at Thai restaurants! Make this with shrimp/prawns, chicken or any protein you wish.', '2021-08-21-6120e5955e1d1.png', 20, '[{\"type\":\"Half\",\"price\":1},{\"type\":\"Quater\",\"price\":1},{\"type\":\"Full\",\"price\":1}]', '[{\"name\":\"choice_2\",\"title\":\"Capacity\",\"options\":[\"Half\",\"Quater\",\"Full\"]}]', '160.00', '0.00', 'percent', '0.00', 'percent', '05:37:00', '21:37:00', 0, 1, 2, '2021-08-21 12:37:57', '2021-08-21 12:37:57', 0),
(63, 'Grill Kebab', 'The kebab is made of finely ground mince goat meat with spices and then charcoal grilled on a skewer.', '2021-08-21-6120e5c5e5437.png', 12, '[]', '[]', '35.00', '0.00', 'percent', '0.00', 'percent', '10:10:00', '22:25:00', 0, 1, 8, '2021-08-21 12:38:45', '2021-08-21 12:38:45', 0),
(64, 'Cheese Pizza', 'It should be no shocker that a classic is the statistical favorite. Cheese pizza is one of the most popular choices', '2021-08-21-6120e61452e2b.png', 17, '[{\"type\":\"Small\",\"price\":250},{\"type\":\"Medium\",\"price\":350}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\" Medium\"]}]', '250.00', '0.00', 'percent', '7.00', 'percent', '00:01:00', '23:57:00', 0, 1, 2, '2021-08-21 12:40:04', '2021-08-21 21:32:40', 1),
(65, 'Boti Kebab', 'Boti kebab is a variety of Indian kebab consisting of chunks of meat (lamb, mutton, chicken, or beef) that are soaked in a mixture of yogurt, garlic, ginger, chilis, papaya, and spices such as garam masala, chili powder, and cumin.', '2021-08-21-6120e65da6c63.png', 12, '[]', '[]', '15.00', '0.00', 'percent', '5.00', 'percent', '10:15:00', '22:30:00', 0, 1, 8, '2021-08-21 12:41:17', '2021-08-21 12:41:17', 0),
(66, 'Chicken Shawarma', 'Robust and flavorful easy Chicken Shawarma at home! Beats takeout any day of the week, and is perfect for work or school lunch. Plus, my creamy white garlic sauce for Chicken Shawarma adds a bright creamy tang.', '2021-08-21-6120e6767300f.png', 20, '[{\"type\":\"big\",\"price\":210},{\"type\":\"normal\",\"price\":310},{\"type\":\"medium\",\"price\":410}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"big\",\"normal\",\"medium\"]}]', '210.00', '0.00', 'percent', '12.00', 'percent', '05:40:00', '20:40:00', 0, 1, 2, '2021-08-21 12:41:42', '2021-08-21 12:41:42', 0),
(67, 'Meat Pizza', 'If you’re looking for a pie with a bit more heft, a meat pizza is a perfect and popular choice.', '2021-08-21-6120e6dadf410.png', 17, '[{\"type\":\"Small\",\"price\":400},{\"type\":\"Large\",\"price\":750}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Large\"]}]', '400.00', '0.00', 'percent', '30.00', 'amount', '02:00:00', '22:00:00', 0, 1, 2, '2021-08-21 12:43:22', '2021-08-21 17:46:14', 1),
(68, 'grilled lemon herb mediterranean chicken salad', 'This Grilled Lemon Herb Mediterranean Chicken Salad recipe is as close to perfect as you can get! Full of Mediterranean flavours: olives, tomatoes, cucumber, avocados, and chicken for a complete meal in a salad bowl!', '2021-08-21-6120e72547646.png', 20, '[{\"type\":\"lagre\",\"price\":420},{\"type\":\"medium\",\"price\":320},{\"type\":\"standard\",\"price\":220}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"lagre\",\" medium\",\" standard\"]}]', '320.00', '0.00', 'percent', '0.00', 'percent', '00:02:00', '23:46:00', 0, 1, 2, '2021-08-21 12:44:37', '2021-08-21 21:31:57', 0),
(69, 'Medu Vada', 'Menu Vada is crispy, fluffy, soft, and delicious lentil fritters from South Indian cuisine.', '2021-08-21-6120e7a4b7b2a.png', 20, '[]', '[]', '95.00', '0.00', 'percent', '0.00', 'percent', '00:01:00', '23:57:00', 0, 1, 2, '2021-08-21 12:46:44', '2022-01-11 08:45:07', 4),
(70, 'Linguine Pasta', 'Long, thin, flat linguine noodles fall somewhere between the thickness of fettuccine and spaghetti', '2021-08-21-6120eacfb8fc3.png', 16, '[]', '[]', '199.00', '0.00', 'percent', '0.00', 'percent', '11:30:00', '20:00:00', 0, 1, 6, '2021-08-21 12:47:58', '2021-08-21 13:00:15', 0),
(71, 'Fusilli Pasta', 'Fusilli gives any dish an unexpected twist with its spiral shape', '2021-08-21-6120eab9a0ba5.png', 16, '[]', '[]', '185.00', '0.00', 'percent', '15.00', 'amount', '10:45:00', '21:45:00', 0, 1, 6, '2021-08-21 12:50:11', '2021-08-21 12:59:53', 0),
(72, 'Fettuccine Pasta', 'Flat, ribbon-like shape of fettuccine makes it a sturdy pasta that can hold up to a variety of sauces', '2021-08-21-6120eaa2bf3ce.png', 16, '[]', '[]', '215.00', '0.00', 'percent', '5.00', 'percent', '14:00:00', '20:00:00', 0, 1, 6, '2021-08-21 12:54:12', '2021-08-21 12:59:30', 0),
(73, 'BBQ chicken Noodles', 'BBQ chicken noodles is one of the most favorite noddles.', '2021-08-21-6120ea82cdbb1.png', 14, '[]', '[]', '150.00', '0.00', 'percent', '0.00', 'percent', '12:30:00', '18:30:00', 0, 1, 6, '2021-08-21 12:58:58', '2021-08-21 12:58:58', 0),
(74, 'Grilled Eggplant kebab', 'Eggplant kebabs are marinated and grilled, tucked into a pita, and smothered with a tangy garlic sauce and assorted veggies.', '2021-08-21-6120ec75be180.png', 12, '[]', '[]', '46.00', '0.00', 'percent', '7.00', 'percent', '10:10:00', '22:15:00', 0, 1, 8, '2021-08-21 13:07:17', '2021-08-21 13:07:17', 0),
(75, 'Shish kebab', 'Shish kebab, dish of small pieces of lamb threaded on a skewer and cooked over an open fire.', '2021-08-21-6120ed8894c1e.png', 12, '[]', '[]', '76.00', '0.00', 'percent', '0.00', 'percent', '10:30:00', '22:15:00', 0, 1, 6, '2021-08-21 13:11:52', '2021-08-21 13:11:52', 0),
(76, 'Garlic Noodles', 'Garlic noodles are an irresistible combination of garlic and carbs', '2021-08-21-6120ed8f3e3ee.png', 14, '[]', '[]', '220.00', '0.00', 'percent', '20.00', 'amount', '00:10:00', '18:10:00', 0, 1, 1, '2021-08-21 13:11:59', '2021-08-21 13:11:59', 0),
(77, 'Veggie noodles', 'Healthy and tasty', '2021-08-21-6120ee59cafaa.png', 14, '[]', '[]', '170.00', '0.00', 'percent', '0.00', 'percent', '02:45:00', '20:59:00', 0, 1, 1, '2021-08-21 13:15:21', '2021-08-21 13:15:21', 0),
(78, 'Chicken Tikka', 'Chicken tikka is a chicken dish originating in the Indian subcontinent; the dish is popular among Muslims of India, Bangladesh and Pakistan.', '2021-08-21-6120ee939f91d.png', 12, '[]', '[]', '25.00', '0.00', 'percent', '5.00', 'percent', '10:15:00', '22:25:00', 0, 1, 6, '2021-08-21 13:16:19', '2021-08-21 13:16:19', 0),
(79, 'Grilled Kebab', 'The kebab is made of finely ground mince chicken with spices and then charcoal grilled on a skewer.', '2021-08-21-6120ef5098eda.png', 12, '[]', '[]', '25.00', '0.00', 'percent', '0.00', 'percent', '10:15:00', '22:25:00', 0, 1, 6, '2021-08-21 13:19:28', '2021-08-21 13:19:28', 0),
(80, 'Urfa Kebab', 'Urfa Kebab is another famous Kebab variety of Turkish cuisine. It may be considered as the sibling of Adana Kebab. Even if they look very similar on the grill, there is one important difference between these two kebab varieties.', '2021-08-21-6120f0008a2f8.png', 12, '[]', '[]', '86.00', '0.00', 'percent', '7.00', 'percent', '10:30:00', '22:00:00', 0, 1, 6, '2021-08-21 13:22:24', '2021-08-21 13:22:24', 0),
(81, 'Fettuccine Pasta', 'Flat, ribbon-like shape of fettuccine makes it a sturdy pasta that can hold up to a variety of sauces', '2021-08-21-6120f010b0f31.png', 16, '[]', '[]', '150.00', '0.00', 'percent', '0.00', 'percent', '11:11:00', '19:45:00', 0, 1, 3, '2021-08-21 13:22:40', '2021-08-21 13:22:40', 0),
(82, 'Penne Pasta', 'Penne is a classic pasta type and pantry staple.', '2021-08-21-6120f09f6ba50.png', 16, '[]', '[]', '165.00', '0.00', 'percent', '14.00', 'percent', '13:30:00', '22:30:00', 0, 1, 3, '2021-08-21 13:25:03', '2021-08-21 13:25:03', 0),
(83, 'Fusilli Pasta', 'Fusilli gives any dish an unexpected twist with its spiral shape', '2021-08-21-6120f11b44d1f.png', 16, '[]', '[]', '179.00', '0.00', 'percent', '29.00', 'amount', '15:00:00', '23:00:00', 0, 1, 3, '2021-08-21 13:27:07', '2021-08-21 13:27:07', 0),
(84, 'Elote', 'Elote is made with corn on the cob, slathered with mayonnaise, seasoned with chili powder and fresh lime juice, sprinkled all over with salty Cotija cheese and cilantro.', '2021-08-21-6120f917333f1.png', 15, '[]', '[]', '27.00', '0.00', 'percent', '3.00', 'percent', '00:30:00', '23:35:00', 0, 1, 5, '2021-08-21 13:28:52', '2021-08-21 14:01:11', 0),
(85, 'Veggie Chili Tacos', 'Sweet potato, green beans, sour cream, eggplant, cannellini beans', '2021-08-21-6120f4251a2bf.png', 15, '[]', '[]', '25.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:15:00', 0, 1, 5, '2021-08-21 13:31:58', '2021-08-21 13:40:05', 0),
(86, 'Meat Chili Tacos', 'Kidney beans, ground beef, sour cream, taco seasoning, tomato', '2021-08-21-6120f407f01c2.png', 15, '[]', '[]', '27.00', '0.00', 'percent', '5.00', 'percent', '00:30:00', '23:15:00', 0, 1, 5, '2021-08-21 13:34:35', '2021-08-21 13:39:35', 0),
(87, 'BEEF Burger', 'The classic burger is an all-time BBQ favorite! This super-easy homemade beef burger recipe gives you delicious patties, packed with onions and herbs for extra flavor.', '2021-08-21-6120f3c043f10.png', 5, '[{\"type\":\"small\",\"price\":160},{\"type\":\"large\",\"price\":180},{\"type\":\"medium\",\"price\":240}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\" large\",\" medium\"]}]', '160.00', '0.00', 'percent', '10.00', 'percent', '00:14:00', '23:58:00', 0, 1, 4, '2021-08-21 13:38:24', '2021-08-21 21:44:47', 0),
(88, 'Chicken Cheese Blast Burger', 'Prepared with Double chicken patty with molten cheddar cheese inside, 2x sausage slices, 1x cheddar cheese slice, house secret sauce, sliced onions, tomatoes & lettuce', '2021-08-21-6120f45806f3d.png', 5, '[{\"type\":\"small\",\"price\":160},{\"type\":\"large\",\"price\":260},{\"type\":\"medium\",\"price\":200}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\" large\",\" medium\"]}]', '160.00', '0.00', 'percent', '10.00', 'percent', '11:40:00', '21:40:00', 0, 1, 4, '2021-08-21 13:40:56', '2021-08-21 14:08:19', 0),
(89, 'Chicken Cheese Burger', 'Prepared with 1x single chicken patty, 1x cheddar cheese slice, house secret sauce, sliced onions, tomatoes & lettuce', '2021-08-21-6120f4c2d5003.png', 5, '[{\"type\":\"big\",\"price\":160},{\"type\":\"medium\",\"price\":140},{\"type\":\"small\",\"price\":120}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"big\",\" medium\",\" small\"]}]', '120.00', '0.00', 'percent', '5.00', 'percent', '00:10:00', '23:57:00', 0, 1, 4, '2021-08-21 13:42:42', '2021-08-21 21:44:21', 0),
(90, 'Chicken & Bacon Bite Burger', 'Prepared with 1x single chicken patty, 2x beef bacon slice, bbq sauce, 1x cheddar cheese slice, house secret sauce, sliced onions, tomatoes & lettuce', '2021-08-21-6120f5279c4a8.png', 5, '[{\"type\":\"big\",\"price\":310},{\"type\":\"medium\",\"price\":260},{\"type\":\"small\",\"price\":210}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"big\",\" medium\",\" small\"]}]', '210.00', '0.00', 'percent', '5.00', 'percent', '11:43:00', '21:44:00', 0, 1, 4, '2021-08-21 13:44:23', '2021-08-21 14:07:45', 0),
(91, 'Mushroom Chicken Burger', 'Prepared with 1x single chicken patty, caramelized mushrooms, bbq sauce, 1x cheddar cheese slice, our secret sauce, sliced onions, tomatoes & lettuce', '2021-08-21-6120f7addf1a5.png', 5, '[{\"type\":\"small\",\"price\":200},{\"type\":\"medium\",\"price\":250},{\"type\":\"large\",\"price\":300}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\" medium\",\" large\"]}]', '200.00', '0.00', 'percent', '10.00', 'percent', '00:07:00', '23:56:00', 0, 1, 4, '2021-08-21 13:55:09', '2021-08-21 21:43:53', 0),
(92, 'Smokey BBQ Chicken Burger', 'Prepared with 1x single chicken patty, bbq sauce, house secret sauce, sliced onions, tomatoes & lettuce', '2021-08-21-6120f976c7ee6.png', 5, '[{\"type\":\"standard\",\"price\":180},{\"type\":\"medium\",\"price\":220},{\"type\":\"large\",\"price\":280}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"standard\",\" medium\",\" large\"]}]', '180.00', '0.00', 'percent', '0.00', 'percent', '11:02:00', '21:02:00', 0, 1, 4, '2021-08-21 14:02:46', '2021-08-21 14:07:16', 0),
(93, 'Chicken Sausage Delight Burger', 'Prepared with 1x single chicken patty, 2x sausage slices, bbq sauce, 1x cheddar cheese slice, house secret sauce, sliced onions, tomatoes & lettuce', '2021-08-21-6120fa10d06f2.png', 5, '[{\"type\":\"small\",\"price\":230},{\"type\":\"medium\",\"price\":260},{\"type\":\"large\",\"price\":280}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"small\",\" medium\",\" large\"]}]', '230.00', '0.00', 'percent', '10.00', 'percent', '00:04:00', '23:56:00', 0, 1, 4, '2021-08-21 14:05:20', '2021-08-21 21:43:28', 0),
(94, 'Enchiladas', 'An enchilada is a corn tortilla rolled around a filling and covered with a savory sauce. Originally from Mexican cuisine, enchiladas can be filled with various ingredients, including meats, cheese, beans, potatoes, vegetables, or combinations.', '2021-08-21-6120fa76e8fbd.png', 15, '[]', '[]', '54.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:30:00', 0, 1, 5, '2021-08-21 14:07:02', '2021-08-21 14:07:02', 0),
(95, 'Enchiladas Rancheras', 'Enchiladas rancheras is a traditional Mexican dish where stove-top cooked enchiladas are drenched in ranchera sauce.', '2021-08-21-6120fb6a2b6fc.png', 15, '[]', '[]', '46.00', '0.00', 'percent', '5.00', 'percent', '00:30:00', '23:30:00', 0, 1, 5, '2021-08-21 14:11:06', '2021-08-21 14:11:06', 0),
(96, 'Enchiladas mineras', 'Enchiladas mineras are traditional Mexican enchiladas hailing from Guanajuato, a mining town where the women took this dish to their husbands at the end of their work hours. These enchiladas are traditionally filled with onions, cheese, and a stew-like combination of carrots and potatoes.', '2021-08-21-6120fbf4533db.png', 15, '[]', '[]', '37.00', '0.00', 'percent', '7.00', 'percent', '00:30:00', '23:30:00', 0, 1, 5, '2021-08-21 14:13:24', '2021-08-21 14:13:24', 0),
(97, 'Entomatadas', 'Entomatada is a Mexican specialty dish made by drenching a filled, wrapped, and fried corn tortilla in tomato sauce. The sauce consists of tomatoes, onions, and seasonings such as salt, garlic, and oregano, while the tortillas are usually filled with shredded chicken, refried beans, cheese, or chunks of beef.', '2021-08-21-6120fc79e1009.png', 15, '[]', '[]', '32.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:30:00', 0, 1, 5, '2021-08-21 14:15:37', '2021-08-21 14:15:37', 0),
(98, 'Chicken Biryani', 'One of the most royal delicacies that you can enjoy on any occasion or festival, Chicken Biryani is the epitome of a one-pot meal. Well, no one can resist the sight of the aromatic and delicious Chicken Biryani.', '2021-08-21-6120fce13dcde.png', 6, '[{\"type\":\"half\",\"price\":120},{\"type\":\"full\",\"price\":200}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"half\",\"full\"]}]', '120.00', '0.00', 'percent', '0.00', 'percent', '11:16:00', '21:16:00', 0, 1, 3, '2021-08-21 14:17:21', '2021-08-21 14:17:21', 0),
(99, 'Chicken dum biryani', 'Crave Biryani every now and then? Then, here\'s a quick and easy recipe to satiate your cravings. It is such a versatile dish that various kinds of biryanis can be prepared using different vegetables and meats.', '2021-08-21-6120fd6758fb1.png', 6, '[{\"type\":\"half\",\"price\":130},{\"type\":\"full\",\"price\":180}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"half\",\"full\"]}]', '130.00', '0.00', 'percent', '0.00', 'percent', '11:18:00', '20:18:00', 0, 1, 3, '2021-08-21 14:19:35', '2021-08-21 14:19:35', 0),
(100, 'Enchiladas Potosinas', 'Enchilada Potosina is a unique enchilada variety from San Luis Potosí in Mexico, prepared by adding ancho peppers in the corn dough, filling it with cheese, closing the dough just like an empanada, and frying the concoction in hot oil until golden-brown in color.', '2021-08-21-6120fd6b22f36.png', 15, '[]', '[]', '22.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:25:00', 0, 1, 5, '2021-08-21 14:19:39', '2021-08-21 14:19:39', 0),
(101, 'Spicy Enchiladas Potosinas', 'Enchilada Potosina is a unique enchilada variety from San Luis Potosí in Mexico, prepared by adding ancho peppers in the corn dough, filling it with cheese, closing the dough just like an empanada, and frying the concoction in hot oil until golden-brown in color.', '2021-08-21-6120fd9c4a003.png', 15, '[]', '[]', '22.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:25:00', 0, 1, 5, '2021-08-21 14:20:28', '2021-08-21 14:20:28', 0),
(102, 'Hyderabadi biryani', 'Hyderabadi biryani, also known as Hyderabadi dum biryani, is a style of biryani from Hyderabad.', '2021-08-21-6120fdda6e5cf.png', 6, '[{\"type\":\"half\",\"price\":160},{\"type\":\"full\",\"price\":220}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"half\",\"full\"]}]', '160.00', '0.00', 'percent', '10.00', 'percent', '13:20:00', '20:20:00', 0, 1, 3, '2021-08-21 14:21:30', '2021-08-21 14:21:30', 0),
(103, 'Mutton Biryani', 'This mutton biryani recipe has layers of mutton and saffron-milk infused rice cooked \'dum\' style. It has a host of aromatic spices and herbs such as star anise, bay leaves, cardamom, cinnamon.', '2021-08-21-6120fe4ca3d61.png', 6, '[{\"type\":\"half\",\"price\":180},{\"type\":\"full\",\"price\":240}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"half\",\"full\"]}]', '180.00', '0.00', 'percent', '0.00', 'percent', '13:22:00', '19:22:00', 0, 1, 3, '2021-08-21 14:23:24', '2021-08-21 14:23:24', 0),
(104, 'Chili Crab', 'Chili crab was created in Singapore in the 1950s by Cher Yam Tian. After experimenting in her kitchen for family and friends, her crabs became a hit, and her family opened their first restaurant.', '2021-08-21-6120ff22e2563.png', 7, '[]', '[]', '170.00', '0.00', 'percent', '10.00', 'percent', '01:26:00', '13:26:00', 0, 1, 7, '2021-08-21 14:26:58', '2021-08-21 14:26:58', 0),
(105, 'Massaman Curry', 'It’s made without store-bought Massaman curry paste, which can be difficult to find, utilizing red curry paste instead!', '2021-08-21-6120ff8ce1555.png', 7, '[]', '[]', '230.00', '0.00', 'percent', '20.00', 'amount', '02:28:00', '10:28:00', 0, 1, 7, '2021-08-21 14:28:44', '2021-08-21 14:28:44', 0),
(106, 'Butter Cake', 'A butter cake is a cake in which one of the main ingredients is butter. Butter cake is baked with basic ingredients: butter, sugar, eggs, flour,', '2021-08-21-6120ffa5143e6.png', 8, '[]', '[]', '110.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:30:00', 0, 1, 11, '2021-08-21 14:29:09', '2021-08-21 14:29:09', 0),
(107, 'Chicken Momos', 'A popular street food among the youngsters these days, momos are undoubtedly one of the easy snack.', '2021-08-21-6120fff017c47.png', 7, '[]', '[]', '340.00', '0.00', 'percent', '12.00', 'percent', '03:29:00', '11:29:00', 0, 1, 7, '2021-08-21 14:30:24', '2021-08-21 14:30:24', 0),
(108, 'Veg Momos', 'Momos are popular street food in northern parts of India. These are also known as Dim Sum and are basically dumplings made from flour with a savory stuffing.', '2021-08-21-6121008b3c074.png', 7, '[]', '[]', '320.00', '0.00', 'percent', '0.00', 'percent', '03:31:00', '14:31:00', 0, 1, 7, '2021-08-21 14:32:59', '2021-08-22 04:24:42', 1),
(109, 'Cake', 'A form of bread or bread-like food. In its current forms, it is usually a sweet baked dessert. In its oldest forms, cakes were usually fried breads or cheesecakes.', '2021-08-21-612100a9cf3fc.png', 29, '[]', '[]', '10.00', '0.00', 'percent', '3.00', 'percent', '00:30:00', '20:45:00', 0, 1, 1, '2021-08-21 14:33:29', '2021-08-21 14:33:29', 0),
(110, 'Sponge Cake', 'Sponge cake is a light cake made with egg whites, flour and sugar, sometimes leavened with baking powder', '2021-08-21-612100b8c4862.png', 8, '[]', '[]', '150.00', '0.00', 'percent', '5.00', 'percent', '03:30:00', '18:30:00', 0, 1, 11, '2021-08-21 14:33:44', '2021-08-21 14:33:44', 0),
(111, 'Chiffon Cake', 'A chiffon cake is a very light cake made with vegetable oil, eggs, sugar, flour, baking powder, and flavorings', '2021-08-21-61210154420e3.png', 8, '[]', '[]', '160.00', '0.00', 'percent', '30.00', 'amount', '06:00:00', '22:00:00', 0, 1, 11, '2021-08-21 14:36:20', '2021-08-21 14:36:20', 0),
(112, 'Chocolate Cupcake', 'Moist and fluffy at the same time with a tender crumb.', '2021-08-21-61210171ac92a.png', 8, '[]', '[]', '18.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:45:00', 0, 1, 11, '2021-08-21 14:36:49', '2021-10-16 19:47:27', 1),
(113, 'Spicy Crab', 'Chilli crab is a Singaporean seafood dish. Mud crabs are commonly used and are stir-fried in a semi-thick, sweet and savoury tomato-and-chilli-based sauce.', '2021-08-21-612101a10f3a2.png', 7, '[]', '[]', '430.00', '0.00', 'percent', '20.00', 'percent', '01:36:00', '13:36:00', 0, 1, 7, '2021-08-21 14:37:37', '2021-08-21 14:37:37', 0),
(114, 'Molten chocolate cake', 'Molten chocolate cake is a popular dessert that combines the elements of a chocolate cake and a soufflé.', '2021-08-21-612101dd482e7.png', 8, '[]', '[]', '22.00', '0.00', 'percent', '2.00', 'percent', '00:30:00', '23:45:00', 0, 1, 11, '2021-08-21 14:38:37', '2021-08-21 14:39:30', 0),
(115, 'Peanut Butter Molten Cake', 'Creamy peanut butter, dark chocolate, unsweetened cocoa', '2021-08-21-6121046fc721d.png', 8, '[]', '[]', '17.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:45:00', 0, 1, 11, '2021-08-21 14:49:35', '2021-08-21 14:49:35', 0),
(116, 'Arabica Coffee', 'Coffea arabica, also known as the Arabian coffee, \"coffee shrub of Arabia\", \"mountain coffee\" or \"arabica coffee\", is a species of Coffea.', '2021-08-21-6121049ee508e.png', 9, '[{\"type\":\"Small\",\"price\":220},{\"type\":\"Medium\",\"price\":270},{\"type\":\"Large\",\"price\":330}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Small\",\"Medium\",\"Large\"]}]', '220.00', '0.00', 'percent', '0.00', 'percent', '04:00:00', '16:00:00', 0, 1, 11, '2021-08-21 14:50:22', '2021-08-21 14:50:22', 0),
(117, 'Lemon Juice', 'According to World\'s Healthiest Items, a quarter cup of lemon juice contains 31 percent of the recommended daily intake of vitamin C and 3 percent of folate and 2 percent of potassium', '2021-08-21-6121056197410.png', 9, '[]', '[]', '200.00', '0.00', 'percent', '0.00', 'percent', '05:00:00', '17:00:00', 0, 1, 11, '2021-08-21 14:53:37', '2021-08-21 14:53:37', 0),
(118, 'Toll House Pie', 'Ice cream, brown sugar, deep dish pie, butter, eggs', '2021-08-21-6121056f7c691.png', 8, '[]', '[]', '14.00', '0.00', 'percent', '3.00', 'percent', '00:10:00', '23:45:00', 0, 1, 11, '2021-08-21 14:53:51', '2021-08-21 14:53:51', 0),
(119, 'COOKIE DOUGH BROWNIES', 'Brown sugar, dark chocolate chips, unsweetened cocoa', '2021-08-21-61210650628f7.png', 11, '[]', '[]', '14.00', '0.00', 'percent', '3.00', 'percent', '00:10:00', '23:45:00', 0, 1, 11, '2021-08-21 14:57:36', '2021-08-21 14:57:36', 0),
(120, 'Hazelnut semifreddo', 'Hazelnuts are used in baking and desserts, confectionery to make praline, and also used in combination with chocolate for chocolate truffles and products such as chocolate bars, hazelnut cocoa spread such as Nutella, and Frangelico liqueur.', '2021-08-21-6121073d44b4a.png', 11, '[]', '[]', '14.00', '0.00', 'percent', '3.00', 'percent', '00:10:00', '23:45:00', 0, 1, 11, '2021-08-21 15:01:33', '2021-08-21 20:40:28', 2),
(121, 'MAPO TOFU', 'Mapo Tofu consists of tofu set in a spicy sauce, typically a thin, oily, and bright red suspension, based on douban and douchi, along with minced meat, traditionally beef.', '2021-08-21-61210747e03f2.png', 10, '[]', '[]', '340.00', '0.00', 'percent', '30.00', 'amount', '00:29:00', '23:51:00', 0, 1, 5, '2021-08-21 15:01:43', '2021-08-21 21:41:13', 0),
(122, 'Meringue', 'Meringue is a type of dessert or candy, often associated with Swiss, French, Polish and Italian cuisines, traditionally made from whipped egg whites and sugar, and occasionally an acidic ingredient such as lemon, vinegar, or cream of tartar.', '2021-08-21-61210796c7cdc.png', 11, '[]', '[]', '27.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:45:00', 0, 1, 11, '2021-08-21 15:03:02', '2021-08-21 15:03:02', 0),
(123, 'KUNG PAO CHICKEN', 'Kung Pao chicken, also transcribed Gong Bao or Kung Po, is a spicy, stir-fried Chinese dish made with cubes of chicken, peanuts, vegetables, and chili peppers.', '2021-08-21-612107f2cd8c7.png', 10, '[]', '[]', '470.00', '0.00', 'percent', '10.00', 'percent', '08:00:00', '20:00:00', 0, 1, 5, '2021-08-21 15:04:34', '2021-08-21 15:04:34', 0),
(124, 'BAOZI', 'Baozi, or bao, is a type of yeast-leavened filled bun in various Chinese cuisines. There are many variations in fillings and preparations, though the buns are most often steamed', '2021-08-21-612108516b458.png', 10, '[]', '[]', '300.00', '0.00', 'percent', '17.00', 'percent', '00:01:00', '23:57:00', 0, 1, 5, '2021-08-21 15:06:09', '2021-08-21 21:40:53', 0),
(125, 'Green Juice', 'Green juice is extracted from green vegetables like kale, spinach, and celery. Some green juices may also include fruit.', '2021-08-21-612109d666c4d.png', 9, '[]', '[]', '175.00', '0.00', 'percent', '0.00', 'percent', '03:00:00', '09:00:00', 0, 1, 13, '2021-08-21 15:11:22', '2021-08-21 15:12:38', 0),
(126, 'Orange Juice', 'Orange Juice is good for health.', '2021-08-21-61210a8a6650a.png', 9, '[]', '[]', '190.00', '0.00', 'percent', '25.00', 'percent', '03:30:00', '07:30:00', 0, 1, 13, '2021-08-21 15:14:44', '2021-08-21 15:15:38', 0),
(127, 'Stawberry Cake', 'Strawberry cake is a cake that uses strawberry as a primary ingredient.', '2021-08-21-61210b55b24e9.png', 8, '[]', '[]', '145.00', '0.00', 'percent', '20.00', 'amount', '07:00:00', '10:00:00', 0, 1, 13, '2021-08-21 15:19:01', '2021-08-21 15:19:01', 0);
INSERT INTO `foods` (`id`, `name`, `description`, `image`, `category_id`, `variations`, `choice_options`, `price`, `tax`, `tax_type`, `discount`, `discount_type`, `available_time_starts`, `available_time_ends`, `veg`, `status`, `restaurant_id`, `created_at`, `updated_at`, `order_count`) VALUES
(128, 'Ramen', 'Ramen is a Japanese noodle soup. It consists of Chinese-style wheat noodles served in a meat or fish-based broth, often flavored with soy sauce or miso', '2021-08-21-61210c8b6348e.png', 10, '[]', '[]', '290.00', '0.00', 'percent', '15.00', 'amount', '17:00:00', '23:00:00', 0, 1, 10, '2021-08-21 15:24:11', '2022-01-20 13:25:32', 2),
(129, 'Burrito', 'A burrito is a dish in Mexican and Tex-Mex cuisine that took form in California cuisine, consisting of a flour tortilla wrapped into a sealed cylindrical shape around various ingredients.', '2021-08-21-61210d9b0a87a.png', 11, '[]', '[]', '20.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:45:00', 0, 1, 9, '2021-08-21 15:28:43', '2021-08-21 15:28:43', 0),
(130, 'Chicken chowmein', 'Chow mein are Chinese stir-fried noodles with vegetables and sometimes meat or tofu; the name is a romanization of the Taishanese chāu-mèn.', '2021-08-21-61210d9e246a1.png', 10, '[]', '[]', '185.00', '0.00', 'percent', '15.00', 'amount', '05:00:00', '11:00:00', 0, 1, 12, '2021-08-21 15:28:46', '2021-08-21 15:28:46', 0),
(131, 'Cheese sandwich', 'A cheese sandwich is a sandwich made with cheese on bread. Typically semi-hard cheeses are used for the filling, such as Cheddar, Red Leicester, or Double Gloucester.', '2021-08-21-61210de1ef62b.png', 11, '[]', '[]', '27.00', '0.00', 'percent', '5.00', 'percent', '00:01:00', '23:59:00', 0, 1, 9, '2021-08-21 15:29:53', '2021-08-21 15:29:53', 0),
(132, 'Peking duck', 'Peking duck is a dish from Beijing (Peking) that has been prepared since the Imperial era.', '2021-08-21-61210e0eaa5cb.png', 10, '[]', '[]', '399.00', '0.00', 'percent', '19.00', 'percent', '04:00:00', '13:00:00', 0, 1, 12, '2021-08-21 15:30:38', '2021-08-21 15:30:38', 0),
(133, 'Chicken Roll', 'Chicken Roll is a delectable North Indian recipe made using all purpose flour, stir-fried chicken, yoghurt and a variety of vegetables rolled into paranthas.', '2021-08-21-61210e505f125.png', 11, '[]', '[]', '30.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:45:00', 0, 1, 9, '2021-08-21 15:31:44', '2021-08-21 15:31:44', 0),
(134, 'CHAR SIU', 'Char siu is a popular way to flavor and prepare barbecued pork in Cantonese cuisine', '2021-08-21-61210e78cec97.png', 10, '[]', '[]', '400.00', '0.00', 'percent', '40.00', 'amount', '06:00:00', '12:00:00', 0, 1, 12, '2021-08-21 15:32:24', '2021-08-21 15:32:24', 0),
(135, 'Dark Fried Chicken Roll', 'Chicken Roll is a delectable North Indian recipe made using all purpose flour, stir-fried chicken, yoghurt and a variety of vegetables rolled into paranthas.', '2021-08-21-61210e8e799b4.png', 11, '[]', '[]', '30.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:45:00', 0, 1, 9, '2021-08-21 15:32:46', '2021-08-21 15:32:46', 0),
(136, 'Ham sandwich', 'The ham sandwich is a common type of sandwich. The bread may be fresh or toasted, and it can be made with a variety of toppings including cheese and vegetables like lettuce, tomato, onion or pickle slices.', '2021-08-21-61210ef7bccc6.png', 11, '[]', '[]', '25.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:45:00', 0, 1, 9, '2021-08-21 15:34:31', '2021-08-21 15:34:31', 0),
(137, 'Chinese chicken and rice porridge congee', 'Chinese chicken and rice porridge congee is a type of rice porridge or gruel eaten in Asian countries.', '2021-08-21-61210f150ff5a.png', 10, '[]', '[]', '485.00', '0.00', 'percent', '15.00', 'percent', '05:30:00', '11:30:00', 0, 1, 12, '2021-08-21 15:35:01', '2021-08-21 15:35:01', 0),
(138, 'Sandwich', 'A sandwich is a food typically consisting of vegetables, sliced cheese or meat, placed on or between slices of bread, or more generally any dish wherein bread serves as a container or wrapper for another food type.', '2021-08-21-61210f51ee379.png', 11, '[]', '[]', '15.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:45:00', 0, 1, 9, '2021-08-21 15:36:01', '2021-08-21 15:36:01', 0),
(139, 'Cheesy Sandwich', 'A sandwich is a food typically consisting of vegetables, sliced cheese or meat, placed on or between slices of bread, or more generally any dish wherein bread serves as a container or wrapper for another food type.', '2021-08-21-6121100d50344.png', 11, '[]', '[]', '20.00', '0.00', 'percent', '0.00', 'percent', '00:10:00', '23:50:00', 0, 1, 9, '2021-08-21 15:39:09', '2021-08-21 15:39:09', 0),
(140, 'Melted chocolate sliced cake', 'This chocolate cake is the perfect cake to pair with a glass of milk.', '2021-08-21-6121100e9a3c4.png', 8, '[]', '[]', '149.99', '0.00', 'percent', '0.00', 'percent', '02:55:00', '19:15:00', 0, 1, 9, '2021-08-21 15:39:10', '2021-08-21 15:39:10', 0),
(141, 'Veggie Spring Rolls', 'Spring roll wrappers, cake, cabbage, soy sauce, bell pepper', '2021-08-21-612110d0124a1.png', 11, '[]', '[]', '13.00', '0.00', 'percent', '0.00', 'percent', '00:15:00', '23:30:00', 0, 1, 9, '2021-08-21 15:42:24', '2021-08-21 15:42:24', 0),
(142, 'Vegan Chow Mein', 'VeganChow Mein is a delicious Asian side dish or dinner.', '2021-08-21-6121114665a9d.png', 10, '[]', '[]', '235.00', '0.00', 'percent', '20.00', 'amount', '14:00:00', '22:00:00', 0, 1, 8, '2021-08-21 15:44:22', '2021-08-21 15:44:22', 0),
(143, 'Pizza Napoletana', 'Neapolitan pizza (Italian: pizza napoletana) also known as Naples-style pizza, is a style of pizza made with tomatoes and mozzarella cheese.', '2021-08-21-612111a36d109.png', 17, '[{\"type\":\"9inch\",\"price\":46},{\"type\":\"12inch\",\"price\":54},{\"type\":\"17inch\",\"price\":67},{\"type\":\"22inch\",\"price\":72}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"9inch\",\"12inch\",\"17inch\",\"22inch\"]}]', '46.00', '0.00', 'percent', '5.00', 'percent', '00:30:00', '23:15:00', 0, 1, 9, '2021-08-21 15:45:55', '2021-08-21 15:45:55', 0),
(144, 'Chocolate Cupcakes', 'Chocolate Cupcakes is a small cake designed to serve one person', '2021-08-21-6121138178d8a.png', 8, '[]', '[]', '205.00', '0.00', 'percent', '10.00', 'amount', '16:00:00', '23:00:00', 0, 1, 3, '2021-08-21 15:52:45', '2021-08-21 15:53:53', 0),
(145, 'Creampy Cake', 'A cream cake is a generic description of many varieties of cream-filled pastries', '2021-08-21-6121143eb8c39.png', 8, '[]', '[]', '130.00', '0.00', 'percent', '0.00', 'percent', '07:00:00', '13:00:00', 0, 1, 12, '2021-08-21 15:57:02', '2021-08-21 15:57:02', 0),
(146, 'Latte', 'Latte is a coffee drink of Italian origin made with espresso and steamed milk.', '2021-08-21-612114e8a1b4a.png', 9, '[]', '[]', '320.00', '0.00', 'percent', '0.00', 'percent', '03:45:00', '10:45:00', 0, 1, 12, '2021-08-21 15:59:52', '2021-08-21 15:59:52', 0),
(147, 'Cappuccino', 'A cappuccino is an espresso-based coffee drink that originated in Italy, and is simply prepared with steamed milk foam.', '2021-08-21-6121155d24947.png', 9, '[]', '[]', '250.00', '0.00', 'percent', '0.00', 'percent', '07:00:00', '12:00:00', 0, 1, 12, '2021-08-21 16:01:49', '2021-08-21 16:01:49', 0),
(148, 'Pizza Siciliana', 'Sicilian pizza is pizza prepared in a manner that originated in Sicily, Italy. Sicilian pizza is also known as sfincione or focaccia with toppings.', '2021-08-21-6121157903b80.png', 17, '[{\"type\":\"9inch\",\"price\":25},{\"type\":\"12inch\",\"price\":32},{\"type\":\"17inch\",\"price\":40},{\"type\":\"22inch\",\"price\":48}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"9inch\",\"12inch\",\"17inch\",\"22inch\"]}]', '25.00', '0.00', 'percent', '0.00', 'percent', '00:30:00', '23:15:00', 0, 1, 9, '2021-08-21 16:02:17', '2021-08-21 16:02:17', 0),
(149, 'Pizza Margherita', 'Pizza Margherita is a typical Neapolitan pizza, made with San Marzano tomatoes, mozzarella cheese, fresh basil, salt, and extra-virgin olive oil.', '2021-08-21-6121199b40ead.png', 17, '[{\"type\":\"9inch\",\"price\":45},{\"type\":\"12inch\",\"price\":55},{\"type\":\"17inch\",\"price\":60},{\"type\":\"22inch\",\"price\":68}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"9inch\",\"12inch\",\"17inch\",\"22inch\"]}]', '45.00', '0.00', 'percent', '5.00', 'percent', '00:01:00', '23:59:00', 0, 1, 9, '2021-08-21 16:19:55', '2021-08-21 16:20:38', 0),
(150, 'Burger', 'Good', '2021-10-17-616b1ade191a3.png', 5, '[]', '[]', '160.00', '0.00', 'percent', '0.00', 'percent', '10:00:00', '02:20:00', 0, 1, 15, '2021-10-16 19:33:02', '2021-10-16 19:40:24', 0),
(151, 'Fry', 'Good', '2021-10-17-616b1d37be682.png', 11, '[{\"type\":\"Medium\",\"price\":200},{\"type\":\"Large\",\"price\":300}]', '[{\"name\":\"choice_1\",\"title\":\"Size\",\"options\":[\"Medium\",\"Large\"]}]', '150.00', '0.00', 'percent', '0.00', 'percent', '10:00:00', '01:10:00', 0, 1, 15, '2021-10-16 19:43:03', '2021-10-16 19:43:03', 0),
(152, 'Nachos', NULL, '2021-12-05-61acb572a30a4.png', 38, '[]', '[]', '100.00', '0.00', 'percent', '10.00', 'percent', '00:01:00', '23:59:00', 0, 1, 1, '2021-12-05 13:49:54', '2021-12-05 13:49:54', 0),
(153, 'chicken', 'ok', 'C:\\xampp\\tmp\\phpE391.tmp', 11, NULL, NULL, '100.00', '0.00', 'percent', '0.00', 'percent', NULL, NULL, 0, 1, 19, '2023-02-27 09:15:37', '2023-02-27 09:15:37', 0),
(154, 'rice', 'ders', NULL, 6, NULL, NULL, '100.00', '0.00', 'percent', '0.00', 'percent', NULL, NULL, 0, 1, 19, '2023-02-27 09:33:21', '2023-02-27 09:33:21', 0),
(155, 'test product', 'des', NULL, 11, NULL, NULL, '200.00', '0.00', 'percent', '0.00', 'percent', NULL, NULL, 0, 1, 19, '2023-02-27 09:38:12', '2023-02-27 09:38:12', 0),
(156, 'checkin roast', 'chikn', NULL, 11, NULL, NULL, '500.00', '0.00', 'percent', '0.00', 'percent', NULL, NULL, 0, 1, 1, '2023-03-01 11:43:39', '2023-03-01 11:43:39', 0),
(157, 'Agent Payment', 'sdfdfg', '1677872611.pdf', 6, NULL, NULL, '100.00', '0.00', 'percent', '0.00', 'percent', NULL, NULL, 0, 1, 2, '2023-03-03 14:43:31', '2023-03-03 14:43:31', 0);

-- --------------------------------------------------------

--
-- Table structure for table `food_categories`
--

DROP TABLE IF EXISTS `food_categories`;
CREATE TABLE IF NOT EXISTS `food_categories` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'def.png',
  `parent_id` int(11) DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `food_categories`
--

INSERT INTO `food_categories` (`id`, `name`, `image`, `parent_id`, `status`, `created_at`, `updated_at`) VALUES
(5, 'Burger', '2021-08-20-611fbe0e334c5.png', 0, 1, '2021-08-20 15:37:02', '2021-08-20 15:37:02'),
(6, 'Biriyani', '2021-08-20-611fbeadbf729.png', 0, 1, '2021-08-20 15:39:41', '2021-08-20 15:39:41'),
(7, 'Asian', '2021-08-20-611fbebbc8db2.png', 0, 1, '2021-08-20 15:39:55', '2021-08-20 15:39:55'),
(8, 'Cake', '2021-08-20-611fbecb2b870.png', 0, 1, '2021-08-20 15:40:11', '2021-08-20 15:40:11'),
(37, 'Food', '2021-12-05-61acb51584a1f.png', 0, 1, '2021-12-05 13:48:21', '2021-12-05 13:48:21'),
(38, 'Food1', 'def.png', 37, 1, '2021-12-05 13:48:39', '2021-12-05 13:48:39'),
(39, 'chicken22', '1677870586.pdf', NULL, 1, '2023-03-03 14:09:46', '2023-03-03 14:09:46'),
(40, 'chickena', '1677870625.pdf', NULL, 0, '2023-03-03 14:10:25', '2023-03-03 14:10:25');

-- --------------------------------------------------------

--
-- Table structure for table `identity_verifications`
--

DROP TABLE IF EXISTS `identity_verifications`;
CREATE TABLE IF NOT EXISTS `identity_verifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `front_image` varchar(255) DEFAULT NULL,
  `back_image` varchar(255) DEFAULT NULL,
  `issue_date` datetime DEFAULT NULL,
  `expiry_date` datetime DEFAULT NULL,
  `year` varchar(50) DEFAULT NULL,
  `license_no` varchar(255) DEFAULT NULL,
  `issuing_state` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `identity_verifications`
--

INSERT INTO `identity_verifications` (`id`, `front_image`, `back_image`, `issue_date`, `expiry_date`, `year`, `license_no`, `issuing_state`) VALUES
(1, '1677784089.PNG', '1677784089.jpeg', '2023-02-23 00:00:00', '0002-07-24 00:00:00', '2024', 'l-2345', 'ok'),
(2, '1677869056.jpeg', '1677869056.PNG', '2023-02-23 00:00:00', NULL, '2024', 'l-2345', 'ok');

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
CREATE TABLE IF NOT EXISTS `migrations` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2014_10_12_000000_create_users_table', 1),
(2, '2014_10_12_100000_create_password_resets_table', 1),
(3, '2016_06_01_000001_create_oauth_auth_codes_table', 1),
(4, '2016_06_01_000002_create_oauth_access_tokens_table', 1),
(5, '2016_06_01_000003_create_oauth_refresh_tokens_table', 1),
(6, '2016_06_01_000004_create_oauth_clients_table', 1),
(7, '2016_06_01_000005_create_oauth_personal_access_clients_table', 1),
(8, '2019_08_19_000000_create_failed_jobs_table', 1),
(9, '2019_12_14_000001_create_personal_access_tokens_table', 1),
(10, '2023_02_25_180824_add_columnname_to_users_table', 1),
(11, '2023_02_27_161601_create_orders_table', 1),
(12, '2023_02_27_183935_create_food_table', 1),
(13, '2023_03_01_101215_create_statuses_table', 1),
(14, '2023_03_01_101340_create_order_status_table', 1);

-- --------------------------------------------------------

--
-- Table structure for table `oauth_access_tokens`
--

DROP TABLE IF EXISTS `oauth_access_tokens`;
CREATE TABLE IF NOT EXISTS `oauth_access_tokens` (
  `id` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `client_id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `scopes` text COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_access_tokens_user_id_index` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_auth_codes`
--

DROP TABLE IF EXISTS `oauth_auth_codes`;
CREATE TABLE IF NOT EXISTS `oauth_auth_codes` (
  `id` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `client_id` bigint(20) UNSIGNED NOT NULL,
  `scopes` text COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_auth_codes_user_id_index` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_clients`
--

DROP TABLE IF EXISTS `oauth_clients`;
CREATE TABLE IF NOT EXISTS `oauth_clients` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `secret` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `provider` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `redirect` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `personal_access_client` tinyint(1) NOT NULL,
  `password_client` tinyint(1) NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_clients_user_id_index` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_personal_access_clients`
--

DROP TABLE IF EXISTS `oauth_personal_access_clients`;
CREATE TABLE IF NOT EXISTS `oauth_personal_access_clients` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `client_id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_refresh_tokens`
--

DROP TABLE IF EXISTS `oauth_refresh_tokens`;
CREATE TABLE IF NOT EXISTS `oauth_refresh_tokens` (
  `id` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `access_token_id` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `oauth_refresh_tokens_access_token_id_index` (`access_token_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
CREATE TABLE IF NOT EXISTS `orders` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED DEFAULT NULL,
  `order_amount` decimal(24,2) NOT NULL DEFAULT '0.00',
  `coupon_discount_amount` decimal(24,2) NOT NULL DEFAULT '0.00',
  `coupon_discount_title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_status` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unpaid',
  `order_status` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `total_tax_amount` decimal(24,2) NOT NULL DEFAULT '0.00',
  `payment_method` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_reference` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delivery_address_id` bigint(20) DEFAULT NULL,
  `delivery_man_id` bigint(20) UNSIGNED DEFAULT NULL,
  `coupon_code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order_note` text COLLATE utf8mb4_unicode_ci,
  `order_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'delivery',
  `checked` tinyint(1) NOT NULL DEFAULT '0',
  `restaurant_id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `delivery_charge` decimal(24,2) NOT NULL DEFAULT '0.00',
  `schedule_at` timestamp NULL DEFAULT NULL,
  `callback` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `otp` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pending` timestamp NULL DEFAULT NULL,
  `accepted` timestamp NULL DEFAULT NULL,
  `confirmed` timestamp NULL DEFAULT NULL,
  `processing` timestamp NULL DEFAULT NULL,
  `handover` timestamp NULL DEFAULT NULL,
  `picked_up` timestamp NULL DEFAULT NULL,
  `delivered` timestamp NULL DEFAULT NULL,
  `canceled` timestamp NULL DEFAULT NULL,
  `refund_requested` timestamp NULL DEFAULT NULL,
  `refunded` timestamp NULL DEFAULT NULL,
  `delivery_address` text COLLATE utf8mb4_unicode_ci,
  `scheduled` tinyint(1) NOT NULL DEFAULT '0',
  `store_discount_amount` decimal(24,2) NOT NULL,
  `original_delivery_charge` decimal(24,2) NOT NULL DEFAULT '0.00',
  `failed` timestamp NULL DEFAULT NULL,
  `adjusment` decimal(24,2) NOT NULL DEFAULT '0.00',
  `edited` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `orders`
--

INSERT INTO `orders` (`id`, `user_id`, `order_amount`, `coupon_discount_amount`, `coupon_discount_title`, `payment_status`, `order_status`, `total_tax_amount`, `payment_method`, `transaction_reference`, `delivery_address_id`, `delivery_man_id`, `coupon_code`, `order_note`, `order_type`, `checked`, `restaurant_id`, `created_at`, `updated_at`, `delivery_charge`, `schedule_at`, `callback`, `otp`, `pending`, `accepted`, `confirmed`, `processing`, `handover`, `picked_up`, `delivered`, `canceled`, `refund_requested`, `refunded`, `delivery_address`, `scheduled`, `store_discount_amount`, `original_delivery_charge`, `failed`, `adjusment`, `edited`) VALUES
(100001, 2, '244.80', '0.00', '', 'paid', 'delivered', '4.80', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 20, '2021-08-21 08:40:08', '2021-08-21 08:54:22', '0.00', '2021-08-21 08:40:08', NULL, '9674', '2021-08-21 08:40:08', NULL, '2021-08-21 08:53:47', '2021-08-21 08:53:53', '2021-08-21 08:54:14', '2021-08-21 08:54:18', '2021-08-21 08:54:22', NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3455135\",\"latitude\":\"23.7633532\"}', 0, '0.00', '4321.12', NULL, '0.00', 0),
(100002, 2, '558.80', '0.00', '', 'unpaid', 'confirmed', '50.80', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 1, '2021-08-21 08:58:06', '2021-08-21 09:00:35', '0.00', '2021-08-21 08:58:06', NULL, '5225', '2021-08-21 08:58:06', NULL, '2021-08-21 09:00:35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3455135\",\"latitude\":\"23.7633532\"}', 0, '62.00', '4496.87', NULL, '0.00', 0),
(100003, 4, '143.00', '0.00', '', 'unpaid', 'pending', '13.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 1, '2021-08-21 09:03:25', '2021-08-21 10:29:14', '0.00', '2021-08-21 09:03:25', NULL, '2098', '2021-08-21 09:03:25', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Nipon Roy\",\"contact_person_number\":\"+8801747413273\",\"address_type\":\"others\",\"address\":\"\\u09a6\\u0983 \\u09ac\\u099f\\u09a4\\u09b2\\u09be \\u09b0\\u09cb\\u09a1 Dhaka  Bangladesh\",\"longitude\":\"90.4250581\",\"latitude\":\"23.8302362\"}', 0, '20.00', '4523.21', NULL, '0.00', 0),
(100004, 3, '4744.37', '0.00', '', 'unpaid', 'pending', '22.50', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 1, '2021-08-21 09:14:36', '2021-08-21 10:29:14', '4496.87', '2021-08-21 09:14:36', NULL, '7756', '2021-08-21 09:14:36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454855\",\"latitude\":\"23.7633213\"}', 0, '25.00', '4496.87', NULL, '0.00', 0),
(100005, 3, '1939.51', '0.00', '', 'paid', 'delivered', '17.00', 'cash_on_delivery', NULL, NULL, 1, NULL, NULL, 'delivery', 1, 2, '2021-08-21 09:20:36', '2021-08-21 16:45:29', '1582.51', '2021-08-21 09:20:36', NULL, '6413', '2021-08-21 09:20:36', '2021-08-21 15:10:01', '2021-08-21 15:10:11', '2021-08-21 16:15:31', '2021-08-21 16:15:41', '2021-08-21 16:45:24', '2021-08-21 16:45:29', NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454855\",\"latitude\":\"23.7633213\"}', 0, '60.00', '1582.51', NULL, '0.00', 0),
(100006, 3, '2761.77', '0.00', '', 'unpaid', 'pending', '9.60', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 14, '2021-08-21 12:27:21', '2021-08-21 14:47:58', '2432.17', '2021-08-21 12:27:21', NULL, '3778', '2021-08-21 12:27:21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454855\",\"latitude\":\"23.7633213\"}', 0, '20.00', '2432.17', NULL, '0.00', 0),
(100007, 3, '1682.24', '0.00', '', 'unpaid', 'pending', '4.75', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-08-21 16:38:48', '2021-08-21 16:46:08', '1582.49', '2021-08-21 16:38:48', NULL, '3963', '2021-08-21 16:38:48', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"Haji Dil Mohammad Avenue   Bangladesh\",\"longitude\":\"90.34538374659925\",\"latitude\":\"23.763406031237253\"}', 0, '0.00', '1582.49', NULL, '0.00', 0),
(100008, 9, '357.00', '0.00', '', 'paid', 'delivered', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 2, '2021-08-21 17:05:50', '2021-08-21 17:46:14', '0.00', '2021-08-22 04:01:00', NULL, '6714', '2021-08-21 17:05:50', NULL, '2021-08-21 17:09:18', '2021-08-21 17:45:16', '2021-08-21 17:45:28', NULL, '2021-08-21 17:46:14', NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454831\",\"latitude\":\"23.7633124\"}', 1, '60.00', '1582.51', NULL, '0.00', 0),
(100009, 9, '81.60', '0.00', '', 'unpaid', 'pending', '1.60', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2021-08-21 17:20:51', '2021-08-21 17:26:21', '0.00', '2021-08-21 17:20:51', NULL, '3217', '2021-08-21 17:20:51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454952\",\"latitude\":\"23.763332\"}', 0, '0.00', '4321.11', NULL, '0.00', 0),
(100010, 9, '276.68', '0.00', '', 'paid', 'delivered', '13.18', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 2, '2021-08-21 17:22:15', '2021-10-16 19:45:03', '0.00', '2021-08-21 17:22:15', NULL, '1451', '2021-08-21 17:22:15', NULL, '2021-10-16 19:43:51', '2021-10-16 19:44:28', '2021-10-16 19:44:43', NULL, '2021-10-16 19:45:03', NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan Mahamud\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454849\",\"latitude\":\"23.7633212\"}', 0, '46.50', '1582.51', NULL, '0.00', 0),
(100011, 10, '9638.62', '0.00', '', 'paid', 'delivered', '513.00', 'cash_on_delivery', NULL, NULL, 5, NULL, NULL, 'delivery', 1, 10, '2021-08-21 17:30:24', '2022-01-20 13:25:32', '3995.62', '2021-08-22 12:31:00', NULL, '5871', '2021-08-21 17:30:24', '2022-01-20 13:16:46', '2022-01-20 13:17:20', '2022-01-20 13:17:59', '2022-01-20 13:18:09', '2022-01-20 13:19:31', '2022-01-20 13:25:32', NULL, NULL, NULL, '{\"contact_person_name\":\"Md Al Imrun Khandakar\",\"contact_person_number\":\"+8801759412381\",\"address_type\":\"others\",\"address\":\"P95G+FC7 Dhaka  Bangladesh\",\"longitude\":\"90.3756057\",\"latitude\":\"23.7089441\"}', 1, '330.00', '3995.62', NULL, '0.00', 0),
(100012, 10, '979.20', '0.00', '', 'unpaid', 'pending', '19.20', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2021-08-21 17:30:47', '2021-08-21 17:44:09', '0.00', '2021-08-22 05:01:00', NULL, '3379', '2021-08-21 17:30:47', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Md Al Imrun Khandakar\",\"contact_person_number\":\"+8801759412381\",\"address_type\":\"others\",\"address\":\"P95G+FC7 Dhaka  Bangladesh\",\"longitude\":\"90.3756057\",\"latitude\":\"23.7089441\"}', 1, '0.00', '4336.16', NULL, '0.00', 0),
(100013, 9, '224.25', '0.00', '', 'unpaid', 'pending', '29.25', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 3, '2021-08-21 17:37:38', '2021-08-21 17:44:09', '0.00', '2021-08-21 17:37:38', NULL, '3154', '2021-08-21 17:37:38', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan 0 Mahamud 1\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.345534\",\"latitude\":\"23.763376\"}', 0, '10.00', '57.15', NULL, '0.00', 0),
(100014, 9, '260.93', '0.00', '', 'paid', 'delivered', '12.43', 'cash_on_delivery', NULL, NULL, 2, NULL, NULL, 'delivery', 1, 2, '2021-08-21 17:51:46', '2021-08-21 18:15:03', '0.00', '2021-08-21 17:51:46', NULL, '6587', '2021-08-21 17:51:46', '2021-08-21 17:57:13', '2021-08-21 18:03:19', '2021-08-21 18:04:50', '2021-08-21 18:05:24', '2021-08-21 18:06:34', '2021-08-21 18:15:03', NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan 0 Mahamud 1\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.345534\",\"latitude\":\"23.763376\"}', 0, '37.50', '1582.52', NULL, '0.00', 0),
(100015, 12, '4741.58', '0.00', '', 'unpaid', 'pending', '20.90', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 1, '2021-08-21 20:11:33', '2021-08-21 20:32:50', '4511.68', '2021-08-21 20:11:33', NULL, '1099', '2021-08-21 20:11:33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hasting\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 0, '11.00', '4511.68', NULL, '0.00', 0),
(100016, 12, '4393.20', '0.00', '', 'paid', 'confirmed', '7.00', 'ssl_commerz_payment', 'gAVhXl-971', NULL, NULL, NULL, NULL, 'delivery', 1, 7, '2021-08-21 20:12:46', '2021-08-21 20:32:50', '4316.20', '2021-08-21 20:12:46', NULL, '7328', '2021-08-21 20:12:46', NULL, '2021-08-21 20:13:11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hasting\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 0, '0.00', '4316.20', NULL, '0.00', 0),
(100017, 12, '4390.45', '0.00', '', 'paid', 'accepted', '6.75', 'stripe', 'L48g9J-787', NULL, 3, NULL, NULL, 'delivery', 1, 7, '2021-08-21 20:13:42', '2021-08-21 20:32:50', '4316.20', '2021-08-21 20:13:42', NULL, '1594', '2021-08-21 20:13:42', '2021-08-21 20:17:19', '2021-08-21 20:15:04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hasting\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 0, '7.50', '4316.20', NULL, '0.00', 0),
(100018, 12, '4382.20', '0.00', '', 'unpaid', 'pending', '6.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 7, '2021-08-21 20:18:27', '2021-08-21 20:32:50', '4316.20', '2021-08-21 20:18:27', NULL, '7474', '2021-08-21 20:18:27', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hastings\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 0, '0.00', '4316.20', NULL, '0.00', 0),
(100019, 12, '127.35', '0.00', '', 'unpaid', 'pending', '0.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 9, '2021-08-21 20:22:20', '2021-08-21 20:32:50', '0.00', '2021-08-23 16:02:00', NULL, '4507', '2021-08-21 20:22:20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hastings\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 1, '5.65', '254.51', NULL, '0.00', 0),
(100020, 12, '4297.88', '0.00', '', 'unpaid', 'pending', '27.50', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 10, '2021-08-21 20:26:25', '2021-08-21 20:32:50', '3995.38', '2021-08-23 12:31:00', NULL, '4384', '2021-08-21 20:26:25', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hastings\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 1, '15.00', '3995.38', NULL, '0.00', 0),
(100021, 9, '5250.37', '0.00', '', 'paid', 'confirmed', '68.50', 'ssl_commerz_payment', 'FR1rZd-926', NULL, NULL, NULL, NULL, 'delivery', 1, 1, '2021-08-21 20:27:13', '2021-08-21 20:32:50', '4496.87', '2021-08-21 20:27:13', NULL, '5890', '2021-08-21 20:27:13', NULL, '2021-08-21 20:27:43', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan 0 Mahamud 1\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454871\",\"latitude\":\"23.763319\"}', 0, '45.00', '4496.87', NULL, '0.00', 0),
(100022, 9, '23.10', '0.00', '', 'unpaid', 'pending', '1.10', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 5, '2021-08-21 20:31:58', '2021-08-21 20:32:50', '0.00', '2021-08-21 20:31:58', NULL, '4600', '2021-08-21 20:31:58', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan 0 Mahamud 1\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454871\",\"latitude\":\"23.763319\"}', 0, '0.00', '4753.56', NULL, '0.00', 0),
(100023, 9, '878.40', '0.00', '', 'paid', 'delivered', '13.04', 'cash_on_delivery', NULL, NULL, 4, NULL, NULL, 'delivery', 1, 11, '2021-08-21 20:32:36', '2021-08-21 20:40:28', '756.73', '2021-08-21 20:32:36', NULL, '2411', '2021-08-21 20:32:36', '2021-08-21 20:37:34', '2021-08-21 20:37:49', NULL, '2021-08-21 20:38:37', '2021-08-21 20:40:13', '2021-08-21 20:40:28', NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan 0 Mahamud 1\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"38 Dhaka 1207 Bangladesh\",\"longitude\":\"90.3454871\",\"latitude\":\"23.763319\"}', 0, '3.36', '756.73', NULL, '0.00', 0),
(100024, 12, '90.00', '0.00', '', 'unpaid', 'pending', '0.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 9, '2021-08-21 20:33:46', '2021-08-21 20:37:03', '0.00', '2021-08-22 23:32:00', NULL, '8925', '2021-08-21 20:33:46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Spencer Hastings\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 1, '0.00', '254.51', NULL, '0.00', 0),
(100025, 12, '28358.75', '0.00', '', 'unpaid', 'canceled', '5671.75', 'cash_on_delivery', NULL, NULL, 5, NULL, NULL, 'delivery', 1, 13, '2021-08-21 20:34:51', '2022-01-20 13:19:07', '0.00', '2021-08-22 03:01:00', NULL, '1164', '2021-08-21 20:34:51', '2021-08-22 03:42:43', NULL, NULL, NULL, NULL, NULL, '2022-01-20 13:19:07', NULL, NULL, '{\"contact_person_name\":\"Spencer Hastings\",\"contact_person_number\":\"+8801673138205\",\"address_type\":\"others\",\"address\":\"Flat#602 Dhaka 1205 Bangladesh\",\"longitude\":\"90.4091212\",\"latitude\":\"23.7435144\"}', 1, '2215.00', '4831.66', NULL, '0.00', 0),
(100026, 13, '284.24', '0.00', '', 'unpaid', 'pending', '56.85', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 13, '2021-08-21 21:43:51', '2021-08-22 02:51:16', '0.00', '2021-08-21 21:43:51', NULL, '9409', '2021-08-21 21:43:51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"sultan mahamud 2\",\"contact_person_number\":\"+8801723019986\",\"address_type\":\"others\",\"address\":\"4871 Einasleigh 4871 Australia\",\"longitude\":\"144.22157775610685\",\"latitude\":\"-18.53319343664354\"}', 0, '20.61', '12076.57', NULL, '0.00', 0),
(100027, 13, '99.75', '0.00', '', 'unpaid', 'pending', '4.75', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-08-21 21:44:12', '2021-08-22 02:48:32', '0.00', '2021-08-21 21:44:12', NULL, '3530', '2021-08-21 21:44:12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"sultan mahamud 2\",\"contact_person_number\":\"+8801723019986\",\"address_type\":\"others\",\"address\":\"4871 Einasleigh 4871 Australia\",\"longitude\":\"144.22157775610685\",\"latitude\":\"-18.53319343664354\"}', 0, '0.00', '16098.76', NULL, '0.00', 0),
(100028, 4, '142.80', '0.00', '', 'paid', 'delivered', '6.80', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 2, '2021-08-21 22:48:11', '2021-10-16 19:44:54', '0.00', '2021-08-21 22:48:11', NULL, '1671', '2021-08-21 22:48:29', NULL, '2021-10-16 19:44:00', '2021-10-16 19:44:10', '2021-10-16 19:44:19', NULL, '2021-10-16 19:44:54', NULL, NULL, NULL, '{\"contact_person_name\":\"Nipon Roy\",\"contact_person_number\":\"+8801747413273\",\"address_type\":\"others\",\"address\":\"\\u09a6\\u0983 \\u09ac\\u099f\\u09a4\\u09b2\\u09be \\u09b0\\u09cb\\u09a1 Dhaka  Bangladesh\",\"longitude\":\"90.4250437\",\"latitude\":\"23.8302669\"}', 0, '24.00', '1575.93', NULL, '0.00', 0),
(100029, 14, '1542.50', '0.00', '', 'unpaid', 'canceled', '308.50', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 13, '2021-08-22 03:10:54', '2021-08-22 03:28:15', '0.00', '2021-08-22 03:10:54', NULL, '7563', '2021-08-22 03:10:54', NULL, NULL, NULL, NULL, NULL, NULL, '2021-08-22 03:18:26', NULL, NULL, '{\"contact_person_name\":\"demo demo\",\"contact_person_number\":\"jkhjk\",\"address_type\":\"others\",\"address\":\"2 Dhaka  Bangladesh\",\"longitude\":\"90.35148739814758\",\"latitude\":\"23.76354646324285\"}', 0, '147.00', '4843.50', NULL, '0.00', 0),
(100030, 14, '4700.14', '0.00', '', 'unpaid', 'accepted', '18.47', 'digital_payment', NULL, NULL, 6, NULL, NULL, 'delivery', 1, 1, '2021-08-22 03:16:38', '2021-08-22 03:25:17', '4496.97', '2021-08-22 03:16:38', NULL, '5147', '2021-08-22 03:16:38', '2021-08-22 03:25:17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"demo demo\",\"contact_person_number\":\"+21620123123\",\"address_type\":\"others\",\"address\":\"2 Dhaka  Bangladesh\",\"longitude\":\"90.35148739814758\",\"latitude\":\"23.76354646324285\"}', 0, '0.30', '4496.97', NULL, '0.00', 0),
(100031, 15, '4632.80', '0.00', '', 'unpaid', 'canceled', '29.92', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 7, '2021-08-22 04:20:03', '2021-08-22 04:22:30', '4303.68', '2021-08-22 04:20:03', NULL, '6294', '2021-08-22 04:20:03', NULL, NULL, NULL, NULL, NULL, NULL, '2021-08-22 04:21:19', NULL, NULL, '{\"contact_person_name\":\"hello yes\",\"contact_person_number\":\"+21620555555\",\"address_type\":\"home\",\"address\":\"53 Dhaka  Bangladesh\",\"longitude\":\"90.35126108676195\",\"latitude\":\"23.76639123991971\"}', 0, '40.80', '4303.68', NULL, '0.00', 0),
(100032, 15, '4655.68', '0.00', '', 'paid', 'delivered', '32.00', 'cash_on_delivery', NULL, NULL, 4, NULL, NULL, 'delivery', 1, 7, '2021-08-22 04:22:16', '2021-08-22 04:24:42', '4303.68', '2021-08-22 04:22:16', NULL, '1878', '2021-08-22 04:22:16', '2021-08-22 04:22:55', NULL, NULL, '2021-08-22 04:24:02', '2021-08-22 04:24:27', '2021-08-22 04:24:42', NULL, NULL, NULL, '{\"contact_person_name\":\"hello yes\",\"contact_person_number\":\"+21620555555\",\"address_type\":\"home\",\"address\":\"53 Dhaka  Bangladesh\",\"longitude\":\"90.35126108676195\",\"latitude\":\"23.76639123991971\"}', 0, '0.00', '4303.68', NULL, '0.00', 0),
(100033, 15, '99.75', '0.00', '', 'paid', 'delivered', '4.75', 'cash_on_delivery', NULL, NULL, 2, NULL, NULL, 'delivery', 1, 2, '2021-08-22 04:27:20', '2021-10-16 19:19:51', '0.00', '2021-08-22 04:27:20', NULL, '4719', '2021-08-22 04:27:20', '2021-08-22 04:30:37', '2021-08-22 04:28:45', '2021-08-22 04:30:09', '2021-08-22 04:30:23', '2021-08-22 04:31:03', '2021-10-16 19:19:51', NULL, NULL, NULL, '{\"contact_person_name\":\"hello yes\",\"contact_person_number\":\"+21620555555\",\"address_type\":\"home\",\"address\":\"53 Dhaka  Bangladesh\",\"longitude\":\"90.35126108676195\",\"latitude\":\"23.76639123991971\"}', 0, '0.00', '1584.34', NULL, '0.00', 0),
(100034, 15, '10.67', '0.00', '', 'unpaid', 'pending', '0.97', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 1, '2021-08-22 05:04:54', '2021-08-22 18:40:45', '0.00', '2021-08-22 05:04:54', NULL, '3269', '2021-08-22 05:04:54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"hello yes\",\"contact_person_number\":\"+21620555555\",\"address_type\":\"office\",\"address\":\"SS 127 km 59.000 Bortigiadas 07030 Italy\",\"longitude\":\"8.991410359740257\",\"latitude\":\"40.86096044586421\"}', 0, '0.30', '12945.92', NULL, '0.00', 0),
(100035, 9, '617.40', '0.00', '', 'unpaid', 'pending', '29.40', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-08-22 14:11:39', '2021-08-22 18:40:45', '0.00', '2021-08-22 14:11:39', NULL, '9398', '2021-08-22 14:11:39', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Sultan 0 Mahamud 1\",\"contact_person_number\":\"+8801723019985\",\"address_type\":\"others\",\"address\":\"Moradabad Moradabad 244926 India\",\"longitude\":\"78.94538920372725\",\"latitude\":\"28.697084694393855\"}', 0, '93.00', '1791.10', NULL, '0.00', 0),
(100036, 15, '2.10', '0.00', '', 'unpaid', 'pending', '0.10', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-08-22 21:36:23', '2021-08-22 22:00:18', '0.00', '2021-08-22 21:36:23', NULL, '8500', '2021-08-22 21:36:23', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"hello yes\",\"contact_person_number\":\"+21620555555\",\"address_type\":\"office\",\"address\":\"SS 127 km 59.000 Bortigiadas 07030 Italy\",\"longitude\":\"8.991410359740257\",\"latitude\":\"40.86096044586421\"}', 0, '0.00', '14171.77', NULL, '0.00', 0),
(100037, 15, '99.75', '0.00', '', 'paid', 'delivered', '4.75', 'cash_on_delivery', NULL, NULL, 7, NULL, NULL, 'delivery', 1, 2, '2021-08-22 21:58:13', '2021-08-22 22:03:01', '0.00', '2021-08-22 21:58:13', NULL, '7398', '2021-08-22 21:58:13', '2021-08-22 21:58:27', '2021-08-22 21:59:11', '2021-08-22 22:01:22', '2021-08-22 22:01:58', '2021-08-22 22:02:36', '2021-08-22 22:03:01', NULL, NULL, NULL, '{\"contact_person_name\":\"hello yes\",\"contact_person_number\":\"+21620555555\",\"address_type\":\"office\",\"address\":\"SS 127 km 59.000 Bortigiadas 07030 Italy\",\"longitude\":\"8.991410359740257\",\"latitude\":\"40.86096044586421\"}', 0, '0.00', '14171.77', NULL, '0.00', 0),
(100038, 7, '774.48', '0.00', '', 'unpaid', 'pending', '16.30', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 11, '2021-10-16 19:12:02', '2021-10-16 19:36:52', '622.38', '2021-10-16 19:12:02', NULL, '5285', '2021-10-16 19:12:02', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Md Aziz\",\"contact_person_number\":\"+8801975758279\",\"address_type\":\"others\",\"address\":\"Aainusbag Road Dhaka 1230 Bangladesh\",\"longitude\":\"90.4226173\",\"latitude\":\"23.8581271\"}', 0, '4.20', '622.38', NULL, '0.00', 0),
(100039, 17, '3802.73', '0.00', '', 'unpaid', 'pending', '3.33', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 1, '2021-10-16 19:16:00', '2021-10-16 19:36:52', '3766.16', '2021-10-16 19:16:00', NULL, '4212', '2021-10-16 19:16:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Pili 123\",\"contact_person_number\":\"+8801624343928\",\"address_type\":\"others\",\"address\":\"1no Dhaka 1215 Bangladesh\",\"longitude\":\"90.3934921\",\"latitude\":\"23.7561689\"}', 0, '1.75', '3766.16', NULL, '0.00', 0),
(100040, 17, '357.00', '0.00', '', 'unpaid', 'pending', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-10-16 19:17:46', '2021-10-16 19:36:52', '0.00', '2021-10-16 19:17:46', NULL, '4509', '2021-10-16 19:17:46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Pili 123\",\"contact_person_number\":\"+8801624343928\",\"address_type\":\"others\",\"address\":\"1no Dhaka 1215 Bangladesh\",\"longitude\":\"90.3934921\",\"latitude\":\"23.7561689\"}', 0, '60.00', '1136.72', NULL, '0.00', 0),
(100041, 17, '99.75', '0.00', '', 'unpaid', 'pending', '4.75', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-10-16 19:18:00', '2021-10-16 19:36:52', '0.00', '2021-10-16 19:18:00', NULL, '6242', '2021-10-16 19:18:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Pili 123\",\"contact_person_number\":\"+8801624343928\",\"address_type\":\"others\",\"address\":\"1no Dhaka 1215 Bangladesh\",\"longitude\":\"90.3934921\",\"latitude\":\"23.7561689\"}', 0, '0.00', '1136.72', NULL, '0.00', 0),
(100042, 7, '912.15', '0.00', '', 'unpaid', 'pending', '31.05', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 11, '2021-10-16 19:30:50', '2021-10-16 19:36:52', '622.38', '2021-10-16 19:30:50', NULL, '1666', '2021-10-16 19:30:50', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Md Aziz\",\"contact_person_number\":\"+8801975758279\",\"address_type\":\"others\",\"address\":\"Aainusbag Road Dhaka 1230 Bangladesh\",\"longitude\":\"90.4226173\",\"latitude\":\"23.8581271\"}', 0, '5.28', '622.38', NULL, '0.00', 0),
(100043, 19, '254.36', '0.00', '', 'unpaid', 'pending', '12.11', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-10-16 19:40:40', '2021-10-16 19:41:06', '0.00', '2021-10-16 19:40:40', NULL, '5743', '2021-10-16 19:40:40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Ali Mohamed\",\"contact_person_number\":\"+201015523902\",\"address_type\":\"others\",\"address\":\"21 D\\u00fcsseldorf 40217 Germany\",\"longitude\":\"6.7755862\",\"latitude\":\"51.2162275\"}', 0, '42.75', '14121.28', NULL, '0.00', 0),
(100044, 7, '835.32', '0.00', '', 'unpaid', 'pending', '22.81', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 11, '2021-10-16 19:40:55', '2021-10-16 19:41:06', '622.38', '2021-10-16 19:40:55', NULL, '8866', '2021-10-16 19:40:55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Md Aziz\",\"contact_person_number\":\"+8801975758279\",\"address_type\":\"others\",\"address\":\"Aainusbag Road Dhaka 1230 Bangladesh\",\"longitude\":\"90.4226194\",\"latitude\":\"23.8581261\"}', 0, '5.88', '622.38', NULL, '0.00', 0),
(100045, 7, '904.62', '0.00', '', 'paid', 'delivered', '30.24', 'ssl_commerz_payment', 'GRtems-178', NULL, 2, NULL, NULL, 'delivery', 1, 11, '2021-10-16 19:41:23', '2021-10-16 19:47:27', '622.38', '2021-10-16 19:41:23', NULL, '6577', '2021-10-16 19:41:23', '2021-10-16 19:45:57', '2021-10-16 19:41:39', '2021-10-16 19:46:14', '2021-10-16 19:46:32', '2021-10-16 19:47:11', '2021-10-16 19:47:27', NULL, NULL, NULL, '{\"contact_person_name\":\"Md Aziz\",\"contact_person_number\":\"+8801975758279\",\"address_type\":\"others\",\"address\":\"Aainusbag Road Dhaka 1230 Bangladesh\",\"longitude\":\"90.4226194\",\"latitude\":\"23.8581261\"}', 0, '0.00', '622.38', '2021-10-16 19:41:27', '0.00', 0),
(100046, 20, '357.00', '0.00', '', 'paid', 'delivered', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 2, '2021-10-16 19:42:58', '2021-10-16 19:44:33', '0.00', '2021-10-16 19:42:58', NULL, '2936', '2021-10-16 19:42:58', NULL, '2021-10-16 19:43:42', '2021-10-16 19:43:51', '2021-10-16 19:44:09', NULL, '2021-10-16 19:44:26', NULL, NULL, NULL, '{\"contact_person_name\":\"Dejan \\u0110usi\\u0107\",\"contact_person_number\":\"+38163627543\",\"address_type\":\"home\",\"address\":\"Bulevar Kraljice MArije 54E, Kragujevac, Serbia\",\"longitude\":\"20.922200000000004\",\"latitude\":\"44.0177\"}', 0, '60.00', '12143.00', NULL, '0.00', 1),
(100047, 20, '390.50', '0.00', '', 'unpaid', 'pending', '35.50', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'take_away', 1, 1, '2021-10-16 19:45:53', '2021-10-16 19:47:17', '0.00', '2021-10-16 19:45:53', NULL, '6309', '2021-10-16 19:45:53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Dejan \\u0110usi\\u0107\",\"contact_person_number\":\"+38163627543\",\"address_type\":\"home\",\"address\":\"Bulevar Kraljice MArije 54E, Kragujevac, Serbia\",\"longitude\":\"20.922200000000004\",\"latitude\":\"44.0177\"}', 0, '45.00', '11089.44', NULL, '0.00', 0),
(100048, 20, '855.75', '0.00', '', 'unpaid', 'pending', '40.75', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-10-16 19:46:45', '2021-10-16 19:47:05', '0.00', '2021-10-16 19:46:45', NULL, '9750', '2021-10-16 19:46:45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Dejan \\u0110usi\\u0107\",\"contact_person_number\":\"+38163627543\",\"address_type\":\"home\",\"address\":\"Bulevar Kraljice MArije 54E, Kragujevac, Serbia\",\"longitude\":\"20.922200000000004\",\"latitude\":\"44.0177\"}', 0, '100.00', '12143.00', NULL, '0.00', 0),
(100049, 21, '357.00', '0.00', '', 'unpaid', 'pending', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-10-17 10:11:01', '2021-10-17 10:33:50', '0.00', '2021-10-17 10:11:01', NULL, '6464', '2021-10-17 10:11:01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Qwa Qwa\",\"contact_person_number\":\"+919555856525\",\"address_type\":\"others\",\"address\":\"Proddatur Bypass Road Proddatur 516362 India\",\"longitude\":\"78.5634613\",\"latitude\":\"14.7406108\"}', 0, '60.00', '2687.13', NULL, '0.00', 0),
(100050, 22, '1028.16', '0.00', '', 'unpaid', 'pending', '20.16', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2021-10-17 10:38:44', '2021-10-17 10:40:16', '0.00', '2021-10-17 10:38:44', NULL, '3970', '2021-10-17 10:38:44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Zubair Jamil\",\"contact_person_number\":\"+923422643265\",\"address_type\":\"others\",\"address\":\"Plot F 7\\/7 Karachi 74600 Pakistan\",\"longitude\":\"67.0271801\",\"latitude\":\"24.9114894\"}', 0, '112.00', '1442.25', NULL, '0.00', 0),
(100051, 22, '211.14', '0.00', '', 'unpaid', 'pending', '4.14', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2021-10-17 10:53:52', '2021-10-17 11:00:31', '0.00', '2021-10-17 10:53:52', NULL, '6411', '2021-10-17 10:53:52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Zubair Jamil\",\"contact_person_number\":\"+923422643265\",\"address_type\":\"others\",\"address\":\"Block 3 Karachi 74600 Pakistan\",\"longitude\":\"67.02857997268438\",\"latitude\":\"24.913056527710786\"}', 0, '23.00', '1441.93', NULL, '0.00', 0),
(100052, 22, '1266.84', '0.00', '', 'unpaid', 'confirmed', '24.84', 'cash_on_delivery', NULL, NULL, 7, NULL, NULL, 'delivery', 1, 4, '2021-10-17 10:55:41', '2021-11-15 11:03:32', '0.00', '2021-10-17 10:55:41', NULL, '4102', '2021-10-17 10:55:41', '2021-11-15 11:03:26', '2021-11-15 11:03:32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Zubair Jamil\",\"contact_person_number\":\"+923422643265\",\"address_type\":\"others\",\"address\":\"Plot F 7\\/7 Karachi 74600 Pakistan\",\"longitude\":\"67.0271801\",\"latitude\":\"24.9114894\"}', 0, '138.00', '1442.25', NULL, '0.00', 0),
(100053, 22, '99.75', '0.00', '', 'unpaid', 'accepted', '4.75', 'cash_on_delivery', NULL, NULL, 3, NULL, NULL, 'delivery', 1, 2, '2021-10-17 10:56:37', '2021-10-17 11:01:18', '0.00', '2021-10-17 10:56:37', NULL, '6927', '2021-10-17 10:56:37', '2021-10-17 11:01:18', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Zubair Jamil\",\"contact_person_number\":\"+923422643265\",\"address_type\":\"others\",\"address\":\"Plot F 7\\/7 Karachi 74600 Pakistan\",\"longitude\":\"67.0271801\",\"latitude\":\"24.9114894\"}', 0, '0.00', '3624.55', NULL, '0.00', 0),
(100054, 16, '4704.99', '0.00', '', 'unpaid', 'pending', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 1, '2021-11-15 11:15:20', '2021-12-05 13:47:08', '4517.99', '2021-11-15 11:15:20', NULL, '1747', '2021-11-15 11:15:20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Pili 123\",\"contact_person_number\":\"+8801624343926\",\"address_type\":\"others\",\"address\":\"1no Dhaka 1215 Bangladesh\",\"longitude\":\"90.3935375\",\"latitude\":\"23.7562575\"}', 0, '0.00', '4517.99', NULL, '0.00', 0),
(100055, 25, '211.14', '0.00', '', 'unpaid', 'pending', '4.14', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2021-11-15 11:15:28', '2021-12-05 13:47:08', '0.00', '2021-11-15 11:15:28', NULL, '4701', '2021-11-15 11:15:28', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"king ratana\",\"contact_person_number\":\"+85592444160\",\"address_type\":\"others\",\"address\":\"Lvea Em   Cambodia\",\"longitude\":\"105.1378888\",\"latitude\":\"11.5274311\"}', 0, '23.00', '10482.80', NULL, '0.00', 0),
(100056, 16, '81.60', '0.00', '', 'unpaid', 'confirmed', '1.60', 'cash_on_delivery', NULL, NULL, 7, NULL, NULL, 'delivery', 1, 4, '2021-11-15 11:15:42', '2021-12-05 13:47:08', '0.00', '2021-11-15 11:15:42', NULL, '3981', '2021-11-15 11:15:42', '2021-11-15 11:16:28', '2021-11-15 11:16:34', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Pili 123\",\"contact_person_number\":\"+8801624343926\",\"address_type\":\"others\",\"address\":\"1no Dhaka 1215 Bangladesh\",\"longitude\":\"90.3935375\",\"latitude\":\"23.7562575\"}', 0, '0.00', '4384.81', NULL, '0.00', 0),
(100057, NULL, '84.79', '0.00', NULL, 'paid', 'delivered', '4.04', 'cash', NULL, NULL, NULL, NULL, NULL, 'pos', 1, 2, '2021-11-15 11:20:39', '2021-11-15 11:20:39', '0.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '14.25', '0.00', NULL, '0.00', 0),
(100058, NULL, '371.70', '0.00', NULL, 'paid', 'delivered', '17.70', 'cash', NULL, NULL, NULL, NULL, NULL, 'pos', 1, 2, '2021-11-15 11:21:01', '2021-11-15 11:21:01', '0.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '60.00', '0.00', NULL, '0.00', 0),
(100059, 25, '9482.62', '0.00', '', 'unpaid', 'pending', '12.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 14, '2021-11-15 11:22:32', '2021-12-05 13:47:08', '9070.62', '2021-11-15 11:22:32', NULL, '2336', '2021-11-15 11:22:32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"king ratana\",\"contact_person_number\":\"+85592444160\",\"address_type\":\"others\",\"address\":\"Lvea Em   Cambodia\",\"longitude\":\"105.1378888\",\"latitude\":\"11.5274311\"}', 0, '50.00', '9070.62', NULL, '0.00', 0),
(100060, 26, '357.00', '0.00', '', 'unpaid', 'pending', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2021-12-05 13:46:42', '2021-12-05 13:47:09', '0.00', '2021-12-05 13:46:42', NULL, '1346', '2021-12-05 13:47:09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Chinna Chinna\",\"contact_person_number\":\"+918143143790\",\"address_type\":\"others\",\"address\":\"Toll Gate Yanam 533464 India\",\"longitude\":\"82.202799\",\"latitude\":\"16.7304767\"}', 0, '60.00', '1970.79', NULL, '0.00', 0),
(100061, NULL, '459.64', '0.00', NULL, 'paid', 'delivered', '21.89', 'cash', NULL, NULL, NULL, NULL, NULL, 'pos', 1, 2, '2022-01-11 07:31:20', '2022-01-11 07:31:20', '0.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '77.25', '0.00', NULL, '0.00', 0),
(100062, 29, '357.00', '0.00', '', 'unpaid', 'canceled', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2022-01-11 07:54:12', '2022-01-11 08:27:27', '0.00', '2022-01-11 07:54:12', NULL, '7234', '2022-01-11 07:54:12', NULL, NULL, NULL, NULL, NULL, NULL, '2022-01-11 07:55:17', NULL, NULL, '{\"contact_person_name\":\"Vijay Vijay\",\"contact_person_number\":\"+917002346789\",\"address_type\":\"others\",\"address\":\"C85M+FC Nandipulam, Kerala, India\",\"longitude\":\"76.3335874\",\"latitude\":\"10.4087315\"}', 0, '60.00', '5107.75', NULL, '0.00', 0),
(100063, 32, '357.00', '0.00', '', 'unpaid', 'canceled', '17.00', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2022-01-11 07:59:27', '2022-01-11 08:27:27', '0.00', '2022-01-11 07:59:27', NULL, '7682', '2022-01-11 07:59:27', NULL, NULL, NULL, NULL, NULL, NULL, '2022-01-11 08:00:08', NULL, NULL, '{\"contact_person_name\":\"V H\",\"contact_person_number\":\"+916437025100\",\"address_type\":\"others\",\"address\":\"C85M+FC Nandipulam, Kerala, India\",\"longitude\":\"76.3335863\",\"latitude\":\"10.4087318\"}', 0, '60.00', '5107.75', NULL, '0.00', 0),
(100064, 29, '81.60', '0.00', '', 'unpaid', 'canceled', '1.60', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2022-01-11 08:02:47', '2022-01-11 08:27:27', '0.00', '2022-01-11 08:02:47', NULL, '3013', '2022-01-11 08:02:47', NULL, NULL, NULL, NULL, NULL, NULL, '2022-01-11 08:03:38', NULL, NULL, '{\"contact_person_name\":\"Vijay Vijay\",\"contact_person_number\":\"+917002346789\",\"address_type\":\"others\",\"address\":\"C85M+FC Nandipulam, Kerala, India\",\"longitude\":\"76.3335866\",\"latitude\":\"10.4087306\"}', 0, '0.00', '4732.05', NULL, '0.00', 0),
(100065, 27, '312.50', '0.00', '', 'unpaid', 'failed', '62.50', 'paypal', 'PAYID-MHOS3LQ6F44172466415934R', NULL, NULL, NULL, NULL, 'delivery', 1, 13, '2022-01-11 08:11:15', '2022-01-11 08:27:27', '0.00', '2022-01-12 02:01:00', NULL, '2009', '2022-01-11 08:11:15', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"V V\",\"contact_person_number\":\"+911234567890\",\"address_type\":\"others\",\"address\":\"C85M+GC Nandipulam, Kerala, India\",\"longitude\":\"76.3335466\",\"latitude\":\"10.408774\"}', 1, '40.00', '11529.13', '2022-01-11 08:11:42', '0.00', 0),
(100066, 5, '99.75', '0.00', '', 'paid', 'delivered', '4.75', 'cash_on_delivery', NULL, NULL, 1, NULL, NULL, 'delivery', 1, 2, '2022-01-11 08:38:32', '2022-01-11 08:40:42', '0.00', '2022-01-11 08:38:32', NULL, '2322', '2022-01-11 08:38:32', '2022-01-11 08:39:02', '2022-01-11 08:39:41', '2022-01-11 08:40:02', '2022-01-11 08:40:15', '2022-01-11 08:40:27', '2022-01-11 08:40:42', NULL, NULL, NULL, '{\"contact_person_name\":\"Ashek Elahe\",\"contact_person_number\":\"+8801879762951\",\"address_type\":\"others\",\"address\":\"667 Rd Number 10, Dhaka 1216, Bangladesh\",\"longitude\":\"90.37015919999999\",\"latitude\":\"23.837583999999993\"}', 0, '0.00', '1341.16', NULL, '0.00', 0),
(100067, 5, '99.75', '0.00', '', 'paid', 'delivered', '4.75', 'cash_on_delivery', NULL, NULL, 9, NULL, NULL, 'delivery', 1, 2, '2022-01-11 08:42:04', '2022-01-11 08:45:07', '0.00', '2022-01-11 08:42:04', NULL, '2023', '2022-01-11 08:42:04', '2022-01-11 08:44:31', '2022-01-11 08:44:22', '2022-01-11 08:44:41', '2022-01-11 08:44:50', NULL, '2022-01-11 08:45:07', NULL, NULL, NULL, '{\"contact_person_name\":\"Ashek Elahe\",\"contact_person_number\":\"+8801879762951\",\"address_type\":\"others\",\"address\":\"667 Rd Number 10, Dhaka 1216, Bangladesh\",\"longitude\":\"90.37015919999999\",\"latitude\":\"23.837583999999993\"}', 0, '0.00', '1341.16', NULL, '0.00', 0),
(100068, 5, '99.75', '0.00', '', 'paid', 'confirmed', '4.75', 'ssl_commerz_payment', 'V21NHp-273', NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2022-01-11 08:53:48', '2022-01-11 08:54:22', '0.00', '2022-01-11 08:53:48', 'https://stackfood.6amtech.com/order-successful?id=100068', '3601', '2022-01-11 08:53:48', NULL, '2022-01-11 08:54:22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Ashek Elahe\",\"contact_person_number\":\"+8801879762951\",\"address_type\":\"others\",\"address\":\"Q972+VPF, Dhaka, Bangladesh\",\"longitude\":\"90.3514959774026\",\"latitude\":\"23.76469684059319\"}', 0, '0.00', '1329.69', '2022-01-11 08:53:56', '0.00', 0),
(100069, 37, '99.75', '0.00', '', 'unpaid', 'pending', '4.75', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2022-01-11 09:17:39', '2022-01-11 09:18:27', '0.00', '2022-01-11 09:17:39', NULL, '7818', '2022-01-11 09:17:39', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Asdfghj Asdfghj\",\"contact_person_number\":\"+919876543210\",\"address_type\":\"home\",\"address\":\"new colony deoria near gurudwara park\",\"longitude\":\"83.9127155765891\",\"latitude\":\"26.5276801931362\"}', 0, '0.00', '443.76', NULL, '0.00', 0),
(100070, 38, '99.75', '0.00', '', 'unpaid', 'pending', '4.75', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 2, '2022-01-11 09:23:22', '2022-01-11 09:23:32', '0.00', '2022-01-11 09:23:22', NULL, '1529', '2022-01-11 09:23:22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Fatema Subarna\",\"contact_person_number\":\"+8801885576624\",\"address_type\":\"others\",\"address\":\"667 Rd Number 10, Dhaka 1216, Bangladesh\",\"longitude\":\"90.3700308\",\"latitude\":\"23.8376226\"}', 0, '0.00', '1341.13', NULL, '0.00', 0),
(100071, 40, '1967.10', '0.00', '', 'paid', 'delivered', '14.40', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 11, '2022-01-20 13:04:58', '2022-01-20 13:07:04', '1832.70', '2022-01-20 13:04:57', NULL, '8306', '2022-01-20 13:04:58', NULL, '2022-01-20 13:06:44', NULL, NULL, NULL, '2022-01-20 13:07:04', NULL, NULL, NULL, '{\"contact_person_name\":\"hahaS ASJBHDS\",\"contact_person_number\":\"+919029765478\",\"address_type\":\"others\",\"address\":\"5\\/789 Lucknow 226010 India\",\"longitude\":\"80.9979496\",\"latitude\":\"26.8472189\"}', 0, '0.00', '1832.70', NULL, '0.00', 0),
(100072, 38, '3718.45', '0.00', '', 'paid', 'delivered', '27.50', 'cash_on_delivery', NULL, NULL, 5, NULL, NULL, 'delivery', 1, 10, '2022-01-20 13:14:32', '2022-01-20 13:22:27', '3415.95', '2022-01-20 13:14:32', NULL, '8865', '2022-01-20 13:14:32', '2022-01-20 13:15:22', '2022-01-20 13:19:16', '2022-01-20 13:21:17', '2022-01-20 13:21:29', '2022-01-20 13:21:59', '2022-01-20 13:22:27', NULL, NULL, NULL, '{\"contact_person_name\":\"Fatema Subarna\",\"contact_person_number\":\"+8801885576624\",\"address_type\":\"others\",\"address\":\"Q972+VPF, Dhaka, Bangladesh\",\"longitude\":\"90.35110973930446\",\"latitude\":\"23.76469684059319\"}', 0, '15.00', '3415.95', NULL, '0.00', 0),
(100073, 43, '238.68', '0.00', '', 'unpaid', 'pending', '4.68', 'cash_on_delivery', NULL, NULL, NULL, NULL, NULL, 'delivery', 1, 4, '2022-01-20 13:19:09', '2022-01-20 13:19:27', '0.00', '2022-01-20 13:19:09', NULL, '2630', '2022-01-20 13:19:09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{\"contact_person_name\":\"Leo Leonardo\",\"contact_person_number\":\"+40725042424\",\"address_type\":\"others\",\"address\":\"\\u0218oseaua Gheorghe Ionescu Sise\\u0219ti nr 236, Bucure\\u0219ti, Romania\",\"longitude\":\"26.0301256\",\"latitude\":\"44.5062866\"}', 0, '26.00', '12402.43', NULL, '0.00', 0);

-- --------------------------------------------------------

--
-- Table structure for table `order_status`
--

DROP TABLE IF EXISTS `order_status`;
CREATE TABLE IF NOT EXISTS `order_status` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `order_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `order_status_order_id_foreign` (`order_id`),
  KEY `order_status_status_id_foreign` (`status_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `order_status`
--

INSERT INTO `order_status` (`id`, `order_id`, `status_id`, `updated_at`, `created_at`) VALUES
(1, '100002', '1', '2023-03-01 20:19:16', '2023-03-01 20:19:41'),
(2, '100002', '1', '2023-03-01 15:42:17', '2023-03-01 15:42:17'),
(3, '100002', '1', '2023-03-01 15:45:25', '2023-03-01 15:45:25');

-- --------------------------------------------------------

--
-- Table structure for table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
CREATE TABLE IF NOT EXISTS `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
CREATE TABLE IF NOT EXISTS `personal_access_tokens` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `restaurants`
--

DROP TABLE IF EXISTS `restaurants`;
CREATE TABLE IF NOT EXISTS `restaurants` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `restaurant_email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `latitude` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `longitude` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `footer_text` text COLLATE utf8mb4_unicode_ci,
  `minimum_order` decimal(24,2) NOT NULL DEFAULT '0.00',
  `comission` decimal(24,2) DEFAULT NULL,
  `schedule_order` tinyint(1) NOT NULL DEFAULT '0',
  `opening_time` time DEFAULT '10:00:00',
  `closeing_time` time DEFAULT '23:00:00',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `vendor_id` bigint(20) UNSIGNED DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `free_delivery` tinyint(1) NOT NULL DEFAULT '0',
  `rating` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cover_photo` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delivery` tinyint(1) NOT NULL DEFAULT '1',
  `take_away` tinyint(1) NOT NULL DEFAULT '1',
  `food_section` tinyint(1) NOT NULL DEFAULT '1',
  `tax` decimal(24,2) NOT NULL DEFAULT '0.00',
  `zone_id` bigint(20) UNSIGNED DEFAULT NULL,
  `reviews_section` tinyint(1) NOT NULL DEFAULT '1',
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `off_day` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT ' ',
  `gst` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `self_delivery_system` tinyint(1) NOT NULL DEFAULT '0',
  `pos_system` tinyint(1) NOT NULL DEFAULT '0',
  `delivery_charge` decimal(24,2) NOT NULL DEFAULT '0.00',
  `delivery_time` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT '30-40',
  `veg` tinyint(1) NOT NULL DEFAULT '1',
  `non_veg` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `restaurants_phone_unique` (`phone`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `restaurants`
--

INSERT INTO `restaurants` (`id`, `name`, `phone`, `restaurant_email`, `logo`, `latitude`, `longitude`, `address`, `footer_text`, `minimum_order`, `comission`, `schedule_order`, `opening_time`, `closeing_time`, `status`, `vendor_id`, `created_at`, `updated_at`, `free_delivery`, `rating`, `cover_photo`, `delivery`, `take_away`, `food_section`, `tax`, `zone_id`, `reviews_section`, `active`, `off_day`, `gst`, `self_delivery_system`, `pos_system`, `delivery_charge`, `delivery_time`, `veg`, `non_veg`) VALUES
(3, 'Cheesy Restaurant', '+8801747413273', 'nipon34.bd@gmail.com', '2021-08-20-611fc7b17088c.png', '23.62608237589538', '90.34303799676506', '101/4 Mohammadpur, Dhaka', NULL, '0.00', '0.00', 0, '10:00:00', '23:00:00', 1, 3, '2021-08-20 16:18:09', '2021-08-20 20:44:48', 1, NULL, '2021-08-20-611fc7b17153c.png', 1, 1, 1, '15.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(4, 'Cheese Burger', '+88525695888', 'test.restaurant1@gmail.com', '2021-08-20-611fc9b200e8c.png', '25.506848691070893', '74.1576624261471', 'House:00, Road:00, Test City', NULL, '0.00', NULL, 1, '00:01:00', '23:58:00', 1, 4, '2021-08-20 16:26:42', '2021-08-21 21:42:39', 1, '{\"1\":0,\"2\":0,\"3\":0,\"4\":0,\"5\":1}', '2021-08-20-611fc9b201ad6.png', 1, 1, 1, '2.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(5, 'Frying Nemo', '+6024588888', 'test.restaurant2@gmail.com', '2021-08-20-611fca3b81ea9.png', '30.319874842864174', '67.4779749261471', 'House: 15, Road: 5, Aukland', NULL, '0.00', NULL, 0, '00:01:00', '23:59:00', 1, 5, '2021-08-20 16:28:59', '2021-08-20 21:20:59', 1, NULL, '2021-08-20-611fca3b82b4e.png', 1, 0, 1, '5.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(6, 'The Great Impasta', '+8565222222', 'test.restaurant3@gmail.com', '2021-08-20-611fcae713d25.png', '16.23811767032843', '102.01555732360804', 'House:00, Road: 00, Street: 00, City Test', NULL, '0.00', NULL, 0, '10:00:00', '23:00:00', 1, 6, '2021-08-20 16:31:51', '2021-08-20 20:43:21', 0, NULL, '2021-08-20-611fcae7149c7.png', 0, 1, 1, '0.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(7, 'Vintage Kitchen', '+12562458744', 'test.restaurant4@gmail.com', '2021-08-21-612008a117429.png', '34.037046130269005', '71.57724860778772', 'House: 00, Road: 00, Streed:00, Test City', NULL, '50.00', '20.00', 0, '00:01:00', '14:00:00', 1, 7, '2021-08-20 20:55:13', '2021-08-22 04:25:14', 0, '{\"1\":0,\"2\":0,\"3\":0,\"4\":0,\"5\":1}', '2021-08-21-612008a11803f.png', 1, 1, 1, '10.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(8, 'The Capital Grill', '+12584555555', 'test.restaurant5@gmail.com', '2021-08-21-612009adefa47.png', '28.55772186629488', '83.20696357360804', 'House: 00, Road: 00, Streed:00, Test City', NULL, '0.00', NULL, 1, '10:00:00', '23:00:00', 1, 8, '2021-08-20 20:59:41', '2021-08-20 21:00:08', 1, NULL, '2021-08-21-612009adf0b9b.png', 1, 1, 1, '15.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(9, 'Tasty Takeaways', '+880100000000', 'test.restaurant6@gmail.com', '2021-08-21-61200a8ff04a6.png', '23.04107198840827', '90.98442557922327', 'House: 00, Road: 00, Streed:00, Test City', NULL, '50.00', NULL, 1, '00:01:00', '23:59:00', 1, 9, '2021-08-20 21:03:27', '2021-08-20 21:30:54', 0, NULL, '2021-08-21-61200a8ff10bc.png', 0, 1, 1, '0.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(10, 'Tasty Lunch', '+91025888888', 'test.restaurant7@gmail.com', '2021-08-21-61200b96cd8f4.png', '29.63289473286146', '76.61516669860804', 'House: 00, Road: 00, Streed:00, Test City', NULL, '0.00', '25.00', 1, '17:00:00', '23:00:00', 1, 10, '2021-08-20 21:07:50', '2021-08-20 21:08:47', 0, NULL, '2021-08-21-61200b96ce580.png', 1, 0, 1, '10.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(11, 'Redcliff Cafe', '+91025558884', 'test.restaurant8@gmail.com', '2021-08-21-61200c725db85.png', '22.412810929663856', '87.82036307922327', 'House: 00, Road: 00, Streed:00, Test City', NULL, '100.00', NULL, 0, '00:01:00', '23:59:00', 1, 11, '2021-08-20 21:11:30', '2021-08-20 21:12:18', 0, NULL, '2021-08-21-61200c725e7b0.png', 1, 1, 1, '12.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(12, 'Mini Kebab', '+02541255888', 'test.restaurant10@gmail.com', '2021-08-21-61200e081c2b7.png', '7.280452008158948', '80.63957083753274', 'House: 00, Road: 00, Streed:00, Test City', NULL, '0.00', NULL, 0, '02:00:00', '13:00:00', 1, 12, '2021-08-20 21:18:16', '2021-08-20 21:20:03', 0, NULL, '2021-08-21-61200e081d0e1.png', 1, 1, 1, '7.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(13, 'Pizza restaurant', '+212588888', 'test.restaurant13@gmail.com', '2021-08-21-61200ff9e3cb0.png', '15.672099947435255', '101.45834449401819', 'House: 00, Road: 00, Streed:00, Test City', NULL, '0.00', NULL, 1, '01:00:00', '10:00:00', 1, 13, '2021-08-20 21:26:33', '2021-08-20 21:27:05', 1, NULL, '2021-08-21-61200ff9e48c2.png', 1, 1, 1, '25.00', 1, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(14, 'Italian Fast Food', '+91021100000', 'test.restaurant12@gmail.com', '2021-08-21-6120109c340e7.png', '23.43469934021078', '81.33096221557581', 'House: 00, Road: 00, Streed:00, Test City', NULL, '200.00', NULL, 0, '00:01:00', '23:59:00', 1, 14, '2021-08-20 21:29:16', '2021-11-15 11:22:45', 0, NULL, '2021-08-21-6120109c34cd8.png', 1, 1, 1, '3.00', 1, 1, 0, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(15, 'Food Fair', '01712251697', 'marjahan@gmail.com', '2021-10-17-616b19f5dc1e1.png', '23.753632919207067', '90.38490810465919', 'road 12, Tejgaon', NULL, '0.00', NULL, 0, '10:00:00', '01:10:00', 1, 15, '2021-10-16 19:29:09', '2022-01-20 13:16:35', 0, NULL, '2021-10-17-616b19f5dd002.png', 1, 1, 1, '10.00', 3, 1, 1, '', '{\"status\":\"0\",\"code\":null}', 0, 0, '0.00', '30-40', 1, 1),
(16, 'Agent Payment', '345456', 'support@huzatech.com', NULL, NULL, NULL, NULL, NULL, '3.00', NULL, 3, NULL, NULL, 1, 1, '2023-02-23 10:04:40', '2023-02-23 10:04:40', 44, NULL, NULL, 4, 4, 4, '4.00', NULL, 3, 1, '3', NULL, 4, 0, '4.00', '3', 3, 3),
(17, 'Agent Payment', '233456', 'jan@gmail.com', 'face1.png', '34545', '345', '3345', NULL, '4.00', '4.00', 4, '01:12:00', '02:10:00', 1, 1, '2023-02-23 10:11:16', '2023-02-23 10:11:16', 4, '4', 'f2.jpg', 4, 4, 4, '3.00', NULL, 4, 1, '4', '4', 4, 0, '4.00', '03:11', 4, 4),
(19, 'khan', '345345', 'res@gmail.com', NULL, '34545', '345', '3345', NULL, '1.00', '1.00', 2, '23:59:00', '11:59:00', 1, 1, NULL, NULL, 2, '1', NULL, 1, 1, 2, '9.00', NULL, 1, 1, '1', NULL, 2, 0, '1.00', '14:59', 8, 1),
(20, 'khan', '35345345', 'res1@gmail.com', 'CIT-Skill.jpeg', NULL, NULL, 'address', NULL, '0.00', NULL, 0, '22:51:00', '22:51:00', 1, 1, NULL, NULL, 0, NULL, NULL, 1, 1, 1, '0.00', NULL, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1),
(21, 'khan', '03345469946', 'res@gmail.com', 'New Doc 03-03-2023 14.46.pdf', NULL, NULL, '3345', NULL, '0.00', NULL, 0, '00:08:00', '01:07:00', 1, 1, NULL, NULL, 0, NULL, NULL, 1, 1, 1, '0.00', NULL, 1, 1, ' ', NULL, 0, 0, '0.00', '30-40', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `statuses`
--

DROP TABLE IF EXISTS `statuses`;
CREATE TABLE IF NOT EXISTS `statuses` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` varchar(50) NOT NULL,
  `priority` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `statuses`
--

INSERT INTO `statuses` (`id`, `status`, `priority`) VALUES
(1, 'pending', 1),
(2, 'confirm by restaurant', 2),
(3, 'pickup by rider', 3);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `restaurant_id` int(10) UNSIGNED NOT NULL,
  `user_type_id` int(10) UNSIGNED NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `email_verified_at`, `password`, `status`, `restaurant_id`, `user_type_id`, `remember_token`, `created_at`, `updated_at`) VALUES
(1, 'khan', 'user@gmail.com', NULL, '$2y$10$9cDCn261CgrBwSVR4ajOu.MN4iRS2wefZBgqhIPdh3CYKL5RwBfWm', 1, 1, 2, NULL, NULL, NULL),
(2, 'admin', 'admin@gmail.com', NULL, '$2y$10$9cDCn261CgrBwSVR4ajOu.MN4iRS2wefZBgqhIPdh3CYKL5RwBfWm', 1, 2, 1, NULL, NULL, NULL),
(3, 'khan', 'support@huzatech.com', NULL, '$2y$10$sEsEfeX/VLgRzn3pk3ThCecSJyjKe2SWO1ulzHwNwA0uFkgEZdfES', 1, 1, 1, NULL, '2023-03-03 14:05:17', '2023-03-03 14:05:17'),
(4, 'khan', 'demo@huzatech.com', NULL, '$2y$10$gzZLvcaI.qeuXmRqE.IEKOkcVUpnOEZehLqvh6ZoUESOO3Mp9zNOm', 1, 21, 1, NULL, '2023-03-03 14:08:07', '2023-03-03 14:08:07');

-- --------------------------------------------------------

--
-- Table structure for table `user_types`
--

DROP TABLE IF EXISTS `user_types`;
CREATE TABLE IF NOT EXISTS `user_types` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `default_type` tinyint(4) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `user_types`
--

INSERT INTO `user_types` (`id`, `name`, `alias_name`, `default_type`, `status`, `created_at`, `updated_at`) VALUES
(1, 'admin', 'Admin', 0, 1, NULL, NULL),
(2, 'restaurant', 'Restaurant Owner', 0, 1, NULL, NULL),
(3, 'delivery_men', 'Delivery Man', 0, 1, NULL, NULL),
(4, 'customer', 'Customer', 1, 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `zones`
--

DROP TABLE IF EXISTS `zones`;
CREATE TABLE IF NOT EXISTS `zones` (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `coordinates` polygon DEFAULT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `restaurant_wise_topic` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_wise_topic` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deliveryman_wise_topic` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `zones`
--

INSERT INTO `zones` (`id`, `name`, `coordinates`, `status`, `created_at`, `updated_at`, `restaurant_wise_topic`, `customer_wise_topic`, `deliveryman_wise_topic`) VALUES
(1, 'Agent Payment', NULL, 1, NULL, '2023-03-03 14:25:45', 'zone_1_resturant', 'zone_1_customer', 'zone_1_delivery_man');
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
