// Give the service worker access to Firebase Messaging.
// Note that you can only use Firebase Messaging here. Other Firebase libraries
// are not available in the service worker.importScripts('https://www.gstatic.com/firebasejs/7.23.0/firebase-app.js');
importScripts('https://www.gstatic.com/firebasejs/8.3.2/firebase-app.js');
importScripts('https://www.gstatic.com/firebasejs/8.3.2/firebase-messaging.js');
/*
Initialize the Firebase app in the service worker by passing in the messagingSenderId.
*/
firebase.initializeApp({
    apiKey: 'AIzaSyAez2CsOLuM9lOk8SWjrmHvEVtybdCCgtU',
    authDomain: 'testfood-cebf1.firebaseapp.com',
    databaseURL: 'https://testfood-cebf1.firebaseio.com',
    projectId: 'testfood-cebf1',
    storageBucket: 'testfood-cebf1.appspot.com',
    messagingSenderId: 'sender-id',
    appId: '1:395946833711:web:552deb9ddc1b0e28d3d3da',
    measurementId: 'G-40YQBN05KP',
});

// Retrieve an instance of Firebase Messaging so that it can handle background
// messages.
const messaging = firebase.messaging();
messaging.setBackgroundMessageHandler(function (payload) {
    console.log("Message received.", payload);
    const title = "Hello world is awesome";
    const options = {
        body: "Your notificaiton message .",
        icon: "/firebase-logo.png",
    };
    return self.registration.showNotification(
        title,
        options,
    );
});
