@if (Auth::user()->userType->name == 'restaurant')
    <div class="topnav">
        <div class="container-fluid">
            <nav class="navbar navbar-dark navbar-expand-lg topnav-menu">

                <div class="collapse navbar-collapse" id="topnav-menu-content">
                    <ul class="navbar-nav">

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="{{ url('/dashboard') }}"
                                id="topnav-dashboards">
                                <i class="uil-dashboard me-1"></i> Resturant Dashboard
                            </a>
                            <!-- <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                            <a href="dashboard-analytics.html" class="dropdown-item">Analytics</a>
                            <a href="dashboard-crm.html" class="dropdown-item">CRM</a>
                            <a href="index.html" class="dropdown-item">Ecommerce</a>
                            <a href="dashboard-projects.html" class="dropdown-item">Projects</a>
                        </div> -->
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Orders <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="#" class="dropdown-item">Pending</a>
                                <a href="#" class="dropdown-item">Accepted</a>
                                <a href="#" class="dropdown-item">Completed</a>
                                <a href="{{ route('show_order') }}" class="dropdown-item">Orders</a>
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Item <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('foods.create') }}" class="dropdown-item">Add Item</a>
                                <a href="{{ route('foods.index') }}" class="dropdown-item"> List Item</a>
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Setting <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('timings.index') }}" class="dropdown-item">Timings</a>
                                <a href="{{ route('holidays.index') }}" class="dropdown-item">Holidays</a>
                                {{-- <a href="index.html" class="dropdown-item">Ecommerce</a>
                            <a href="dashboard-projects.html" class="dropdown-item">Projects</a> --}}
                            </div>
                        </li>


                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Reports <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="#" class="dropdown-item">Order</a>
                                <a href="#" class="dropdown-item">User</a>
                            </div>
                        </li>


                    </ul>
                </div>
            </nav>
        </div>
    </div>
@elseif(Auth::user()->userType->name == 'admin')
    <div class="topnav">
        <div class="container-fluid">
            <nav class="navbar navbar-dark navbar-expand-lg topnav-menu">

                <div class="collapse navbar-collapse" id="topnav-menu-content">
                    <ul class="navbar-nav">

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="{{ url('/dashboard') }}"
                                id="topnav-dashboards">
                                <i class="uil-dashboard me-1"></i>Dashboards
                            </a>
                            <!-- <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                            <a href="dashboard-analytics.html" class="dropdown-item">Analytics</a>
                            <a href="dashboard-crm.html" class="dropdown-item">CRM</a>
                            <a href="index.html" class="dropdown-item">Ecommerce</a>
                            <a href="dashboard-projects.html" class="dropdown-item">Projects</a>
                        </div> -->
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Orders <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('get_all_order_assigned_to_driver') }}" class="dropdown-item">Pending (assigned Rider)</a>
                                <a href="{{ route('get_all_order_not_assigned_to_driver') }}" class="dropdown-item">Pending (Not-Assign Rider) </a>
                                
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Delivery Man <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                            <a href="{{ route('deliverymans.index') }}" class="dropdown-item">All List</a>
                                <a href="{{ route('deliverymans.create') }}" class="dropdown-item">Add</a>
                            <a href="{{ route('deliverymans.unverified') }}" class="dropdown-item">Un-Verified List</a>    
                            <a href="{{ route('deliverymans.disabled') }}" class="dropdown-item">Disabled List</a>    
                                
                                {{-- <a href="index.html" class="dropdown-item">Ecommerce</a>
                            <a href="dashboard-projects.html" class="dropdown-item">Projects</a> --}}
                            </div>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Restaurants <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('restuarants.index') }}" class="dropdown-item">List</a>
                                <a href="{{ route('restuarants.create') }}" class="dropdown-item">Add</a>
                                <a href="{{ route('backend.feature_restaurent') }}" class="dropdown-item">Featured
                                    Restaurant</a>

                            </div>

                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Payments <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('receipt.index') }}" class="dropdown-item">List</a>
                                <a href="{{ route('receipt.create') }}" class="dropdown-item">Add</a>
                                

                            </div>

                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-user me-1"></i>Users <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('customers.index') }}" class="dropdown-item">List</a>
                                <a href="{{ route('customers.create') }}" class="dropdown-item">Add</a>

                            </div>

                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-layouts"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-window me-1"></i>Setting <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-layouts">
                                <a href="{{ route('backend.foodcat.list') }}" class="dropdown-item">Food Category</a>
                                <!-- <a href="layouts-horizontal.html" class="dropdown-item">Currency</a> -->
                                <!-- <a href=" route('backend.orderstatus.list') " class="dropdown-item">Order
                                    Statuses </a> -->
                                <a href="{{ route('backend.zone.list') }}" class="dropdown-item">Zones</a>
                                <a href="{{ route('backend.business.list') }}" class="dropdown-item">Business
                                    Setting</a>
                                <!-- <a href="#" class="dropdown-item">User Types </a> -->
                                <a href="{{ route('coupons.index') }}" class="dropdown-item">Coupons</a>
                                <a href="{{ route('backend.settings.list') }}" class="dropdown-item">Slider
                                    Images</a>

                            </div>

                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle arrow-none" href="#" id="topnav-dashboards"
                                role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="uil-dashboard me-1"></i>Reports <div class="arrow-down"></div>
                            </a>
                            <div class="dropdown-menu" aria-labelledby="topnav-dashboards">
                                <a href="{{ route('backend.allResturant') }}" class="dropdown-item">Resturent Report</a>
                                <a href="{{ route('backend.allRiderOrder') }}" class="dropdown-item">Rider Report</a>
                                <a href="{{ route('backend.allOrderDetail') }}" class="dropdown-item">Order Report</a>

                                <a href="{{ route('backend.profit_and_loss_form') }}" class="dropdown-item">Profit & Loss Report</a>
                                <a href="{{ route('backend.ledger_form') }}" class="dropdown-item">Ledger Report</a>
                                
                             
                                <a href="{{ route('backend.uaser.reports') }}" class="dropdown-item">User</a>
                                <a href="{{ route('backend.feedbacks') }}" class="dropdown-item">Feedback</a>
                                <a href="{{ route('backend.reviews') }}" class="dropdown-item">Reviews</a>
                            </div>
                        </li>


                    </ul>
                </div>
            </nav>
        </div>
    </div>
@else
@endif
