@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-sm-4">
                                                <!-- <a href="{{route('backend.business.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Business Setting</a> -->
                                            </div>
                                            <div class="col-sm-8">
                                                
                                            </div><!-- end col-->
                                        </div>
                                        <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-lg-3">
                                                
                                            <div id="external-events" class="m-t-20">
                                                @foreach ($list as  $item)
                                                    <div class="d-grid">
                                                    <a href="{{route('backend.business.edit',$item->id)}}" class="btn btn-lg font-16  btn-primary mt-2" ><i class="mdi mdi-plus-circle-outline"></i> {{$item->code}}</a>
                                                </div>

                                                @endforeach
                                                    
                                                </div>
    
                                            </div> <!-- end col-->

                                            <div class="col-lg-9">
                                                <div class="mt-4 mt-lg-0">
                                                <form method="POST" action="{{route('backend.business.update')}}"  enctype="multipart/form-data">
                                                    @csrf
                                                    <!-- @method('PUT') -->
                                                    @foreach ($business as $bkey=> $b)
                                                    <input type="hidden" name="id[]" value="{{$b->id}}">
                                                    <div class="row g-2">
                                                        <div class="mb-3 col-md-6">
                                                            <label for="" class="form-label">Title</label>
                                                            <input type="text" name="key[]" class="form-control" placeholder="Title" value="{{$b->key}}" readonly>
                                                        
                                                        </div>

                                                        <div class="mb-3 col-md-6">
                                                            <label for="" class="form-label">Value</label>
                                                           
                                                            
                                                            <input type="text" name="value[]"class="form-control" placeholder="Value" value="{{$b->value}}" required>
                                                          
                                                           
                                                        </div>

                                                    </div>
                                                    @endforeach

                                                    <button type="submit" class="btn btn-primary">Update</button>
                                                </form>
                                                </div>
                                            </div> <!-- end col -->

                                        </div>  <!-- end row -->
                                    </div> <!-- end card body-->
                                </div>
                                        <!-- id="products-datatable" -->
                                        
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
