@extends('backend.layouts.main')
@section('content')
{{-- <form>
    <div class="row g-2">
        <div class="mb-3 col-md-6">
            <label for="inputEmail4" class="form-label">Email</label>
            <input type="email" class="form-control" id="inputEmail4" placeholder="Email">
        </div>
        <div class="mb-3 col-md-6">
            <label for="inputPassword4" class="form-label">Password</label>
            <input type="password" class="form-control" id="inputPassword4" placeholder="Password">
        </div>
    </div>

    <div class="mb-3">
        <label for="inputAddress" class="form-label">Address</label>
        <input type="text" class="form-control" id="inputAddress" placeholder="1234 Main St">
    </div>

    <div class="mb-3">
        <label for="inputAddress2" class="form-label">Address 2</label>
        <input type="text" class="form-control" id="inputAddress2" placeholder="Apartment, studio, or floor">
    </div>

    <div class="row g-2">
        <div class="mb-3 col-md-6">
            <label for="inputCity" class="form-label">City</label>
            <input type="text" class="form-control" id="inputCity">
        </div>
        <div class="mb-3 col-md-4">
            <label for="inputState" class="form-label">State</label>
            <select id="inputState" class="form-select">
                <option>Choose</option>
                <option>Option 1</option>
                <option>Option 2</option>
                <option>Option 3</option>
            </select>
        </div>
        <div class="mb-3 col-md-2">
            <label for="inputZip" class="form-label">Zip</label>
            <input type="text" class="form-control" id="inputZip">
        </div>
    </div>

    <div class="mb-2">
        <div class="form-check">
            <input type="checkbox" class="form-check-input" id="customCheck11">
            <label class="form-check-label" for="customCheck11">Check this custom checkbox</label>
        </div>
    </div>

    <button type="submit" class="btn btn-primary">Sign in</button>
</form> --}}
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
               
                <h4 class="page-title">Add Coupon</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('coupons.store')}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <div class="row g-2">
                                    <div class="mb-3 col-md-4">
                                        <label for="" class="form-label">Coupon Title</label>
                                        <input type="text" name="coupon_title"class="form-control" id="" placeholder="Coupon title">
                                        @if ($errors->has('coupon_title'))
                                        <span class="text-danger">{{ $errors->first('coupon_title') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_value --}}
                                    <div class="mb-3 col-md-4">
                                        <label for="" class="form-label">Coupon Value</label>
                                        <input type="number" name="coupon_value" class="form-control" id="" placeholder="Coupon Value">
                                        @if ($errors->has('coupon_value'))
                                        <span class="text-danger">{{ $errors->first('coupon_value') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_code --}}
                                    <div class="mb-3 col-md-4">
                                        <label for="" class="form-label">Coupon Code</label>
                                        <input type="text" name="coupon_code" class="form-control" id="" placeholder="Coupon Code">
                                        @if ($errors->has('coupon_code'))
                                        <span class="text-danger">{{ $errors->first('coupon_code') }}</span>
                                        @endif
                                    </div>

                                </div>
                                <div class="row g-2">
                                    {{-- coupon_type , dropdown select fixed or percentage --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Type</label>
                                        <select name="coupon_type" id="" class="form-select">
                                            <option value="">Select Coupon Type</option>
                                            <option value="fixed">Fixed</option>
                                            <option value="percentage">Percentage</option>
                                        </select>
                                        @if ($errors->has('coupon_type'))
                                        <span class="text-danger">{{ $errors->first('coupon_type') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_discount, less than 100 and greator than 0 --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Discount</label>
                                        <input type="number" name="coupon_discount" class="form-control" id="" placeholder="Coupon Discount">
                                        @if ($errors->has('coupon_discount'))
                                        <span class="text-danger">{{ $errors->first('coupon_discount') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="row g-2">
                                    {{-- coupon_startdate, date time --}}

                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Start Date</label>
                                        <input type="date" name="coupon_startdate" class="form-control" id="" placeholder="Coupon Start Date">
                                        @if ($errors->has('coupon_startdate'))
                                        <span class="text-danger">{{ $errors->first('coupon_startdate') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_enddate, date time --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon End Date</label>
                                        <input type="date" name="coupon_enddate" class="form-control" id="" placeholder="Coupon End Date">
                                        @if ($errors->has('coupon_enddate'))
                                        <span class="text-danger">{{ $errors->first('coupon_enddate') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="row g-2">
                                    {{-- coupon_quantity --}}   
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Quantity</label>
                                        <input type="number" name="coupon_quantity" class="form-control" id="" placeholder="Coupon Quantity">
                                        @if ($errors->has('coupon_quantity'))
                                        <span class="text-danger">{{ $errors->first('coupon_quantity') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon_percoustomer --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Per Customer</label>
                                        <input type="number" name="coupon_percoustomer" class="form-control" id="" placeholder="Coupon Per Customer">
                                        @if ($errors->has('coupon_percoustomer'))
                                        <span class="text-danger">{{ $errors->first('coupon_percoustomer') }}</span>
                                        @endif
                                    </div>

                                </div>
                                
                                <div class="row g-2">
                                    {{-- coupon_minimum_spend --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Minimum Spend</label>
                                        <input type="number" name="coupon_minimum_spend" class="form-control" id="" placeholder="Coupon Minimum Spend">
                                        @if ($errors->has('coupon_minimum_spend'))
                                        <span class="text-danger">{{ $errors->first('coupon_minimum_spend') }}</span>
                                        @endif
                                    </div>
                                    
                                    {{-- coupon_maximum_spend --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Maximum Spend</label>
                                        <input type="number" name="coupon_maximum_spend" class="form-control" id="" placeholder="Coupon Maximum Spend">
                                        @if ($errors->has('coupon_maximum_spend'))
                                        <span class="text-danger">{{ $errors->first('coupon_maximum_spend') }}</span>
                                        @endif
                                    </div>

                                    {{-- coupon image --}}
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coupon Image</label>
                                        <input type="file" name="coupon_image" class="form-control" id="" placeholder="Coupon Image">
                                        @if ($errors->has('coupon_image'))
                                        <span class="text-danger">{{ $errors->first('coupon_image') }}</span>
                                        @endif
                                    </div>

                                </div>
                                <button type="submit" class="btn btn-primary">Add Coupons</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
