@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-sm-4">
                                                <a href="{{route('coupons.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Coupon</a>
                                            </div>
                                            <div class="col-sm-8">
                                                
                                            </div><!-- end col-->
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        
                                                        <th class="all">Coupon Name</th>
                                                        <th>Type</th>
                                                        <th>Discount</th>
                                                        <th>Start Date</th>
                                                        <th>End Date</th>
                                                        <th>Status</th>
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=2;?>
                                                    @foreach ($coupons as $coupon)
                                                    <tr>
                                                        
                                                        <td>
                                                            {{$coupon->coupon_title}}
                                                        </td>
                                                        <td>
                                                            {{$coupon->coupon_type}}
                                                        </td>

                                                        <td>
                                                            {{$coupon->coupon_discount}}
                                                        </td>
                                                        <td>
                                                            {{$coupon->coupon_startdate}}
                                                        </td>
                                                        <td>
                                                            {{$coupon->coupon_enddate}}
                                                        </td>

                                                        <td>
                                                            @if ($coupon->status == 1)
                                                            <span class="badge bg-success"> Used</span>
                                                            @elseif ($coupon->status == 0)
                                                            <span class="badge badge bg-info">Non Used</span>

                                                            @endif

                                                        </td>
                                                        <td class="table-action">
                                                            <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                                            @if ($coupon->status != 1)
                                                            <a href="{{route('coupons.edit', $coupon->coupon_id)}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                            @endif    
                                                            {{-- <a href="{{route('coupons.delete', $coupon->coupon_id)}}" class="action-icon"> <i class="mdi mdi-delete"></i></a> --}}
                                                        </td>


                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
