<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Food |</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="assets/images/favicon.ico">

        <!-- App css -->
        <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="assets/css/app-modern.min.css" rel="stylesheet" type="text/css" id="light-style" />
        <link href="assets/css/app-modern-dark.min.css" rel="stylesheet" type="text/css" id="dark-style" />

    </head>

    <body class="loading" data-layout="detached" data-layout-config='{"leftSidebarCondensed":false,"darkMode":false, "showRightSidebarOnStart": true}'>


        <!-- end Topbar -->

        <!-- Start Content-->
        <div class="container-fluid">

            <!-- Begin page -->
            <div class="wrapper">


                <!-- Left Sidebar End -->

                <div class="content-page">
                    <div class="content">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <!-- <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Hyper</a></li>
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Pages</a></li>
                                            <li class="breadcrumb-item active">FAQ</li>
                                        </ol>
                                    </div> -->
                                    <h4 class="page-title">Privacy</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->


                        <div class="row">
                            <div class="col-sm-12">
                                <div class="text-center">
                                    <h3 class="">PRIVACY POLICY</h3>
                                    <p class="text-muted mt-3"> Dear Customer,
                                        We are pleased that you are interested in data protection. We would like to give you an easily understandable overview of the data processing practices and our privacy compliance measures in relation to our delivery websites, applications and related services (collectively referred to as "platform" below). Our goal is to provide you with an amazing customer experience while keeping your personal data secure. Trust, transparency and honesty are our leading principles. Your trust in our product is the reason why we can provide you with an amazing customer experience.
                                        </p>

                                    <!-- <button type="button" class="btn btn-success btn-sm mt-2"><i class="mdi mdi-email-outline me-1"></i> Email us your question</button> -->
                                    <!-- <button type="button" class="btn btn-info btn-sm mt-2 ms-1"><i class="mdi mdi-twitter me-1"></i> Send us a tweet</button> -->
                                </div>
                            </div><!-- end col -->
                        </div><!-- end row -->

                        <div class="row pt-5">
                            <div class="col-lg-8 offset-lg-1 ">
                                <!-- Question/Answer -->
                                <div>

                                    <h4 class="faq-question" data-wow-delay=".1s">INFORMATION WE COLLECT</h4>
                                    <p class="faq-answer mb-4">The information collected by us is used for providing better facilities to our customers. Certain information, such as your name, e-mail addresses, is collected in order to sign up for an account on our app / website. Our apps or website may sometimes require you to give us your contact information (like your name, address, telephone number and email address), and demographic information (like your Zip Code/ Postal Code). Additional information such as your progress in completing tasks set by the Product is collected and stored by Us, solely for the improvement and development of the Product. To avail of any services we offer or to buy products on the apps or the website we will need to collect certain financial information, such as your credit card number, credit card expiration date, and billing address ("Financial Information"). Financial Information that is collected is used to check your qualifications for registration, to bill you for products and services, and for other purposes. We do not share Financial Information with outside parties except to the extent necessary to provide you with the service. Financial information is not stored in our database at all.</p>
                                </div>

                                <!-- Question/Answer -->
                                <div>

                                    <h4 class="faq-question">CONTROL OF YOUR PASSWORD</h4>
                                    <p class="faq-answer mb-4">When you sign up to become a Member, you will also be asked to choose a password. You are entirely responsible for maintaining the confidentiality of your password. You agree not to use the account, username, email address or password of another Member at any time or to disclose your password to any third party. If you choose to share this information with third parties to provide you additional services, you are responsible for all actions taken with your login information and password and therefore should review each third party's privacy policy.</p>
                                </div>
                                <!-- Question/Answer -->
                                <div>

                                    <h4 class="faq-question">Location Data</h4>
                                    <p class="faq-answer mb-4">This app collects location GPS data when order a food item. For delivery of the food item we need to have a GPS based location data, for our rider to easily reach you designated choice of delivery place. This location data is not used for any other purpose.</p>
                                </div>

                                <!-- Question/Answer -->
                                <div>

                                    <h4 class="faq-question" data-wow-delay=".1s">Disputes</h4>
                                    <p class="faq-answer mb-4">Any disputes regarding this Policy shall be subject to the Terms and Conditions of City Eats, including but not limited to any provisions related to indemnification, limitation of liability relating to damages, choice of law and dispute resolution forum. We ask you to first submit any such complaints directly to us the relevant customer services desk or helpline.</p>
                                </div>
                                <!-- Question/Answer -->
                                <div>

                                    <h4 class="faq-question">Contact</h4>
                                    <p class="faq-answer mb-4">Contact: Questions, comments, and requests regarding this policy are welcomed.
                                        Contact us by email: prestoneats2021@gmail.com
                                        .</p>
                                </div>




                            </div>
                            <!--/col-md-5 -->


                            <!--/col-md-5-->
                        </div>
                        <!-- end row -->

                    </div> <!-- End Content -->

                    <!-- Footer Start -->
                    <footer class="footer">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-md-6">
                                    <script>document.write(new Date().getFullYear())</script> © Test -  prestoneats2021@gmail.com
                                </div>
                                <div class="col-md-6">
                                    <div class="text-md-end footer-links d-none d-md-block">
                                        <a href="javascript: void(0);">About</a>
                                        <a href="javascript: void(0);">Support</a>
                                        <a href="javascript: void(0);">Contact Us</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </footer>
                    <!-- end Footer -->

                </div> <!-- content-page -->

            </div> <!-- end wrapper-->
        </div>
        <!-- END Container -->


        <!-- Right Sidebar -->
        {{-- <div class="end-bar">

            <div class="rightbar-title">
                <a href="javascript:void(0);" class="end-bar-toggle float-end">
                    <i class="dripicons-cross noti-icon"></i>
                </a>
                <h5 class="m-0">Settings</h5>
            </div>

            <div class="rightbar-content h-100" data-simplebar>

                <div class="p-3">
                    <div class="alert alert-warning" role="alert">
                        <strong>Customize </strong> the overall color scheme, sidebar menu, etc.
                    </div>

                    <!-- Settings -->
                    <h5 class="mt-3">Color Scheme</h5>
                    <hr class="mt-1" />

                    <div class="form-check form-switch mb-1">
                        <input type="checkbox" class="form-check-input" name="color-scheme-mode" value="light"
                            id="light-mode-check" checked />
                        <label class="form-check-label" for="light-mode-check">Light Mode</label>
                    </div>

                    <div class="form-check form-switch mb-1">
                        <input type="checkbox" class="form-check-input" name="color-scheme-mode" value="dark"
                            id="dark-mode-check" />
                        <label class="form-check-label" for="dark-mode-check">Dark Mode</label>
                    </div>

                    <!-- Left Sidebar-->
                    <h5 class="mt-4">Left Sidebar</h5>
                    <hr class="mt-1" />

                    <div class="form-check form-switch mb-1">
                        <input type="checkbox" class="form-check-input" name="compact" value="fixed" id="fixed-check"
                            checked />
                        <label class="form-check-label" for="fixed-check">Scrollable</label>
                    </div>

                    <div class="form-check form-switch mb-1">
                        <input type="checkbox" class="form-check-input" name="compact" value="condensed"
                            id="condensed-check" />
                        <label class="form-check-label" for="condensed-check">Condensed</label>
                    </div>

                   <div class="d-grid mt-4">
                    <button class="btn btn-primary" id="resetBtn">Reset to Default</button>

                    <a href="https://themes.getbootstrap.com/product/hyper-responsive-admin-dashboard-template/"
                        class="btn btn-danger mt-3" target="_blank"><i class="mdi mdi-basket me-1"></i> Purchase
                        Now</a>
                   </div>
                </div> <!-- end padding-->

            </div>
        </div> --}}

        <div class="rightbar-overlay"></div>
        <!-- /End-bar -->


        <!-- bundle -->
        <script src="assets/js/vendor.min.js"></script>
        <script src="assets/js/app.min.js"></script>

    </body>
</html>
