@extends('backend.layouts.main')
@push('plugin-styles')
    <link href="{{ asset('back') }}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="{{ asset('back') }}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

       <!-- <div class="container-fluid"> -->

            <!-- Begin page -->
            <div class="wrapper">

               

                <div class="content-page">
                    <div class="content">
                        <div class="row">
                            <div class="col-xl-4">
                                <!-- Personal-Information -->
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mt-0 mb-3">User  Information</h4>
                                         <div class="col-sm-8">
                                                <div class="row align-items-center">
                                                    <div class="col-auto">
                                                        <div class="avatar-lg">
                                                            <img src="{{asset('back')}}/assets/images/users/avatar-1.jpg" alt="" class="rounded-circle img-thumbnail">
                                                        </div>
                                                    </div>
                                                   
                                                </div>
                                            </div>
                                        <hr/>

                                        <div class="text-start">
                                            <p class="text-muted"><strong>Full Name :</strong> <span class="ms-2">{{$user->name}}</span></p>
                                             <p class="text-muted"><strong>Status :</strong> <span class="ms-2">@if ($user->status==1)
                                                    <span class="badge bg-success">Active</span>
                                                    @else
                                                    <span class="badge bg-danger">In-Active</span>
                                                    
                                                @endif</span></p>

                                            <p class="text-muted"><strong>Mobile :</strong><span class="ms-2">{{$user->contact_number}}</span></p>

                                            <p class="text-muted"><strong>Email :</strong> <span class="ms-2">{{$user->email}}</span></p>

                                            <p class="text-muted"><strong>Identity Number :</strong> <span class="ms-2">@if($dmdetails){{$dmdetails->identity_number}} @endif</span></p>

                                            <p class="text-muted"><strong>Zone :</strong>
                                                <span class="ms-2"> @if($zone) {{$zone->name}} @endif </span>
                                            </p>
                                            

                                        </div>
                                    </div>
                                </div>
                                <!-- Personal-Information -->

                                <!-- Toll free number box-->
                                <div class="card text-white bg-info overflow-hidden">
                                    <div class="card-body">
                                        <div class="toll-free-box text-center">
                                            <h4> <i class="mdi mdi-deskphone"></i> Contact : {{$user->contact_number}}</h4>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                                <!-- End Toll free number box-->

                            </div> <!-- end col-->

                            <div class="col-xl-8">

                                

                               <!--  <div class="row">
                                    <div class="col-sm-4">
                                        <div class="card tilebox-one">
                                            <div class="card-body">
                                                <i class="dripicons-basket float-end text-muted"></i>
                                                <h6 class="text-muted text-uppercase mt-0">Orders</h6>
                                                <h2 class="m-b-20">1,587</h2>
                                                <span class="badge bg-primary"> +11% </span> <span class="text-muted">From previous period</span>
                                            </div> 
                                        </div> 
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="card tilebox-one">
                                            <div class="card-body">
                                                <i class="dripicons-box float-end text-muted"></i>
                                                <h6 class="text-muted text-uppercase mt-0">Revenue</h6>
                                                <h2 class="m-b-20">$<span>46,782</span></h2>
                                                <span class="badge bg-danger"> -29% </span> <span class="text-muted">From previous period</span>
                                            </div> 
                                        </div> 
                                    </div>

                                    <div class="col-sm-4">
                                        <div class="card tilebox-one">
                                            <div class="card-body">
                                                <i class="dripicons-jewel float-end text-muted"></i>
                                                <h6 class="text-muted text-uppercase mt-0">Product Sold</h6>
                                                <h2 class="m-b-20">1,890</h2>
                                                <span class="badge bg-primary"> +89% </span> <span class="text-muted">Last year</span>
                                            </div> 
                                        </div> 
                                    </div>

                                </div> -->
                                

<!-- 
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">My Products</h4>

                                        <div class="table-responsive">
                                            <table class="table table-hover table-centered mb-0">
                                                <thead>
                                                    <tr>
                                                        <th>Product</th>
                                                        <th>Price</th>
                                                        <th>Stock</th>
                                                        <th>Amount</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td>ASOS Ridley High Waist</td>
                                                        <td>$79.49</td>
                                                        <td><span class="badge bg-primary">82 Pcs</span></td>
                                                        <td>$6,518.18</td>
                                                    </tr>
                                                   
                                                    
                                                </tbody>
                                            </table>
                                        </div> 
                                    </div> 
                                </div>  -->


                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Documents</h4>

                                        <div class="table-responsive">
                                            <table class="table table-hover table-centered mb-0">
                                                <thead>
                                                    <tr>
                                                        <th>Make By</th>
                                                        <th>Model</th>
                                                        <th>Licence Plate</th>
                                                        <th>Color</th>
                                                        <th>Issue Date</th>
                                                        <th>Expiry Date</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach($doc as $key => $d)
                                                    <tr>
                                                        {{-- <td>{{$d->make_by}}</td>
                                                        <td>{{$d->model}}</td> --}}
                                                        <td>{{$d->license_plate}}</td>
                                                        {{-- <td>{{$d->vehicle_color}}</td> --}}
                                                        <td>{{$d->issue_date}}</td>
                                                        <td>{{$d->expiry_date}}</td>
                                                    </tr>
                                                    @endforeach
                                                   
                                                    
                                                </tbody>
                                            </table>
                                        </div> 
                                    </div> 
                                </div>     
                            </div>
                           

                        </div>
                        
                        
                    <!-- </div>  -->

                  

                </div> <!-- content-page -->

            </div> <!-- end wrapper-->
        </div>

    </div>
    <!-- container -->
@endsection
@push('custom-scripts')

</script>
@endpush