@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-sm-4">
                                                <a href="{{route('backend.foodcat.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Food Category</a>
                                            </div>
                                          
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        
                                                        <th class="all">All Foods</th>
                                                        {{-- <th>Image</th> --}}
                                                        <th>Parent</th>
                                                        <th>Status</th>
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=2;?>
                                                    @foreach ($foodCategories as $fcategory)
                                                    <tr>
                                                        
                                                        <td>
                                                           {{-- <img src="{{ asset('storage/foodcategory/'.$fcategory->image) }}" alt="contact-img" title="contact-img" class="rounded me-3" height="48" /> --}}
                                                            <p class="m-0 d-inline-block align-middle font-16">
                                                                <a href="#" class="text-body">{{$fcategory->name}}</a>
                                                                <br/>
                                                                {{-- <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span> --}}
                                                            </p>
                                                        <td>
                                                            @if($fcategory->parent_id)
                                                            {{$fcategory->parent_id}}
                                                            @endif
                                                        </td>
                                                        <td>
                                                            @if ($fcategory->status == 1)
                                                            <span class="badge bg-success">Active</span>
                                                            @else
                                                            <span class="badge badge bg-danger">De-Active</span>

                                                            @endif

                                                        </td>
                                                        <td class="table-action">
                                                           <!--  <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-eye"></i></a> -->
                                                            <a href="{{route('backend.foodcat.edit',$fcategory->id)}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>

                                                            </a>
                                                                <form id="del_event"
                                                                    action="{{route('backend.foodcat.delete',$fcategory->id)}}"
                                                                    method="post"style="display: inline;">
                                                                    
                                                                    {{ csrf_field() }}
                                                                    <button class=" action-icon detele-button" style="border: none;"
                                                                       
                                                                        type="submit"><i class="mdi mdi-delete"></i></button>
                                                                </form>


                                                            <!-- <a href="route('backend.foodcat.delete',$fcategory->id)" class="action-icon"> <i class="mdi mdi-delete"></i></a> -->
                                                        </td>
                                                    </td>

                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
