@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-md-4">
                                                <h3>Feedback</h3>
                                            </div>
                                            
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        
                                                        <th class="all">Feedback For</th>
                                                        <th>Title</th>
                                                        <th> Created By </th>
                                                        <th> contact </th>
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=2;?>
                                                    @foreach ($feedbacks as $feedback)
                                                    
                                                    <tr>
                                                        <td>
                                                            {{$feedback->feedback_for}}
                                                        </td>
                                                        <td>
                                                            {{$feedback->feedback_title}}
                                                        </td>
                                                        <td>
                                                            @if ($feedback->user)
                                                            {{$feedback->user->name}}
                                                                
                                                            @endif
                                                        </td>
                                                        <td>
                                                        @if ($feedback->user)
                                                            {{$feedback->user->email.' / '.$feedback->user->contact_number}}
                                                        @endif
                                                        </td>
                                                        <td class="table-action">
                                                            <a href="{{ route('backend.feedbacks.show', $feedback->id) }}" class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                                            {{-- <a href="" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                            <a href="" class="action-icon"> <i class="mdi mdi-delete"></i></a> --}}
                                                        </td>


                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
