@extends('backend.layouts.main')

@push('plugin-styles')
@endpush

@section('content')

<div class="container-fluid">

        <!-- Begin page -->
        <div class="wrapper">

            <!-- start page title -->
            <div class="row">
                {{-- <div class="col-12">
                    <div class="page-title-box">
                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">Food</a></li>
                                <li class="breadcrumb-item"><a href="javascript: void(0);">Pages</a></li>
                                <li class="breadcrumb-item active">Resturant </li>
                            </ol>
                        </div>
                        <h4 class="page-title">Resturant </h4>
                    </div>
                </div> --}}
            </div>
            <!-- end page title -->

            <div class="row">

                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="tab-content">
                                <div class="tab-pane show active" id="form-row-preview">
                                <form action="{{ route('backend.ledger_report') }}" method="POST">
                                    @csrf
                                    <div class="row g-2">
                                     
                                    <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Resturant <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="restaurant" required>
                                                  <option value="" >Select</option>
                                                @foreach($rests as $rest)
                                                <option value="{{$rest->id}}">{{$rest->name}}</option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('restaurant'))
                                                        <span class="text-danger">{{ $errors->first('restaurant') }}</span>
                                                @endif
                                        </div>
                                        <div class="mb-3 col-md-2">
                                            <label for="nem" class="form-label">From <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" value="{{date('Y-m-d')}}" class="form-control"  name="from_date"
                                                id="from_date" >
                                                @if ($errors->has('from_date'))
                                                        <span class="text-danger">{{ $errors->first('from_date') }}</span>
                                                @endif
                                        </div>
                                         <div class="mb-3 col-md-2">
                                            <label for="nem" class="form-label">To <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" value="{{date('Y-m-d')}}" class="form-control"  name="to_date"
                                                id="to_date" >
                                                @if ($errors->has('to_date'))
                                                        <span class="text-danger">{{ $errors->first('to_date') }}</span>
                                                @endif
                                        </div>
                                         <div class="mt-4 col-md-2 pt-1">
                                           
                                          <button type="submit" class="btn btn-primary">Generate</button>
                                       </div>
                                    </div>
                                   



                                  
                                </form>
                            </div>

                            </div>
                            <!-- end timeline content-->


                            <!-- end settings content-->

                        </div> <!-- end tab-content -->
                    </div> <!-- end card body -->
                </div> <!-- end card -->
            </div> <!-- end col -->
        </div>
        <!-- end row-->

    </div>
@endsection
