@extends('backend.pages.reports.layouts.main_layout')
@section('content')
  <div id="print_section"><a href="{{route('backend.profit_and_loss_form')}}"  class="print_section_button"> &nbsp;&nbsp;Back&nbsp;&nbsp; </a> &nbsp; <a href="#" class="print_section_button" onclick="window.print();return false;" > &nbsp;&nbsp;Print&nbsp;&nbsp; </a> </div>
<div class="header">
<img src="{{asset('back')}}{{env('LOGO')}}" width="100px">
  <p>Profit & Loss Statment</p>
  <small> {{$fromDate}} To {{$toDate}}</small>
</div>


<table class="printTable">


                    <tr class="headingTr">
                        <td class="headingTd " style="width:10% !important">#</td>
                        <td class="headingTd " style="width:15% !important">Date</td>
                        <td class="headingTd ">Transection Type</td>
                        <td class="headingTd ">Payment ID | Order ID</td>
                        <td class="headingTd  text-right">Amount</td>
                    </tr>
                    <tr>
                                <td class="px-0 text-right" colspan="4">Opening</td>
                                
                               
                                <td class="text-end px-0 text-right">{{ $previous_balance }}</td>
                            </tr>
                            @php
                         $subTotal=$previous_balance;
                        @endphp
                        @if($profit_record)
                        @foreach($profit_record as $key=>$order)
                          @php
                                $subTotal+= $order->amount;
                            
                            @endphp
                        <tr>
                            <td class="px-0">{{$key + 1}}</td>
                            <td class="text-end px-0">{{ $order->profit_date }}</td>
                            <td class="text-end px-0">{{ $order->type }}</td>
                            <td class="text-end px-0">{{ $order->receipt_id  }}  {{ $order->order_id  }} </td>
                            <td class="text-end px-0">{{ abs($order->amount) }}</td>
                        </tr>
                        @endforeach
                            @endif
                            <tr class="headingTr">
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm px-0 text-right" colspan="4">
                                @if($subTotal>0)
                                Total Profit:  &nbsp;&nbsp;
                                @else
                                Total Loss:  &nbsp;&nbsp;
                                @endif
                            </th>
                            
                            <th scope="col" class="fs-sm text-dark text-uppercase-bold-sm text-end px-0">
                                @if($subTotal>0) 
                            <p > 
                             
                                {{abs($subTotal)}} 
                            </p>
                                @else 
                                <p > 
                                    {{abs($subTotal)}} 
                                </p>
                                @endif
                            </th>
                        </tr>    
</table>

@endsection