@extends('backend.layouts.main')
@push('plugin-styles')
@endpush




@section('content')
    <!-- Form row -->
    <div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <h4 class="header-title">&nbsp;</h4>

                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('assignRiderToOrder', $rest->id) }}" method="POST">
                                @csrf

                               
                        <!-- end row -->    
                        
                        
                        <div class="row">
                        
                            
                            <div class="col-lg-8"  >
                                <div class="card">
                                    <div class="card-body">
                                    <div class="col-sm-8">
                                                <div class="row align-items-center">
                                                    <div class="col-auto" >
                                                        <div class="avatar-lg "  >
                                                            <img src="http://localhost:8000/back/assets/images/users/avatar-1.jpg" alt="" class="rounded-circle img-thumbnail">
                                                        </div>
                                                    </div>
                                                    <div class="col">
                                                        <div>
                                                            <h4 class="mt-1 mb-1 ">{{$rest->name}}</h4>
                                                            <p class="font-13 text-black-50">{{$rest->phone}}</p>
                                                             <h4 class="mt-1 mb-1 ">{{$rest->restaurant_email}}</h4>
                                                            <p class="font-13 text-black-50">{{$rest->delivery_time}}</p>
    
                                                            <ul class="mb-0 list-inline ">
                                                                <li class="list-inline-item me-3">
                                                                    <h5 class="mb-1">{{$rest->address}}</h5>
                                                                    <p class="mb-0 font-13 text-black-50">Address</p>
                                                                </li>
                                                                <li class="list-inline-item">
                                                                    <h5 class="mb-1">{{$rest->opening_time}} ,{{$rest->closeing_time}}</h5>
                                                                    <p class="mb-0 font-13 text-black-50">Open  & Closing Time</p>
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        {{--  <h4 class="header-title mb-3">Restaurant Information 
                                        @if($rest->status==1) 
                                        <span class="badge bg-primary">Active</span>
                                        @else
                                        <span class="badge bg-danger">In-Active</span>

                                        @endif
                                        </h4>

                                        <ul class="list-unstyled mb-0">
                                            <li>
                                                <p class="mb-0"><span class="fw-bold me-2">Name: </span> {{$rest->name}}</p>
                                                <p class="mb-0"><span class="fw-bold me-2">Contact:</span> {{$rest->phone}}</p>
                                                <p class="mb-0"><span class="fw-bold me-2">Lat </span>{{$rest->latitude}} </p>
                                                <p class="mb-0"><span class="fw-bold me-2">Long:</span>{{$rest->longitude}} </p>
                                                <p class="mb-0"><span class="fw-bold me-2">Address:</span>{{$rest->address}}</p>
                                            </li>
                                        </ul>  --}}
            
                                    </div>
                                </div>

                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Users  Information 
                                        
                                        </h4>

                                       
                                            <table class="table"> 
                                                <tr> <td> Name</td><td>Email </td><td>Contact </td></tr>
                                                @foreach ($users as $u )
                                                <tr> <td> {{$u->name}}</td><td>{{$u->email}} </td><td>{{$u->contact_number}} </td></tr>
                                                    
                                                @endforeach
                                                <tr> </tr>
                                            </table>
                                            
                                        
            
                                    </div>
                                </div>

                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title  bg-primary text-white pt-2 pb-2 pl-2" style="padding-left:10px;">  Items Detail 
                                        
                                        </h4>

                                       
                                            <table class="table"> 
                                                <tr>
                                                <td>Name</td>
                                                <td>Image</td>
                                                <td>Price</td>
                                                <td>description</td>
                                                <td>status</td>
                                                </tr>
                                                 @if($items) 
                                                @foreach ($items as $u )
                                                <tr>
                                                 <td> {{$u->name}}</td>
                                                <td><img src="{{ asset('app/food/' . $u->image) }}" alt="Item Image"></td>
                                                <td>{{$u->price}} </td>
                                                <td>{{$u->description}}</td>
                                                <td>
                                                 @if($rest->status==1) 
                                        <span class="badge bg-primary">Active</span>
                                        @else
                                        <span class="badge bg-danger">In-Active</span>
                                        @endif
                                            </td>
                                                </tr>
                                                    
                                                @endforeach
                                                 @endif
                                                <tr> </tr>
                                            </table>
                                            
                                        
            
                                    </div>
                                </div>

                            </div>
                            


                            <div class="col-lg-4">
                             <div class="row">
                               <div class="col-lg-6">
                                        <div class="card widget-flat">
                                            <div class="card-body">
                                                <div class="float-end">
                                                <i class="mdi mdi-cart-plus widget-icon bg-success-lighten text-success"></i>
                                                    {{--  <i class="mdi mdi-account-multiple widget-icon"></i>  --}}
                                                </div>
                                                <h5 class="text-muted fw-normal mt-0" title="Number of Customers">Pending Orders</h5>
                                                <h3 class="mt-3 mb-3">{{ $pendingCount }}</h3>
                                                <p class="mb-0 text-muted">
                                                    <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 5.27%</span>
                                                    <span class="text-nowrap">These are orders</span>  
                                                </p>
                                            </div> <!-- end card-body-->
                                        </div> <!-- end card-->
                                    </div>
                              <div class="col-lg-6">
                                        <div class="card widget-flat">
                                            <div class="card-body">
                                                <div class="float-end">
                                                <i class="mdi mdi-cart-plus widget-icon bg-success-lighten text-success"></i>
                                                    {{--  <i class="mdi mdi-account-multiple widget-icon"></i>  --}}
                                                </div>
                                                <h5 class="text-muted fw-normal mt-0" title="Number of Customers">Accepted  Orders</h5>
                                                <h3 class="mt-3 mb-3">{{ $acceptedCount }}</h3>
                                                <p class="mb-0 text-muted">
                                                    <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 5.27%</span>
                                                    <span class="text-nowrap">These are orders</span>  
                                                </p>
                                            </div> <!-- end card-body-->
                                        </div> <!-- end card-->
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="card widget-flat">
                                            <div class="card-body">
                                                <div class="float-end">
                                                   <i class="mdi mdi-cart-plus widget-icon bg-success-lighten text-success"></i>
                                                </div>
                                                <h5 class="text-muted fw-normal mt-0" title="Number of Customers">Recjected Orders</h5>
                                                <h3 class="mt-3 mb-3">{{ $rejectedCount }}</h3>
                                                <p class="mb-0 text-muted">
                                                    <span class="text-success me-2"><i class="mdi mdi-arrow-up-bold"></i> 5.27%</span>
                                                    <span class="text-nowrap">These are orders</span>  
                                                </p>
                                            </div> <!-- end card-body-->
                                        </div> <!-- end card-->
                                    </div> <!-- end col-->

                                    <div class="col-lg-6">
                                        <div class="card widget-flat">
                                            <div class="card-body">
                                                <div class="float-end">
                                                    <i class="mdi mdi-cart-plus widget-icon bg-success-lighten text-success"></i>
                                                </div>
                                                <h5 class="text-muted fw-normal mt-0" title="Number of Orders">Total Revnue</h5>
                                                <h3 class="mt-3 mb-3">{{ $total_amount }}</h3>
                                                <p class="mb-0 text-muted">
                                                    <span class="text-danger me-2"><i class="mdi mdi-arrow-down-bold"></i> 1.08%</span>
                                                    <span class="text-nowrap">These are orders</span>
                                                </p>
                                            </div> <!-- end card-body-->
                                        </div> <!-- end card-->
                                    </div> <!-- end col-->
                                </div>
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-1">Order Summary</h4>
                                        <div class="table-responsive">
                                            <table class="table mb-0">
                                                <thead class="table-light">
                                                <tr>
                                                    <th>Status</th>
                                                    <th>Qty</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <td>Pending </td>
                                                    <td>:</td>
                                                </tr>
                                                <tr>
                                                    <td>Completed </td>
                                                    <td>:</td>
                                                </tr>
                                                <tr>
                                                    <th>Total </th>
                                                    <th>:</th>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
            
                                    </div>
                                </div>
                                <div class="card">
                                    <div class="card-body">
                                        <h4 class="header-title mb-1">Google Maps</h4>
                                      
<div class="google-map">
  {{--  <div class="google-map">
  <?php
    // Replace these variables with your actual latitude and longitude values
    $latitude = $rest->latitude;
    $longitude = $rest->longitude;
  ?>
  <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d15!2d<?php echo $longitude; ?>&3d<?php echo $latitude; ?>&amp;hl=en" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
</div>  --}}

 <div style="width: 370px; height: 500px;" id="map"  allowfullscreen="" loading="lazy">   
        </div>

                                    </div>
                                </div>
                            </div> 
                            </div>
                            {{--
                            <div class="col-lg-8">
                                <div class="card">
                                    <div class="card-body">
                                        <!-- <h4 class="header-title mb-3">Items from Order #{{$rest->id}}</h4> -->
            
                                        <div class="table-responsive">
                                            <table class="table mb-0">
                                                <thead class="table-light">
                                                <tr>
                                                    <th>Item</th>
                                                    <th>Qty</th>
                                                    <th>Price</th>
                                                    <th>Total</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                               
                                                   @foreach($order->orderDetail as $food)
                                                <tr>
                                                    <td>{{$food->food->name}}</td>
                                                    <td>{{$food->quantity}}</td>
                                                    <td>{{$food->price}}</td>
                                                    <td>{{sprintf('%0.2f', $food->quantity*$food->price)}}</td>
                                                </tr>
                                                @endforeach
                                               
                                                </tbody>
                                            </table>
                                        </div>
                                        <!-- end table-responsive -->
            
                                    </div>
                                </div>
                            </div> <!-- end col -->
                            --}}
                            
                     
                        <!-- end row -->
        
        
                    
                            </form>
                        </div> <!-- end preview-->
                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
@endsection

@push('custom-scripts')
  <script  async defer src="http://maps.googleapis.com/maps/api/js?key=AIzaSyAvBe6t5-InpTLgcbqLxwkDW2xABF3gcPc&callback=a"></script>
     

        <script>
            function a()
            {
                var iconColor = "http://maps.google.com/mapfiles/ms/icons/yellow-dot.png";
                var iconColor2 = "http://maps.google.com/mapfiles/ms/icons/red-dot.png";
                <?php
    // Replace these variables with your actual latitude and longitude values
          if($rest->latitude){
            $latitude = $rest->latitude;
            $longitude = $rest->longitude;
            }else{
                $latitude = 21.422487;
                $longitude = 39.826206;
            }
         ?>
                var currentPlace = {lat: <?php echo $latitude; ?>, lng: <?php echo $longitude; ?>};
                var mapData = {center: currentPlace, zoom: 18, mapTypeId: 'hybrid'};
                var currentPlace2 = {lat:<?php echo $latitude; ?>, lng: <?php echo $longitude; ?>};
                var map = new google.maps.Map(
                        document.getElementById('map'), mapData);



                new google.maps.Marker();
                var markerPosition = {position: currentPlace, map: map, animation: google.maps.Animation.DROP, icon: iconColor};
                var marker = new google.maps.Marker(markerPosition);

                var markerPosition2 = {position: currentPlace2, map: map, icon: iconColor2};
                var marker2 = new google.maps.Marker(markerPosition2);

                map.addListener('click', function (obj) {

                    var latlng = obj.latLng + "";
                    var lats = latlng.substring(1, 8);
                    var lngs = latlng.substring(20, 28);
                    {{--  alert(lats);
                    alert(lngs);  --}}
                });
            }
//drop of marker using animation

        </script>

</script>
@endpush
