@extends('backend.layouts.main')

@push('plugin-styles')
@endpush

@section('content')


    <!-- Start Content-->
    <div class="container-fluid">

        <!-- Begin page -->
        <div class="wrapper">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        
                        <h4 class="page-title">Profile </h4>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-xl-4 col-lg-5">
                    <div class="card text-center">
                        <div class="card-body">
                            <img src="@if(Auth()->user()->image) {{'not found'}} @else {{ asset('back/assets/images/users/avatar-1.jpg') }} @endif" class="rounded-circle avatar-lg img-thumbnail"
                                alt="profile-image">

                            <h4 class="mb-0 mt-2">{{ Auth()->user()->name }}</h4>
                            <!-- <p class="text-muted font-14">Founder</p> -->

                            <!-- <button type="button" class="btn btn-success btn-sm mb-2">Follow</button>
                            <button type="button" class="btn btn-danger btn-sm mb-2">Message</button> -->

                            <div class="text-start mt-3">
                                <h4 class="font-13 text-uppercase">About Me : {{$user->userType->alias_name}}</h4>
                                <!-- <p class="text-muted font-13 mb-3">
                                    {{$user->userType->alias_name}}
                                </p> -->
                                <p class="text-muted mb-2 font-13"><strong>Full Name :</strong> <span class="ms-2">{{ $user->name }}</span></p>

                                <p class="text-muted mb-2 font-13"><strong>Mobile :</strong><span class="ms-2"> {{ Auth()->user()->contact_number }}</span></p>

                                <p class="text-muted mb-2 font-13"><strong>Email :</strong> <span
                                        class="ms-2 ">{{ Auth()->user()->email }}</span></p>

                                <!-- <p class="text-muted mb-1 font-13"><strong>Location :</strong> <span
                                        class="ms-2">Mohmand</span></p> -->
                            </div>

                          <!--   <ul class="social-list list-inline mt-3 mb-0">
                                <li class="list-inline-item">
                                    <a href="javascript: void(0);" class="social-list-item border-primary text-primary"><i
                                            class="mdi mdi-facebook"></i></a>
                                </li>
                                <li class="list-inline-item">
                                    <a href="javascript: void(0);" class="social-list-item border-danger text-danger"><i
                                            class="mdi mdi-google"></i></a>
                                </li>
                                <li class="list-inline-item">
                                    <a href="javascript: void(0);" class="social-list-item border-info text-info"><i
                                            class="mdi mdi-twitter"></i></a>
                                </li>
                                <li class="list-inline-item">
                                    <a href="javascript: void(0);"
                                        class="social-list-item border-secondary text-secondary"><i
                                            class="mdi mdi-github"></i></a>
                                </li>
                            </ul> -->
                        </div> <!-- end card-body -->
                    </div> <!-- end card -->

                   

                </div> <!-- end col-->

                <div class="col-xl-8 col-lg-7">
                    <div class="card">
                        <div class="card-body">
                            <!-- <ul class="nav nav-pills bg-nav-pills nav-justified mb-3">
                               
                               
                                <li class="nav-item">
                                    <a href="#settings" data-bs-toggle="tab" aria-expanded="false"
                                        class="nav-link rounded-0 active">
                                        Settings
                                    </a>
                                </li>
                            </ul> -->
                            <div class="tab-content">
                                

                              
                                <!-- end timeline content-->

                                <!-- <div class="tab-pane active" id="settings"> -->
                                    <form action="{{ route('user_profile_update',$user->id) }}" method="post">
                                        @csrf
                                        <h5 class="mb-4 text-uppercase"><i class="mdi mdi-account-circle me-1"></i>
                                            Personal Info</h5>
                                        <div class="row">
                                            
                                           
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="lastname"  class="form-label">Name</label>
                                                    <input type="text" readonly name="name" value="{{$user->name  }}" class="form-control" id="lastname"
                                                        placeholder="Enter  name">
                                                </div>
                                            </div> 

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="useremail" class="form-label">Email Address</label>
                                                    <input type="email" name="email" value="{{ $user->email }}" readonly class="form-control" id="useremail"
                                                        placeholder="Enter email">
                                                    <span class="form-text text-muted"></span>
                                                </div>
                                            </div>

                                            <!-- end col -->
                                        </div> <!-- end row -->

                                       

                                        <div class="row">
                                             <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="userpassword" class="form-label">Password</label>
                                                    <input type="password" name="password" value="" class="form-control" id="userpassword"
                                                       >
                                                    @if($errors->has('password'))
                                                        <div class="text-danger">{{ $errors->first('password') }}</div>
                                                    @endif
                                                </div>
                                            </div> <!-- end col -->
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="userpassword" class="form-label">Confirm Password </label>
                                                    <input type="password" name="password_confirmation" value="" class="form-control" id="userpassword"                                                   >
                                                    @if($errors->has('password_confirmation'))
                                                        <div class="text-danger">{{ $errors->first('password_confirmation') }}</div>
                                                    @endif
                                                </div>
                                            </div> <!-- end col -->
                                        </div> <!-- end row -->

                                         <div class="text-end">
                                            <button type="submit" class="btn btn-success mt-2"><i
                                                    class="mdi mdi-content-save"></i>Update</button>
                                        </div>
                                    </form>
                                        @if($user->restuarant->isNotEmpty())
                                        <h5 class="mb-3 text-uppercase bg-light p-2"><i
                                                class="mdi mdi-office-building me-1"></i> Company Info</h5>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="companyname" class="form-label">Company Name</label>
                                                    <input type="text" class="form-control" id="companyname" value="{{$user->restuarant[0]->name}}" 
                                                        >
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="cwebsite" class="form-label">Contact</label>
                                                    <input type="text" value="{{$user->restuarant[0]->phone}}" class="form-control" id="cwebsite"
                                                        >
                                                </div>
                                            </div> 

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="cwebsite" class="form-label">Email</label>
                                                    <input type="text" value="{{$user->restuarant[0]->restaurant_email}}" class="form-control" id="cwebsite"
                                                        >
                                                </div>
                                            </div> 

                                            <div class="col-md-6">
                                                <div class="mb-3">
                                                    <label for="cwebsite" class="form-label">Address</label>
                                                    <input type="text" value="{{$user->restuarant[0]->address}}" class="form-control" id="cwebsite"
                                                        >
                                                </div>
                                            </div> 

                                            <!-- end col -->
                                        </div> <!-- end row -->

                                        @endif

                                        
                                        

                                        


                                       
                                <!-- </div> -->
                                <!-- end settings content-->

                            </div> <!-- end tab-content -->
                        </div> <!-- end card body -->
                    </div> <!-- end card -->
                </div> <!-- end col -->
            </div>
            <!-- end row-->

        </div> <!-- End Content -->



    </div> <!-- content-page -->
@endsection

