@extends('backend.layouts.main')
@section('content')
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                
                <h4 class="page-title">Edit Zone</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <!-- Form row -->
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-bordered mb-3">
                    </ul> <!-- end nav-->
                    <div class="tab-content">
                        <div class="tab-pane show active" id="form-row-preview">
                            <form action="{{ route('backend.zone.update',$All_zones->id)}}" method="post" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="id" value="{{$All_zones->id}}">
                                <div class="row g-2">
                                    <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Zone Name</label>
                                        <input type="text" name="name"class="form-control" value="{{$All_zones->name}}" placeholder="Food Name">
                                        @if ($errors->has('name'))
                                        <span class="text-danger">{{ $errors->first('name') }}</span>
                                        @endif
                                    </div>
                                     <div class="mb-3 col-md-4">
                                        <label for="inputState" class="form-label">Status</label>
                                        <select name="status" id="inputState" class="form-select">
                                            <option>Choose Status</option>
                                            @if ($All_zones->status == '1')
                                            <option selected  value="{{$All_zones->status}}">Operational</option>
                                            <option  value="0">Non Operational</option>
                                            @elseif ($All_zones->status == '0')
                                            <option selected  value="{{$All_zones->status}}">Non Operational</option>
                                            <option  value="1">Operational</option>
                                            @endif
                                            {{-- <option @if($All_zones->status == $All_zones->status ) selected  @endif value="{{ $All_zones->status }}" ></option> --}}
                                        </select>
                                        @if ($errors->has('status'))
                                        <span class="text-danger">{{ $errors->first('status') }}</span>
                                        @endif
                                    </div>

                                   {{-- <div class="mb-3 col-md-6">
                                        <label for="" class="form-label">Coordinates</label>
                                        <input type="text" name="coordinates" class="form-control" value="{{$All_zones->coordinates}}" placeholder="Coordinates">
                                        @if ($errors->has('coordinates'))
                                        <span class="text-danger">{{ $errors->first('coordinates') }}</span>
                                        @endif
                                    --}}    
                                    </div>
                                </div>
                                <div class="row g-2">
                                   
                                </div>
                                <button type="submit" class="btn btn-primary">Update</button>
                            </form>
                        </div> <!-- end preview-->


                    </div> <!-- end tab-content-->

                </div> <!-- end card-body -->
            </div> <!-- end card-->
        </div> <!-- end col -->
    </div>
    <!-- end row -->

</div>
@endsection
