@extends('backend.layouts.main')
@push('plugin-styles')
<link href="{{asset('back')}}/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
        <link href="{{asset('back')}}/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
@endpush




@section('content')


                    <!-- Start Content-->
                    <div class="container-fluid">

                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row mb-2">
                                            <div class="col-sm-4">
                                                <a href="{{route('foods.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Food</a>
                                            </div>
                                           
                                        </div>

                                        <div class="table-responsive">
                                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                                <thead class="table-light">
                                                    <tr>
                                                        
                                                        <th class="all"> Foods</th>
                                                        {{-- <th>Image</th> --}}
                                                        <th>Category</th>
                                                        <th>Price</th>
                                                        <th>Image</th>
                                                        <th style="width: 85px;">Action</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i=2;?>
                                                    @foreach ($foods as $food)

                                                    
                                                    <tr>
                                                        
                                                        <td>
                                                            {{-- <img src="{{ asset('storage/food/'.$food->image) }}" alt="contact-img" title="contact-img" class="rounded me-3" height="48" /> --}}
                                                            <p class="m-0 d-inline-block align-middle font-16">
                                                                <a href="#" class="text-body">{{$food->name}}</a>
                                                                <br/>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                                <span class="text-warning mdi mdi-star"></span>
                                                            </p>
                                                        <td>
                                                            {{$food->category->name}}
                                                        </td>
                                                        <td>
                                                            {{$food->price}}
                                                        </td>
                                                        <td>
                                                            <a href=" {{ asset('app/food/'.$food->image) }} " class=""> show </a>
                                                           
                                                        </td>
                                                        {{-- <td>
                                                            @if ($food->status == 1)
                                                            <span class="badge bg-success">Available</span>
                                                            @elseif ($food->status == 0)
                                                            <span class="badge badge bg-danger">Out of Stock</span>

                                                            @endif

                                                        </td> --}}
                                                        <td class="table-action">
                                                            <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                                            <a href="{{route('foods.edit',$food->id)}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                                            {{-- <a href="{{route('foods.destroy',$food->id)}}" class="action-icon"> <i class="mdi mdi-delete"></i></a> --}}
                                                            <form id="del_event"
                                                            action="{{ route('foods.destroy', $food->id) }}"
                                                            method="post"style="display: inline;">
                                                            {!! method_field('delete') !!}
                                                            {{ csrf_field() }}
                                                            <button class=" action-icon detele-button " style="border: none;"
                                                                
                                                                type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                        </form>
                                                        </td>
                                                    </td>

                                                  </tr>
                                                        <?php $i++; ?>
                                            @endforeach
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>

                        <!-- end row -->

                    </div>
                    <!-- container -->



@endsection
@push('custom-scripts')
<script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.0/sweetalert.min.js"></script>
<script>
    
    // load subject when page load ------------------------------------------------------------------------ 
$(document).ready(function()
{ 
    
 
     $('.detele-button').click(function(event) {
          var form =  $(this).closest("form");
          var name = $(this).data("name");
          event.preventDefault();
          swal({
              title: `Are you sure to delete?`,
              text: "If you delete this, it will be gone forever.",
              icon: "warning",
              buttons: true,
              dangerMode: true,
          })
          .then((willDelete) => {
            if (willDelete) {
              form.submit();
            }
          });
      });
});
</script>
@endpush
