

<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="container-fluid">

        <div class="row m-0">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="<?php echo e(route('customers.create')); ?>" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Customers</a>
                            </div>
                        </div>

                        <div class="table">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th>#</th>
                                        <th class="all">name</th>
                                        <th>Phone</th>
                                        <th>Email</th>
                                        <th>Status</th>
                                        
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>
                                                <?php echo e($i); ?>

                                            </td>
                                            <td>
                                                <?php echo e($data->name); ?>

                                            </td>

                                            <td>
                                                <?php echo e($data->contact_number); ?>

                                            </td>
                                            <td>
                                                <?php echo e($data->email); ?>

                                            </td>
                                            <td>
                                                <?php if($data->status == 1): ?>
                                                    <span class="badge bg-success">Active</span>
                                                <?php else: ?>
                                                    <span class="badge bg-danger">In-Active</span>
                                                <?php endif; ?>

                                            </td>
                                            
                                            <td class="table-action">
                                                <a href="<?php echo e(route('customers.show', $data->id)); ?>" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a>
                                                <a href="<?php echo e(route('customers.edit', $data->id)); ?>" class="action-icon">
                                                    <i class="mdi mdi-square-edit-outline"></i></a>
                                                <form id="del_event" action="<?php echo e(route('customers.destroy', $data->id)); ?>"
                                                    method="post"style="display: inline;">
                                                    <?php echo method_field('delete'); ?>

                                                    <?php echo e(csrf_field()); ?>

                                                    <button class=" action-icon detele-button " style="border: none;"
                                                        type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                </form>
                                                
                                                
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/users/index.blade.php ENDPATH**/ ?>