

<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>

<div class="container-fluid">

        <!-- Begin page -->
        <div class="wrapper">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">Food</a></li>
                                <li class="breadcrumb-item"><a href="javascript: void(0);">Pages</a></li>
                                <li class="breadcrumb-item active">Orders </li>
                            </ol>
                        </div>
                        <h4 class="page-title">Orders </h4>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">

                <div class="col-xl-12 col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="tab-content">
                                <div class="tab-pane show active" id="form-row-preview">
                                <form action="<?php echo e(route('backend.orderReport')); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <div class="row g-2">
                                       <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Order Type <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select" name="order_type" required>
                                                 <option value="all" selected>All</option>
                                                <option value="pending">Pending</option>
                                                <option value="Accepted">Accepted</option>
                                                <option value="Rejected">Rejected</option>
                                               
                                            </select>
                                            <?php if($errors->has('id')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('id')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Report Type <span
                                                    class="text-danger">*</span></label>
                                            <select id="inputState" class="form-select report_type" id="report_type" name="report_type" required>
                                                 <option value="all" selected>All</option>
                                                <option value="single">Single</option>
                                               
                                            </select>
                                            <?php if($errors->has('id')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('id')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-2 order_id">
                                            <label for="nem" class="form-label">Order ID <span
                                                    class="text-danger">*</span></label>
                                            <input type="input"  class="form-control order_id" id="order_id"  name="order_id"
                                                id="order_id" >
                                                <?php if($errors->has('order_id')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('order_id')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-2">
                                            <label for="nem" class="form-label">From <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" value="<?php echo e(date('Y-m-d')); ?>" class="form-control"  name="from_date"
                                                id="from_date" >
                                                <?php if($errors->has('from_date')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('from_date')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                         <div class="mb-3 col-md-2">
                                            <label for="nem" class="form-label">To <span
                                                    class="text-danger">*</span></label>
                                            <input type="date" value="<?php echo e(date('Y-m-d')); ?>" class="form-control"  name="to_date"
                                                id="to_date" >
                                                <?php if($errors->has('to_date')): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('to_date')); ?></span>
                                                <?php endif; ?>
                                        </div>
                                         <div class="mt-4 col-md-2 pt-1">
                                           
                                          <button type="submit" class="btn btn-primary">Generate</button>
                                       </div>
                                    </div>
                                   



                                  
                                </form>
                            </div>

                            </div>
                            <!-- end timeline content-->


                            <!-- end settings content-->

                        </div> <!-- end tab-content -->
                    </div> <!-- end card body -->
                </div> <!-- end card -->
            </div> <!-- end col -->
        </div>
        <!-- end row-->

    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script scr="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script>
        // var balance=0;
      $(document).ready(function () {
    // Initially hide the input field
    $('.order_id').hide();

    // Attach the change event handler to the .report_type select element
    $('.report_type').change(function () {
        change();
    });

    function change() {
        const type = 'single';
        var selectedValue = $('.report_type').val();
        

        // Check if the selected value is 'single' to show the input field
        if (selectedValue === 'single') {
            $('.order_id').show();
        } else {
            $('.order_id').hide();
        }
    }
});


</script>
<?php $__env->stopPush(); ?>


<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/reports/order/all_orders.blade.php ENDPATH**/ ?>