
<?php $__env->startPush('plugin-styles'); ?>
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('back')); ?>/assets/css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css" />
<?php $__env->stopPush(); ?>




<?php $__env->startSection('content'); ?>
    <!-- Start Content-->
    <div class="container-fluid">

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-sm-4">
                                <a href="<?php echo e(route('restuarants.create')); ?>" class="btn btn-danger mb-2"><i
                                        class="mdi mdi-plus-circle me-2"></i> Add Restuarant</a>
                            </div>
                            
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                <thead class="table-light">
                                    <tr>
                                        <th>#</th>
                                        <th class="all">Restaurant</th>
                                        <th>Phone</th>
                                        <th>Email</th>
                                        <th>Status</th>
                                        <th>Commission (%)</th>
                                        <th>Address</th>
                                        <th style="width: 85px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    <?php $__currentLoopData = $restuarants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>
                                                <?php echo e($i); ?>

                                            </td>
                                            <td>
                                                <?php echo e($rest->name); ?>

                                            </td>

                                            <td>
                                                <?php echo e($rest->phone); ?>

                                            </td>
                                            <td>
                                                <?php echo e($rest->restaurant_email); ?>

                                            </td>
                                            <td>
                                                 <?php if($rest->status==1): ?>
                                                    <span class="badge bg-success">Active</span>
                                                    <?php else: ?>
                                                    <span class="badge bg-danger">In-Active</span>
                                                    
                                                <?php endif; ?>

                                            </td>
                                            <td>
                                                <?php echo e($rest->commission); ?>

                                            </td>
                                            <td>
                                                <?php echo e($rest->address); ?>

                                            </td>
                                            <td class="table-action">
                                                 <a href="<?php echo e(route('restuarants.show', $rest->id)); ?>" class="action-icon"> <i
                                                        class="mdi mdi-eye"></i></a>
                                                <a href="<?php echo e(route('restuarants.edit', $rest->id)); ?>" class="action-icon">
                                                    <i class="mdi mdi-square-edit-outline"></i></a>
                                                <form id="del_event" action="<?php echo e(route('restuarants.destroy', $rest->id)); ?>"
                                                    method="post"style="display: inline;">
                                                    <?php echo method_field('delete'); ?>

                                                    <?php echo e(csrf_field()); ?>

                                                    <button class=" action-icon detele-button " style="border: none;"
                                                        
                                                        type="submit"><i class="mdi mdi-delete"></i></a></button>
                                                </form>
                                                
                                                
                                            </td>
                                            </td>

                                        </tr>
                                        <?php $i++; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>

        <!-- end row -->

    </div>
    <!-- container -->
<?php $__env->stopSection(); ?>

<?php $__env->startPush('custom-scripts'); ?>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/restuarant/index.blade.php ENDPATH**/ ?>