
<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>




<?php $__env->startSection('content'); ?>
    <!-- Form row -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="header-title">Restaurant Details</h4>

                        <div class="tab-content">
                            <div class="tab-pane show active" id="form-row-preview">
                                <form action="<?php echo e(route('restuarants.update', $restuarant->id)); ?>" method="POST"
                                    enctype="multipart/form-data">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('PUT'); ?>
                                    <div class="row g-2">
                                        <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Logo <span
                                                    class="text-danger">*</span></label>
                                            <input type="file" name="logo" class="form-control" id="inputPassword4"
                                                placeholder="Phone">

                                            <?php if($errors->has('logo')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('logo')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <!-- <div class="row g-2"> -->
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Featured Image</label>
                                            <input type="file" name="feature_image" class="form-control"
                                                id="inputPassword4" placeholder="Phone">

                                            <?php if($errors->has('feature_image')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('feature_image')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="nem" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" required name="name"
                                                id="name" value="<?php echo e($restuarant->name ?? old('name')); ?>"
                                                placeholder="Name">

                                            <?php if($errors->has('name')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputEmail4" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" name="restaurant_email" class="form-control" required
                                                id="inputEmail4"
                                                value="<?php echo e($restuarant->restaurant_email ?? old('restaurant_email')); ?>"
                                                placeholder="Email">

                                            <?php if($errors->has('restaurant_email')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('restaurant_email')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Phone<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" name="phone" class="form-control" id="inputPassword4"
                                                value="<?php echo e($restuarant->phone ?? old('phone')); ?>" placeholder="Phone"
                                                required>

                                            <?php if($errors->has('phone')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('phone')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        </div>
                                        <div class="row g-2">      
                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Status<span
                                                    class="text-danger">*</span></label>
                                            
                                                <select name="status" class="form-control"> 
                                                    <option value="1" <?php if($restuarant->status==1): ?> <?php echo e('selected'); ?> <?php endif; ?>> Active</option>
                                                    <option value="0" <?php if($restuarant->status==0): ?> <?php echo e('selected'); ?> <?php endif; ?>> De-active</option>
                                                </select>
                                            <?php if($errors->has('status')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('status')); ?></span>
                                            <?php endif; ?>
                                        </div>

                                        <div class="mb-3 col-md-3">
                                            <label for="inputPassword4" class="form-label">Commission(%)<span
                                                    class="text-danger">*</span></label>
                                            
                                                    <input type="number" class="form-control" name="commission" step="any"  value="<?php echo e($restuarant->commission ??  old('comission')); ?>">
                                            <?php if($errors->has('commission')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('commission')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        
                                    </div>
                                    <div class="row g-2">
                                        <div class="mb-3 col-md-3">
                                            <label for="inputState" class="form-label">Zone</label>
                                            <select id="inputState" class="form-select" name="zone_id" required>
                                                <option value="">Choose</option>
                                                <?php $__currentLoopData = $zones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $zone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($zone->id); ?>"
                                                        <?php echo e($restuarant->zone_id == $zone->id ? 'selected' : ''); ?>>
                                                        <?php echo e($zone->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                        <div class="mb-3 col-md-6">
                                            <label for="inputAddress" class="form-label">Address</label>
                                            <input type="text" class="form-control" name="address" id="inputAddress"
                                                value="<?php echo e($restuarant->address ?? old('address')); ?>"
                                                placeholder="1234 Main St">

                                            <?php if($errors->has('address')): ?>
                                                <span class="text-danger"><?php echo e($errors->first('address')); ?></span>
                                            <?php endif; ?>
                                        </div>

                                        
                                    </div>

                                    <div class="row g-2">
                                    </div>
                            </div>
                        </div>


                        <button type="submit" class="btn btn-primary">Update</button>
                        </form>
                    </div> <!-- end preview-->
                </div> <!-- end tab-content-->

            </div> <!-- end card-body -->
        </div> <!-- end card-->
    </div> <!-- end col -->
    </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/restuarant/edit.blade.php ENDPATH**/ ?>