

<?php $__env->startPush('plugin-styles'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-2">
            <div class="card">
                <div class="card-body">
                    <h4>search filter</h4>
                    <form action="<?php echo e(route('backend.uaser.reports')); ?>" method="GET">
                        <div class="mb-3">
                            <label for="user_type_id" class="form-label">User Type:</label>
                            <select id="user_type_id" name="user_type_id" class="form-control">
                                <option value="">All</option>
                                <?php $__currentLoopData = $usersType; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($type->id); ?>"
                                        <?php echo e(request('user_type_id') == $type->id ? 'selected' : ''); ?>><?php echo e($type->name); ?>

                                    </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="status" class="form-label">Status:</label>
                            <select name="status" class="form-control">
                                <option value="">All</option>
                                <option value="1">Active</option>
                                <option value="0">De-active</option>
                            </select>
                        </div>
                        <button type="submit" class="btn btn-primary">Search</button>
                    </form>

                </div>
            </div>
        </div>
        <div class="col-md-10">


            <div class="">

                <div class="row m-0">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">


                                <div class="table">
                                    <table class="table table-centered w-100 dt-responsive nowrap" id="products-datatable">
                                        <thead class="table-light">
                                            <tr>
                                                <th>#</th>
                                                <th class="all">name</th>
                                                <th>Phone</th>
                                                <th>Email</th>
                                                <th>Status</th>
                                                
                                                <th style="width: 85px;">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php $i = 1; ?>
                                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td>
                                                        <?php echo e($i); ?>

                                                    </td>
                                                    <td>
                                                        <?php echo e($data->name); ?>

                                                    </td>

                                                    <td>
                                                        <?php echo e($data->contact_number); ?>

                                                    </td>
                                                    <td>
                                                        <?php echo e($data->email); ?>

                                                    </td>
                                                    <td>
                                                        <?php if($data->status == 1): ?>
                                                            <span class="badge bg-success">Active</span>
                                                        <?php else: ?>
                                                            <span class="badge bg-danger">In-Active</span>
                                                        <?php endif; ?>

                                                    </td>
                                                    
                                                    <td class="table-action">
                                                        <a href="<?php echo e(route('customers.show', $data->id)); ?>"
                                                            class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                                        
                                                        
                                                        
                                                    </td>
                                                    </td>

                                                </tr>
                                                <?php $i++; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div> <!-- end card-body-->
                        </div> <!-- end card-->
                    </div> <!-- end col -->
                </div>

                <!-- end row -->

            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xamp\htdocs\food_panda_clone\resources\views/backend/pages/users/report.blade.php ENDPATH**/ ?>